/* This file was generated by SableCC (http://www.sablecc.org/). */

package de.be4.classicalb.core.parser.lexer;

import java.io.*;
import java.util.*;
import de.be4.classicalb.core.parser.node.*;
import de.hhu.stups.sablecc.patch.*;
import java.util.concurrent.LinkedBlockingQueue;

@SuppressWarnings({"unused"}) 
public class Lexer implements ITokenListContainer
{
    protected Token token;
    protected State state = State.SECTION;

    private PushbackReader in;
    private int line;
    private int pos;
    private boolean cr;
    private boolean eof;
    private final StringBuffer text = new StringBuffer();
    
	private List<IToken> tokenList;
    private final Queue<IToken> nextList = new LinkedBlockingQueue<IToken>();

	private IToken tok;

    public Queue<IToken> getNextList() {
        return nextList;
    }

	public List<IToken> getTokenList() {
		return tokenList;
	}
	
	private void setToken(Token t) {
	  tok = t;
   	  token = t;	
	}
	
	
	public void setTokenList(final List<IToken> list) {
		tokenList = list;
	}

     
    protected void filter() throws LexerException, IOException
    {
        // Do nothing
    }

    protected void filterWrap() throws LexerException, IOException
    {
       filter();
       if (token != null) {
	          getTokenList().add(token); 
              nextList.add(token);
	   }
    }


    public Lexer(  PushbackReader in)
    {
        this.in = in;
    	setTokenList(new ArrayList<IToken>());
    }
    
    public Token peek() throws LexerException, IOException
    {
        while(this.token == null)
        {
            this.setToken(getToken());
            filterWrap();
        }

        return (Token) nextList.peek();
    }

    public Token next() throws LexerException, IOException
    {
        while(this.token == null)
        {
            this.setToken(getToken());
            filterWrap();
        }

        Token result = (Token) nextList.poll();
        this.setToken(null);
        return result;
    }

    protected Token getToken() throws IOException, LexerException
    {
        int dfa_state = 0;

        int start_pos = this.pos;
        int start_line = this.line;

        int accept_state = -1;
        int accept_token = -1;
        int accept_length = -1;
        int accept_pos = -1;
        int accept_line = -1;

          int[][][] gotoTable = Lexer.gotoTable[this.state.id()];
          int[] accept = Lexer.accept[this.state.id()];
        this.text.setLength(0);

        while(true)
        {
            int c = getChar();

            if(c != -1)
            {
                switch(c)
                {
                case 10:
                    if(this.cr)
                    {
                        this.cr = false;
                    }
                    else
                    {
                        this.line++;
                        this.pos = 0;
                    }
                    break;
                case 13:
                    this.line++;
                    this.pos = 0;
                    this.cr = true;
                    break;
                default:
                    this.pos++;
                    this.cr = false;
                    break;
                }

                this.text.append((char) c);

                do
                {
                    int oldState = (dfa_state < -1) ? (-2 -dfa_state) : dfa_state;

                    dfa_state = -1;

                    int[][] tmp1 =  gotoTable[oldState];
                    int low = 0;
                    int high = tmp1.length - 1;

                    while(low <= high)
                    {
                        int middle = (low + high) / 2;
                        int[] tmp2 = tmp1[middle];

                        if(c < tmp2[0])
                        {
                            high = middle - 1;
                        }
                        else if(c > tmp2[1])
                        {
                            low = middle + 1;
                        }
                        else
                        {
                            dfa_state = tmp2[2];
                            break;
                        }
                    }
                }while(dfa_state < -1);
            }
            else
            {
                dfa_state = -1;
            }

            if(dfa_state >= 0)
            {
                if(accept[dfa_state] != -1)
                {
                    accept_state = dfa_state;
                    accept_token = accept[dfa_state];
                    accept_length = this.text.length();
                    accept_pos = this.pos;
                    accept_line = this.line;
                }
            }
            else
            {
                if(accept_state != -1)
                {
                    switch(accept_token)
                    {
                    case 0:
                        {
                              Token token = new0(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.SHEBANG; break;
                                case 0: state = State.SHEBANG; break;
                                case 4: state = State.SHEBANG; break;
                            }
                            return token;
                        }
                    case 1:
                        {
                              Token token = new1(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 2:
                        {
                              Token token = new2(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 4: state = State.SHEBANG; break;
                            }
                            return token;
                        }
                    case 3:
                        {
                              Token token = new3(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.SECTION; break;
                            }
                            return token;
                        }
                    case 4:
                        {
                              Token token = new4(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.PRAGMA; break;
                                case 0: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 5:
                        {
                              Token token = new5(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.NORMAL; break;
                                case 7: state = State.NORMAL; break;
                                case 8: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 6:
                        {
                              Token token = new6(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 7:
                        {
                              Token token = new7(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA; break;
                            }
                            return token;
                        }
                    case 8:
                        {
                              Token token = new8(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA_CONTENT; break;
                            }
                            return token;
                        }
                    case 9:
                        {
                              Token token = new9(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA_CONTENT; break;
                            }
                            return token;
                        }
                    case 10:
                        {
                              Token token = new10(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA_PACKAGE_CONTENT; break;
                            }
                            return token;
                        }
                    case 11:
                        {
                              Token token = new11(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 12:
                        {
                              Token token = new12(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA_PACKAGE_CONTENT; break;
                                case 8: state = State.PRAGMA_PACKAGE_CONTENT; break;
                            }
                            return token;
                        }
                    case 13:
                        {
                              Token token = new13(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 5: state = State.PRAGMA_IGNORE; break;
                            }
                            return token;
                        }
                    case 14:
                        {
                              Token token = new14(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 6: state = State.DESCRIPTION; break;
                            }
                            return token;
                        }
                    case 15:
                        {
                              Token token = new15(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 7: state = State.PRAGMA_CONTENT; break;
                                case 8: state = State.PRAGMA_PACKAGE_CONTENT; break;
                            }
                            return token;
                        }
                    case 16:
                        {
                              Token token = new16(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 9: state = State.PRAGMA_IGNORE; break;
                            }
                            return token;
                        }
                    case 17:
                        {
                              Token token = new17(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.COMMENT; break;
                                case 0: state = State.COMMENT; break;
                            }
                            return token;
                        }
                    case 18:
                        {
                              Token token = new18(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.COMMENT; break;
                                case 6: state = State.DESCRIPTION; break;
                                case 9: state = State.PRAGMA_IGNORE; break;
                            }
                            return token;
                        }
                    case 19:
                        {
                              Token token = new19(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.COMMENT; break;
                            }
                            return token;
                        }
                    case 20:
                        {
                              Token token = new20(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.COMMENT; break;
                                case 6: state = State.DESCRIPTION; break;
                                case 9: state = State.PRAGMA_IGNORE; break;
                            }
                            return token;
                        }
                    case 21:
                        {
                              Token token = new21(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 2: state = State.COMMENT; break;
                                case 6: state = State.DESCRIPTION; break;
                                case 9: state = State.PRAGMA_IGNORE; break;
                            }
                            return token;
                        }
                    case 22:
                        {
                              Token token = new22(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.MULTILINE_STRING_STATE; break;
                                case 0: state = State.MULTILINE_STRING_STATE; break;
                            }
                            return token;
                        }
                    case 23:
                        {
                              Token token = new23(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 3: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 24:
                        {
                              Token token = new24(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 3: state = State.MULTILINE_STRING_STATE; break;
                            }
                            return token;
                        }
                    case 25:
                        {
                              Token token = new25(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 26:
                        {
                              Token token = new26(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 27:
                        {
                              Token token = new27(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 28:
                        {
                              Token token = new28(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 29:
                        {
                              Token token = new29(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 30:
                        {
                              Token token = new30(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 31:
                        {
                              Token token = new31(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 32:
                        {
                              Token token = new32(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 33:
                        {
                              Token token = new33(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 34:
                        {
                              Token token = new34(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 35:
                        {
                              Token token = new35(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 36:
                        {
                              Token token = new36(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 37:
                        {
                              Token token = new37(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 38:
                        {
                              Token token = new38(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 39:
                        {
                              Token token = new39(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 40:
                        {
                              Token token = new40(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 41:
                        {
                              Token token = new41(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 42:
                        {
                              Token token = new42(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 43:
                        {
                              Token token = new43(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 44:
                        {
                              Token token = new44(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 45:
                        {
                              Token token = new45(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 46:
                        {
                              Token token = new46(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 47:
                        {
                              Token token = new47(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 48:
                        {
                              Token token = new48(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 49:
                        {
                              Token token = new49(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 50:
                        {
                              Token token = new50(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 51:
                        {
                              Token token = new51(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 52:
                        {
                              Token token = new52(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 53:
                        {
                              Token token = new53(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 54:
                        {
                              Token token = new54(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 55:
                        {
                              Token token = new55(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 56:
                        {
                              Token token = new56(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 57:
                        {
                              Token token = new57(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 58:
                        {
                              Token token = new58(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 59:
                        {
                              Token token = new59(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 60:
                        {
                              Token token = new60(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 61:
                        {
                              Token token = new61(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 62:
                        {
                              Token token = new62(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 63:
                        {
                              Token token = new63(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 64:
                        {
                              Token token = new64(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 65:
                        {
                              Token token = new65(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 66:
                        {
                              Token token = new66(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 67:
                        {
                              Token token = new67(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 68:
                        {
                              Token token = new68(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 69:
                        {
                              Token token = new69(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 70:
                        {
                              Token token = new70(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 71:
                        {
                              Token token = new71(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 72:
                        {
                              Token token = new72(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 73:
                        {
                              Token token = new73(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 74:
                        {
                              Token token = new74(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 75:
                        {
                              Token token = new75(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 76:
                        {
                              Token token = new76(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 77:
                        {
                              Token token = new77(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 78:
                        {
                              Token token = new78(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 79:
                        {
                              Token token = new79(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 80:
                        {
                              Token token = new80(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 81:
                        {
                              Token token = new81(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 82:
                        {
                              Token token = new82(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 83:
                        {
                              Token token = new83(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 84:
                        {
                              Token token = new84(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 85:
                        {
                              Token token = new85(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 86:
                        {
                              Token token = new86(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 87:
                        {
                              Token token = new87(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 88:
                        {
                              Token token = new88(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 89:
                        {
                              Token token = new89(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 90:
                        {
                              Token token = new90(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 91:
                        {
                              Token token = new91(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 92:
                        {
                              Token token = new92(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 93:
                        {
                              Token token = new93(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 94:
                        {
                              Token token = new94(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 95:
                        {
                              Token token = new95(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 96:
                        {
                              Token token = new96(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 97:
                        {
                              Token token = new97(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 98:
                        {
                              Token token = new98(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 99:
                        {
                              Token token = new99(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 100:
                        {
                              Token token = new100(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 101:
                        {
                              Token token = new101(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 102:
                        {
                              Token token = new102(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 103:
                        {
                              Token token = new103(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 104:
                        {
                              Token token = new104(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 105:
                        {
                              Token token = new105(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 106:
                        {
                              Token token = new106(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 107:
                        {
                              Token token = new107(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 108:
                        {
                              Token token = new108(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 109:
                        {
                              Token token = new109(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 110:
                        {
                              Token token = new110(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 111:
                        {
                              Token token = new111(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 112:
                        {
                              Token token = new112(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 113:
                        {
                              Token token = new113(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 114:
                        {
                              Token token = new114(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 115:
                        {
                              Token token = new115(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 116:
                        {
                              Token token = new116(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 117:
                        {
                              Token token = new117(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 118:
                        {
                              Token token = new118(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 119:
                        {
                              Token token = new119(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 120:
                        {
                              Token token = new120(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 121:
                        {
                              Token token = new121(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 122:
                        {
                              Token token = new122(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 123:
                        {
                              Token token = new123(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 124:
                        {
                              Token token = new124(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 125:
                        {
                              Token token = new125(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 126:
                        {
                              Token token = new126(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 127:
                        {
                              Token token = new127(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 128:
                        {
                              Token token = new128(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 129:
                        {
                              Token token = new129(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 130:
                        {
                              Token token = new130(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 131:
                        {
                              Token token = new131(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 132:
                        {
                              Token token = new132(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 133:
                        {
                              Token token = new133(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 134:
                        {
                              Token token = new134(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 135:
                        {
                              Token token = new135(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 136:
                        {
                              Token token = new136(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 137:
                        {
                              Token token = new137(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 138:
                        {
                              Token token = new138(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 139:
                        {
                              Token token = new139(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 140:
                        {
                              Token token = new140(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 141:
                        {
                              Token token = new141(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 142:
                        {
                              Token token = new142(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 143:
                        {
                              Token token = new143(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 144:
                        {
                              Token token = new144(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 145:
                        {
                              Token token = new145(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 146:
                        {
                              Token token = new146(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 147:
                        {
                              Token token = new147(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 148:
                        {
                              Token token = new148(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 149:
                        {
                              Token token = new149(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 150:
                        {
                              Token token = new150(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 151:
                        {
                              Token token = new151(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 152:
                        {
                              Token token = new152(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 153:
                        {
                              Token token = new153(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 154:
                        {
                              Token token = new154(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 155:
                        {
                              Token token = new155(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 156:
                        {
                              Token token = new156(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 157:
                        {
                              Token token = new157(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 158:
                        {
                              Token token = new158(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 159:
                        {
                              Token token = new159(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 160:
                        {
                              Token token = new160(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 161:
                        {
                              Token token = new161(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 162:
                        {
                              Token token = new162(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 163:
                        {
                              Token token = new163(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 164:
                        {
                              Token token = new164(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 165:
                        {
                              Token token = new165(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 166:
                        {
                              Token token = new166(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 167:
                        {
                              Token token = new167(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 168:
                        {
                              Token token = new168(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 169:
                        {
                              Token token = new169(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 170:
                        {
                              Token token = new170(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 171:
                        {
                              Token token = new171(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 172:
                        {
                              Token token = new172(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 173:
                        {
                              Token token = new173(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 174:
                        {
                              Token token = new174(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 175:
                        {
                              Token token = new175(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 176:
                        {
                              Token token = new176(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 177:
                        {
                              Token token = new177(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 178:
                        {
                              Token token = new178(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 179:
                        {
                              Token token = new179(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 180:
                        {
                              Token token = new180(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 181:
                        {
                              Token token = new181(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 182:
                        {
                              Token token = new182(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 183:
                        {
                              Token token = new183(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 184:
                        {
                              Token token = new184(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 185:
                        {
                              Token token = new185(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 186:
                        {
                              Token token = new186(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 187:
                        {
                              Token token = new187(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 188:
                        {
                              Token token = new188(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 189:
                        {
                              Token token = new189(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 190:
                        {
                              Token token = new190(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 191:
                        {
                              Token token = new191(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 192:
                        {
                              Token token = new192(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 193:
                        {
                              Token token = new193(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 194:
                        {
                              Token token = new194(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 195:
                        {
                              Token token = new195(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 196:
                        {
                              Token token = new196(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 197:
                        {
                              Token token = new197(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 198:
                        {
                              Token token = new198(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 199:
                        {
                              Token token = new199(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 200:
                        {
                              Token token = new200(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 201:
                        {
                              Token token = new201(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 202:
                        {
                              Token token = new202(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 203:
                        {
                              Token token = new203(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 204:
                        {
                              Token token = new204(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 205:
                        {
                              Token token = new205(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 206:
                        {
                              Token token = new206(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 207:
                        {
                              Token token = new207(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 208:
                        {
                              Token token = new208(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 209:
                        {
                              Token token = new209(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 210:
                        {
                              Token token = new210(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 211:
                        {
                              Token token = new211(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 212:
                        {
                              Token token = new212(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 213:
                        {
                              Token token = new213(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 214:
                        {
                              Token token = new214(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 215:
                        {
                              Token token = new215(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 216:
                        {
                              Token token = new216(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 217:
                        {
                              Token token = new217(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 218:
                        {
                              Token token = new218(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 219:
                        {
                              Token token = new219(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 220:
                        {
                              Token token = new220(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 221:
                        {
                              Token token = new221(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 222:
                        {
                              Token token = new222(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 223:
                        {
                              Token token = new223(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 224:
                        {
                              Token token = new224(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 225:
                        {
                              Token token = new225(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 226:
                        {
                              Token token = new226(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 227:
                        {
                              Token token = new227(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 228:
                        {
                              Token token = new228(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 229:
                        {
                              Token token = new229(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 230:
                        {
                              Token token = new230(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 231:
                        {
                              Token token = new231(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 232:
                        {
                              Token token = new232(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 233:
                        {
                              Token token = new233(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 234:
                        {
                              Token token = new234(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 235:
                        {
                              Token token = new235(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 236:
                        {
                              Token token = new236(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 237:
                        {
                              Token token = new237(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 238:
                        {
                              Token token = new238(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 239:
                        {
                              Token token = new239(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 240:
                        {
                              Token token = new240(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 241:
                        {
                              Token token = new241(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 242:
                        {
                              Token token = new242(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 243:
                        {
                              Token token = new243(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 244:
                        {
                              Token token = new244(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 245:
                        {
                              Token token = new245(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 246:
                        {
                              Token token = new246(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 247:
                        {
                              Token token = new247(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 248:
                        {
                              Token token = new248(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 249:
                        {
                              Token token = new249(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 250:
                        {
                              Token token = new250(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 251:
                        {
                              Token token = new251(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 252:
                        {
                              Token token = new252(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 253:
                        {
                              Token token = new253(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 254:
                        {
                              Token token = new254(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 255:
                        {
                              Token token = new255(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 256:
                        {
                              Token token = new256(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 257:
                        {
                              Token token = new257(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 258:
                        {
                              Token token = new258(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                                case 0: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 259:
                        {
                              Token token = new259(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 260:
                        {
                              Token token = new260(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 261:
                        {
                              Token token = new261(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 262:
                        {
                              Token token = new262(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 263:
                        {
                              Token token = new263(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 264:
                        {
                              Token token = new264(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 265:
                        {
                              Token token = new265(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            return token;
                        }
                    case 266:
                        {
                              Token token = new266(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 267:
                        {
                              Token token = new267(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 268:
                        {
                              Token token = new268(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 269:
                        {
                              Token token = new269(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 270:
                        {
                              Token token = new270(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 271:
                        {
                              Token token = new271(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 272:
                        {
                              Token token = new272(
                                getText(accept_length),
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 273:
                        {
                              Token token = new273(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 274:
                        {
                              Token token = new274(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 275:
                        {
                              Token token = new275(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 276:
                        {
                              Token token = new276(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 277:
                        {
                              Token token = new277(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 278:
                        {
                              Token token = new278(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 279:
                        {
                              Token token = new279(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 280:
                        {
                              Token token = new280(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 281:
                        {
                              Token token = new281(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 282:
                        {
                              Token token = new282(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 283:
                        {
                              Token token = new283(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 284:
                        {
                              Token token = new284(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 285:
                        {
                              Token token = new285(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    case 286:
                        {
                              Token token = new286(
                                start_line + 1,
                                start_pos + 1);
                            pushBack(accept_length);
                            this.pos = accept_pos;
                            this.line = accept_line;
                            switch(state.id())
                            {
                                case 1: state = State.NORMAL; break;
                            }
                            return token;
                        }
                    }
                }
                else
                {
                    if(this.text.length() > 0)
                    {
                        throw new LexerException(
                            "[" + (start_line + 1) + "," + (start_pos + 1) + "]" +
                            " Unknown token: " + this.text);
                    }

                      EOF token = new EOF(
                        start_line + 1,
                        start_pos + 1);
                    return token;
                }
            }
        }
    }

    Token new0(  int line,   int pos) { return new TShebang(line, pos); }
    Token new1(  String text,   int line,   int pos) { return new TShebangEnd(text, line, pos); }
    Token new2(  String text,   int line,   int pos) { return new TShebangChar(text, line, pos); }
    Token new3(  String text,   int line,   int pos) { return new TLineComment(text, line, pos); }
    Token new4(  int line,   int pos) { return new TPragmaStart(line, pos); }
    Token new5(  int line,   int pos) { return new TPragmaEnd(line, pos); }
    Token new6(  int line,   int pos) { return new TPragmaGenerated(line, pos); }
    Token new7(  int line,   int pos) { return new TPragmaSymbolic(line, pos); }
    Token new8(  int line,   int pos) { return new TPragmaLabel(line, pos); }
    Token new9(  int line,   int pos) { return new TPragmaFile(line, pos); }
    Token new10(  int line,   int pos) { return new TPragmaPackage(line, pos); }
    Token new11(  String text,   int line,   int pos) { return new TPragmaDescription(text, line, pos); }
    Token new12(  String text,   int line,   int pos) { return new TPragmaImportPackage(text, line, pos); }
    Token new13(  String text,   int line,   int pos) { return new TUnrecognisedPragma(text, line, pos); }
    Token new14(  String text,   int line,   int pos) { return new TPragmaFreeText(text, line, pos); }
    Token new15(  String text,   int line,   int pos) { return new TPragmaIdOrString(text, line, pos); }
    Token new16(  String text,   int line,   int pos) { return new TPragmaIgnoredText(text, line, pos); }
    Token new17(  String text,   int line,   int pos) { return new TComment(text, line, pos); }
    Token new18(  String text,   int line,   int pos) { return new TCommentEnd(text, line, pos); }
    Token new19(  String text,   int line,   int pos) { return new TCommentBody(text, line, pos); }
    Token new20(  int line,   int pos) { return new TStar(line, pos); }
    Token new21(  int line,   int pos) { return new TSlash(line, pos); }
    Token new22(  String text,   int line,   int pos) { return new TMultilineStringStart(text, line, pos); }
    Token new23(  String text,   int line,   int pos) { return new TMultilineStringEnd(text, line, pos); }
    Token new24(  String text,   int line,   int pos) { return new TMultilineStringContent(text, line, pos); }
    Token new25(  String text,   int line,   int pos) { return new TStringLiteral(text, line, pos); }
    Token new26(  String text,   int line,   int pos) { return new TForAny(text, line, pos); }
    Token new27(  String text,   int line,   int pos) { return new TExists(text, line, pos); }
    Token new28(  int line,   int pos) { return new TDollar(line, pos); }
    Token new29(  String text,   int line,   int pos) { return new TLambda(text, line, pos); }
    Token new30(  String text,   int line,   int pos) { return new TConjunction(text, line, pos); }
    Token new31(  String text,   int line,   int pos) { return new TSingleQuotation(text, line, pos); }
    Token new32(  int line,   int pos) { return new TLeftPar(line, pos); }
    Token new33(  int line,   int pos) { return new TRightPar(line, pos); }
    Token new34(  String text,   int line,   int pos) { return new TProduct(text, line, pos); }
    Token new35(  int line,   int pos) { return new TPowerOf(line, pos); }
    Token new36(  String text,   int line,   int pos) { return new TPlus(text, line, pos); }
    Token new37(  String text,   int line,   int pos) { return new TPartialFunction(text, line, pos); }
    Token new38(  String text,   int line,   int pos) { return new TPartialSurjection(text, line, pos); }
    Token new39(  int line,   int pos) { return new TComma(line, pos); }
    Token new40(  String text,   int line,   int pos) { return new TMinus(text, line, pos); }
    Token new41(  String text,   int line,   int pos) { return new TTotalFunction(text, line, pos); }
    Token new42(  String text,   int line,   int pos) { return new TTotalSurjection(text, line, pos); }
    Token new43(  String text,   int line,   int pos) { return new TInsertStartSequence(text, line, pos); }
    Token new44(  String text,   int line,   int pos) { return new TDot(text, line, pos); }
    Token new45(  String text,   int line,   int pos) { return new TInterval(text, line, pos); }
    Token new46(  String text,   int line,   int pos) { return new TDivision(text, line, pos); }
    Token new47(  String text,   int line,   int pos) { return new TNotBelonging(text, line, pos); }
    Token new48(  String text,   int line,   int pos) { return new TNonInclusion(text, line, pos); }
    Token new49(  String text,   int line,   int pos) { return new TStrictNonInclusion(text, line, pos); }
    Token new50(  String text,   int line,   int pos) { return new TNotEqual(text, line, pos); }
    Token new51(  int line,   int pos) { return new TSetSubtraction(line, pos); }
    Token new52(  String text,   int line,   int pos) { return new TIntersection(text, line, pos); }
    Token new53(  String text,   int line,   int pos) { return new TRestrictHeadSequence(text, line, pos); }
    Token new54(  String text,   int line,   int pos) { return new TElementOf(text, line, pos); }
    Token new55(  String text,   int line,   int pos) { return new TDoubleColon(text, line, pos); }
    Token new56(  String text,   int line,   int pos) { return new TAssign(text, line, pos); }
    Token new57(  int line,   int pos) { return new TSemicolon(line, pos); }
    Token new58(  String text,   int line,   int pos) { return new TLess(text, line, pos); }
    Token new59(  String text,   int line,   int pos) { return new TLessGreater(text, line, pos); }
    Token new60(  String text,   int line,   int pos) { return new TOverwriteRelation(text, line, pos); }
    Token new61(  String text,   int line,   int pos) { return new TSetRelation(text, line, pos); }
    Token new62(  String text,   int line,   int pos) { return new TInsertEndSequence(text, line, pos); }
    Token new63(  String text,   int line,   int pos) { return new TOutputParameters(text, line, pos); }
    Token new64(  String text,   int line,   int pos) { return new TInclusion(text, line, pos); }
    Token new65(  String text,   int line,   int pos) { return new TStrictInclusion(text, line, pos); }
    Token new66(  String text,   int line,   int pos) { return new TDomainSubtraction(text, line, pos); }
    Token new67(  String text,   int line,   int pos) { return new TLessEqual(text, line, pos); }
    Token new68(  String text,   int line,   int pos) { return new TEquivalence(text, line, pos); }
    Token new69(  String text,   int line,   int pos) { return new TDomainRestriction(text, line, pos); }
    Token new70(  String text,   int line,   int pos) { return new TEqual(text, line, pos); }
    Token new71(  String text,   int line,   int pos) { return new TDoubleEqual(text, line, pos); }
    Token new72(  String text,   int line,   int pos) { return new TImplies(text, line, pos); }
    Token new73(  String text,   int line,   int pos) { return new TGreater(text, line, pos); }
    Token new74(  String text,   int line,   int pos) { return new TPartialInjection(text, line, pos); }
    Token new75(  String text,   int line,   int pos) { return new TTotalInjection(text, line, pos); }
    Token new76(  String text,   int line,   int pos) { return new TPartialBijection(text, line, pos); }
    Token new77(  String text,   int line,   int pos) { return new TTotalBijection(text, line, pos); }
    Token new78(  String text,   int line,   int pos) { return new TDirectProduct(text, line, pos); }
    Token new79(  String text,   int line,   int pos) { return new TGreaterEqual(text, line, pos); }
    Token new80(  int line,   int pos) { return new TAbstractConstants(line, pos); }
    Token new81(  int line,   int pos) { return new TAbstractVariables(line, pos); }
    Token new82(  int line,   int pos) { return new TAny(line, pos); }
    Token new83(  int line,   int pos) { return new TAssert(line, pos); }
    Token new84(  int line,   int pos) { return new TAssertions(line, pos); }
    Token new85(  int line,   int pos) { return new TBe(line, pos); }
    Token new86(  int line,   int pos) { return new TBegin(line, pos); }
    Token new87(  int line,   int pos) { return new TBool(line, pos); }
    Token new88(  String text,   int line,   int pos) { return new TBfalse(text, line, pos); }
    Token new89(  int line,   int pos) { return new TCase(line, pos); }
    Token new90(  int line,   int pos) { return new TChoice(line, pos); }
    Token new91(  int line,   int pos) { return new TConcreteConstants(line, pos); }
    Token new92(  int line,   int pos) { return new TConcreteVariables(line, pos); }
    Token new93(  int line,   int pos) { return new TConstants(line, pos); }
    Token new94(  int line,   int pos) { return new TConstraints(line, pos); }
    Token new95(  int line,   int pos) { return new TDefinitions(line, pos); }
    Token new96(  int line,   int pos) { return new TExpressions(line, pos); }
    Token new97(  int line,   int pos) { return new TPredicates(line, pos); }
    Token new98(  int line,   int pos) { return new TDo(line, pos); }
    Token new99(  int line,   int pos) { return new TEither(line, pos); }
    Token new100(  int line,   int pos) { return new TElse(line, pos); }
    Token new101(  int line,   int pos) { return new TElsif(line, pos); }
    Token new102(  int line,   int pos) { return new TEnd(line, pos); }
    Token new103(  int line,   int pos) { return new TExtends(line, pos); }
    Token new104(  int line,   int pos) { return new TFalse(line, pos); }
    Token new105(  int line,   int pos) { return new TFin(line, pos); }
    Token new106(  int line,   int pos) { return new TFin1(line, pos); }
    Token new107(  int line,   int pos) { return new TIf(line, pos); }
    Token new108(  int line,   int pos) { return new TImplementation(line, pos); }
    Token new109(  int line,   int pos) { return new TImports(line, pos); }
    Token new110(  int line,   int pos) { return new TIn(line, pos); }
    Token new111(  int line,   int pos) { return new TIncludes(line, pos); }
    Token new112(  String text,   int line,   int pos) { return new TInitialisation(text, line, pos); }
    Token new113(  int line,   int pos) { return new TInt(line, pos); }
    Token new114(  String text,   int line,   int pos) { return new TInteger(text, line, pos); }
    Token new115(  String text,   int line,   int pos) { return new TQuantifiedInter(text, line, pos); }
    Token new116(  int line,   int pos) { return new TInvariant(line, pos); }
    Token new117(  int line,   int pos) { return new TLet(line, pos); }
    Token new118(  int line,   int pos) { return new TLocalOperations(line, pos); }
    Token new119(  int line,   int pos) { return new TMachine(line, pos); }
    Token new120(  int line,   int pos) { return new TModel(line, pos); }
    Token new121(  int line,   int pos) { return new TSystem(line, pos); }
    Token new122(  int line,   int pos) { return new TMaxInt(line, pos); }
    Token new123(  int line,   int pos) { return new TMinInt(line, pos); }
    Token new124(  int line,   int pos) { return new TNat(line, pos); }
    Token new125(  int line,   int pos) { return new TNat1(line, pos); }
    Token new126(  String text,   int line,   int pos) { return new TNatural(text, line, pos); }
    Token new127(  String text,   int line,   int pos) { return new TNatural1(text, line, pos); }
    Token new128(  int line,   int pos) { return new TOf(line, pos); }
    Token new129(  String text,   int line,   int pos) { return new TOperations(text, line, pos); }
    Token new130(  int line,   int pos) { return new TOr(line, pos); }
    Token new131(  String text,   int line,   int pos) { return new TPi(text, line, pos); }
    Token new132(  String text,   int line,   int pos) { return new TPow(text, line, pos); }
    Token new133(  String text,   int line,   int pos) { return new TPow1(text, line, pos); }
    Token new134(  int line,   int pos) { return new TPre(line, pos); }
    Token new135(  int line,   int pos) { return new TPromotes(line, pos); }
    Token new136(  int line,   int pos) { return new TProperties(line, pos); }
    Token new137(  int line,   int pos) { return new TRefines(line, pos); }
    Token new138(  int line,   int pos) { return new TRefinement(line, pos); }
    Token new139(  int line,   int pos) { return new TSees(line, pos); }
    Token new140(  int line,   int pos) { return new TSelect(line, pos); }
    Token new141(  int line,   int pos) { return new TSets(line, pos); }
    Token new142(  int line,   int pos) { return new TQuantifiedSet(line, pos); }
    Token new143(  String text,   int line,   int pos) { return new TSigma(text, line, pos); }
    Token new144(  int line,   int pos) { return new TString(line, pos); }
    Token new145(  int line,   int pos) { return new TThen(line, pos); }
    Token new146(  int line,   int pos) { return new TTrue(line, pos); }
    Token new147(  String text,   int line,   int pos) { return new TQuantifiedUnion(text, line, pos); }
    Token new148(  int line,   int pos) { return new TUses(line, pos); }
    Token new149(  int line,   int pos) { return new TValue(line, pos); }
    Token new150(  int line,   int pos) { return new TVar(line, pos); }
    Token new151(  int line,   int pos) { return new TVariant(line, pos); }
    Token new152(  int line,   int pos) { return new TVariables(line, pos); }
    Token new153(  int line,   int pos) { return new TWhen(line, pos); }
    Token new154(  int line,   int pos) { return new TWhere(line, pos); }
    Token new155(  int line,   int pos) { return new TWhile(line, pos); }
    Token new156(  int line,   int pos) { return new TLeftBracket(line, pos); }
    Token new157(  int line,   int pos) { return new TRightBracket(line, pos); }
    Token new158(  String text,   int line,   int pos) { return new TUnion(text, line, pos); }
    Token new159(  String text,   int line,   int pos) { return new TRestrictTailSequence(text, line, pos); }
    Token new160(  String text,   int line,   int pos) { return new TConcatSequence(text, line, pos); }
    Token new161(  int line,   int pos) { return new TArity(line, pos); }
    Token new162(  int line,   int pos) { return new TBin(line, pos); }
    Token new163(  int line,   int pos) { return new TBoolCast(line, pos); }
    Token new164(  int line,   int pos) { return new TBtree(line, pos); }
    Token new165(  int line,   int pos) { return new TCard(line, pos); }
    Token new166(  int line,   int pos) { return new TClosure(line, pos); }
    Token new167(  int line,   int pos) { return new TClosure1(line, pos); }
    Token new168(  int line,   int pos) { return new TConc(line, pos); }
    Token new169(  int line,   int pos) { return new TConst(line, pos); }
    Token new170(  int line,   int pos) { return new TDom(line, pos); }
    Token new171(  int line,   int pos) { return new TFather(line, pos); }
    Token new172(  int line,   int pos) { return new TFirst(line, pos); }
    Token new173(  int line,   int pos) { return new TFnc(line, pos); }
    Token new174(  int line,   int pos) { return new TFront(line, pos); }
    Token new175(  int line,   int pos) { return new TId(line, pos); }
    Token new176(  int line,   int pos) { return new TInfix(line, pos); }
    Token new177(  int line,   int pos) { return new TGeneralizedInter(line, pos); }
    Token new178(  int line,   int pos) { return new TIseq(line, pos); }
    Token new179(  int line,   int pos) { return new TIseq1(line, pos); }
    Token new180(  int line,   int pos) { return new TIterate(line, pos); }
    Token new181(  int line,   int pos) { return new TLast(line, pos); }
    Token new182(  int line,   int pos) { return new TLeft(line, pos); }
    Token new183(  int line,   int pos) { return new TMax(line, pos); }
    Token new184(  int line,   int pos) { return new TMin(line, pos); }
    Token new185(  int line,   int pos) { return new TMirror(line, pos); }
    Token new186(  int line,   int pos) { return new TMod(line, pos); }
    Token new187(  String text,   int line,   int pos) { return new TNot(text, line, pos); }
    Token new188(  String text,   int line,   int pos) { return new TLogicalOr(text, line, pos); }
    Token new189(  int line,   int pos) { return new TPerm(line, pos); }
    Token new190(  int line,   int pos) { return new TPostfix(line, pos); }
    Token new191(  int line,   int pos) { return new TPred(line, pos); }
    Token new192(  int line,   int pos) { return new TPrefix(line, pos); }
    Token new193(  int line,   int pos) { return new TPrj1(line, pos); }
    Token new194(  int line,   int pos) { return new TPrj2(line, pos); }
    Token new195(  int line,   int pos) { return new TRank(line, pos); }
    Token new196(  int line,   int pos) { return new TRan(line, pos); }
    Token new197(  int line,   int pos) { return new TRec(line, pos); }
    Token new198(  int line,   int pos) { return new TRel(line, pos); }
    Token new199(  int line,   int pos) { return new TRev(line, pos); }
    Token new200(  int line,   int pos) { return new TRight(line, pos); }
    Token new201(  int line,   int pos) { return new TSeq(line, pos); }
    Token new202(  int line,   int pos) { return new TSeq1(line, pos); }
    Token new203(  int line,   int pos) { return new TSizet(line, pos); }
    Token new204(  int line,   int pos) { return new TSize(line, pos); }
    Token new205(  int line,   int pos) { return new TSkip(line, pos); }
    Token new206(  int line,   int pos) { return new TSons(line, pos); }
    Token new207(  int line,   int pos) { return new TSon(line, pos); }
    Token new208(  int line,   int pos) { return new TStruct(line, pos); }
    Token new209(  int line,   int pos) { return new TSubtree(line, pos); }
    Token new210(  int line,   int pos) { return new TSucc(line, pos); }
    Token new211(  int line,   int pos) { return new TTail(line, pos); }
    Token new212(  int line,   int pos) { return new TTop(line, pos); }
    Token new213(  int line,   int pos) { return new TTree(line, pos); }
    Token new214(  int line,   int pos) { return new TGeneralizedUnion(line, pos); }
    Token new215(  String text,   int line,   int pos) { return new TEmptySet(text, line, pos); }
    Token new216(  int line,   int pos) { return new TLeftBrace(line, pos); }
    Token new217(  int line,   int pos) { return new TRightBrace(line, pos); }
    Token new218(  String text,   int line,   int pos) { return new TVerticalBar(text, line, pos); }
    Token new219(  String text,   int line,   int pos) { return new TDoubleVerticalBar(text, line, pos); }
    Token new220(  String text,   int line,   int pos) { return new TMaplet(text, line, pos); }
    Token new221(  String text,   int line,   int pos) { return new TRangeRestriction(text, line, pos); }
    Token new222(  String text,   int line,   int pos) { return new TRangeSubtraction(text, line, pos); }
    Token new223(  String text,   int line,   int pos) { return new TTilde(text, line, pos); }
    Token new224(  String text,   int line,   int pos) { return new TTotalRelation(text, line, pos); }
    Token new225(  String text,   int line,   int pos) { return new TSurjectionRelation(text, line, pos); }
    Token new226(  String text,   int line,   int pos) { return new TTotalSurjectionRelation(text, line, pos); }
    Token new227(  int line,   int pos) { return new TKwFreetypes(line, pos); }
    Token new228(  int line,   int pos) { return new TKwExpression(line, pos); }
    Token new229(  int line,   int pos) { return new TKwPredicate(line, pos); }
    Token new230(  int line,   int pos) { return new TKwFormula(line, pos); }
    Token new231(  int line,   int pos) { return new TKwSubstitution(line, pos); }
    Token new232(  int line,   int pos) { return new TKwAbstractConstants(line, pos); }
    Token new233(  int line,   int pos) { return new TKwAbstractVariables(line, pos); }
    Token new234(  int line,   int pos) { return new TKwAssertions(line, pos); }
    Token new235(  int line,   int pos) { return new TKwConcreteConstants(line, pos); }
    Token new236(  int line,   int pos) { return new TKwConcreteVariables(line, pos); }
    Token new237(  int line,   int pos) { return new TKwConstants(line, pos); }
    Token new238(  int line,   int pos) { return new TKwConstraints(line, pos); }
    Token new239(  int line,   int pos) { return new TKwDefinitions(line, pos); }
    Token new240(  int line,   int pos) { return new TKwDefinition(line, pos); }
    Token new241(  int line,   int pos) { return new TKwExtends(line, pos); }
    Token new242(  int line,   int pos) { return new TKwImports(line, pos); }
    Token new243(  int line,   int pos) { return new TKwIncludes(line, pos); }
    Token new244(  int line,   int pos) { return new TKwInitialisation(line, pos); }
    Token new245(  int line,   int pos) { return new TKwInvariant(line, pos); }
    Token new246(  int line,   int pos) { return new TKwLocalOperations(line, pos); }
    Token new247(  int line,   int pos) { return new TKwOperations(line, pos); }
    Token new248(  int line,   int pos) { return new TKwPromotes(line, pos); }
    Token new249(  int line,   int pos) { return new TKwProperties(line, pos); }
    Token new250(  int line,   int pos) { return new TKwSees(line, pos); }
    Token new251(  int line,   int pos) { return new TKwSets(line, pos); }
    Token new252(  int line,   int pos) { return new TKwUses(line, pos); }
    Token new253(  int line,   int pos) { return new TKwVariables(line, pos); }
    Token new254(  int line,   int pos) { return new TKwValues(line, pos); }
    Token new255(  int line,   int pos) { return new TKwOppattern(line, pos); }
    Token new256(  int line,   int pos) { return new TKwMachineClause(line, pos); }
    Token new257(  String text,   int line,   int pos) { return new TTruthPredicate(text, line, pos); }
    Token new258(  String text,   int line,   int pos) { return new TIdentifierLiteral(text, line, pos); }
    Token new259(  String text,   int line,   int pos) { return new TDefLiteralSubstitution(text, line, pos); }
    Token new260(  String text,   int line,   int pos) { return new TDefLiteralPredicate(text, line, pos); }
    Token new261(  String text,   int line,   int pos) { return new TPredicateIdentifier(text, line, pos); }
    Token new262(  String text,   int line,   int pos) { return new TIntegerLiteral(text, line, pos); }
    Token new263(  String text,   int line,   int pos) { return new THexLiteral(text, line, pos); }
    Token new264(  String text,   int line,   int pos) { return new TUnderscore(text, line, pos); }
    Token new265(  String text,   int line,   int pos) { return new TWhiteSpace(text, line, pos); }
    Token new266(  int line,   int pos) { return new TKwRulesMachine(line, pos); }
    Token new267(  int line,   int pos) { return new TKwRule(line, pos); }
    Token new268(  String text,   int line,   int pos) { return new TKwSubstitutionOperator(text, line, pos); }
    Token new269(  String text,   int line,   int pos) { return new TKwPredicateOperator(text, line, pos); }
    Token new270(  String text,   int line,   int pos) { return new TKwExpressionOperator(text, line, pos); }
    Token new271(  String text,   int line,   int pos) { return new TKwPredicateAttribute(text, line, pos); }
    Token new272(  String text,   int line,   int pos) { return new TKwAttributeIdentifier(text, line, pos); }
    Token new273(  int line,   int pos) { return new TKwFor(line, pos); }
    Token new274(  int line,   int pos) { return new TKwRuleForAll(line, pos); }
    Token new275(  int line,   int pos) { return new TKwRuleFail(line, pos); }
    Token new276(  int line,   int pos) { return new TKwRuleErrorType(line, pos); }
    Token new277(  int line,   int pos) { return new TKwExpect(line, pos); }
    Token new278(  int line,   int pos) { return new TKwComputation(line, pos); }
    Token new279(  int line,   int pos) { return new TKwDefine(line, pos); }
    Token new280(  int line,   int pos) { return new TKwType(line, pos); }
    Token new281(  int line,   int pos) { return new TKwValue(line, pos); }
    Token new282(  int line,   int pos) { return new TKwBody(line, pos); }
    Token new283(  int line,   int pos) { return new TKwDummyValue(line, pos); }
    Token new284(  int line,   int pos) { return new TKwCounterexample(line, pos); }
    Token new285(  int line,   int pos) { return new TKwFunction(line, pos); }
    Token new286(  int line,   int pos) { return new TKwReferences(line, pos); }

    private int getChar() throws IOException
    {
        if(this.eof)
        {
            return -1;
        }

        int result = this.in.read();

        if(result == -1)
        {
            this.eof = true;
        }

        return result;
    }

    private void pushBack(int acceptLength) throws IOException
    {
        int length = this.text.length();
        for(int i = length - 1; i >= acceptLength; i--)
        {
            this.eof = false;

            this.in.unread(this.text.charAt(i));
        }
    }

    protected void unread(  Token token) throws IOException
    {
          String text = token.getText();
        int length = text.length();

        for(int i = length - 1; i >= 0; i--)
        {
            this.eof = false;

            this.in.unread(text.charAt(i));
        }

        this.pos = token.getPos() - 1;
        this.line = token.getLine() - 1;
    }

    private String getText(int acceptLength)
    {
        StringBuffer s = new StringBuffer(acceptLength);
        for(int i = 0; i < acceptLength; i++)
        {
            s.append(this.text.charAt(i));
        }

        return s.toString();
    }

    private static int[][][][] gotoTable;
/*  {
        { // SECTION
            {{9, 9, 1}, {10, 10, 2}, {13, 13, 2}, {32, 32, 1}, {35, 35, 3}, {39, 39, 4}, {47, 47, 5}, {65, 67, 6}, {68, 68, 7}, {69, 72, 6}, {73, 73, 8}, {74, 76, 6}, {77, 77, 9}, {78, 81, 6}, {82, 82, 10}, {83, 83, 11}, {84, 90, 6}, {97, 122, 6}, {160, 160, 1}, {170, 170, 6}, {181, 181, 6}, {186, 186, 12}, {192, 214, 12}, {216, 246, 12}, {248, 501, 12}, {506, 535, 13}, {592, 680, 13}, {688, 696, 13}, {699, 705, 13}, {720, 721, 14}, {736, 740, 14}, {890, 890, 14}, {902, 902, 14}, {904, 906, 15}, {908, 908, 15}, {910, 929, 15}, {931, 954, 15}, {956, 974, 15}, {976, 982, 16}, {986, 986, 16}, {988, 988, 16}, {990, 990, 16}, {992, 992, 17}, {994, 1011, 17}, {1025, 1036, 17}, {1038, 1103, 17}, {1105, 1116, 18}, {1118, 1153, 18}, {1168, 1220, 18}, {1223, 1224, 18}, {1227, 1228, 19}, {1232, 1259, 19}, {1262, 1269, 19}, {1272, 1273, 19}, {1329, 1366, 20}, {1369, 1369, 20}, {1377, 1415, 20}, {1488, 1514, 20}, {1520, 1522, 21}, {1569, 1594, 21}, {1600, 1610, 21}, {1649, 1719, 21}, {1722, 1726, 22}, {1728, 1742, 22}, {1744, 1747, 22}, {1749, 1749, 22}, {1765, 1766, 23}, {2309, 2361, 23}, {2365, 2365, 23}, {2392, 2401, 23}, {2437, 2444, 24}, {2447, 2448, 24}, {2451, 2472, 24}, {2474, 2480, 24}, {2482, 2482, 25}, {2486, 2489, 25}, {2524, 2525, 25}, {2527, 2529, 25}, {2544, 2545, 26}, {2565, 2570, 26}, {2575, 2576, 26}, {2579, 2600, 26}, {2602, 2608, 27}, {2610, 2611, 27}, {2613, 2614, 27}, {2616, 2617, 27}, {2649, 2652, 28}, {2654, 2654, 28}, {2674, 2676, 28}, {2693, 2699, 28}, {2701, 2701, 29}, {2703, 2705, 29}, {2707, 2728, 29}, {2730, 2736, 29}, {2738, 2739, 30}, {2741, 2745, 30}, {2749, 2749, 30}, {2784, 2784, 30}, {2821, 2828, 31}, {2831, 2832, 31}, {2835, 2856, 31}, {2858, 2864, 31}, {2866, 2867, 32}, {2870, 2873, 32}, {2877, 2877, 32}, {2908, 2909, 32}, {2911, 2913, 33}, {2949, 2954, 33}, {2958, 2960, 33}, {2962, 2965, 33}, {2969, 2970, 34}, {2972, 2972, 34}, {2974, 2975, 34}, {2979, 2980, 34}, {2984, 2986, 35}, {2990, 2997, 35}, {2999, 3001, 35}, {3077, 3084, 35}, {3086, 3088, 36}, {3090, 3112, 36}, {3114, 3123, 36}, {3125, 3129, 36}, {3168, 3169, 37}, {3205, 3212, 37}, {3214, 3216, 37}, {3218, 3240, 37}, {3242, 3251, 38}, {3253, 3257, 38}, {3294, 3294, 38}, {3296, 3297, 38}, {3333, 3340, 39}, {3342, 3344, 39}, {3346, 3368, 39}, {3370, 3385, 39}, {3424, 3425, 40}, {3585, 3630, 40}, {3632, 3632, 40}, {3634, 3635, 40}, {3648, 3654, 41}, {3713, 3714, 41}, {3716, 3716, 41}, {3719, 3720, 41}, {3722, 3722, 42}, {3725, 3725, 42}, {3732, 3735, 42}, {3737, 3743, 42}, {3745, 3747, 43}, {3749, 3749, 43}, {3751, 3751, 43}, {3754, 3755, 43}, {3757, 3758, 44}, {3760, 3760, 44}, {3762, 3763, 44}, {3773, 3773, 44}, {3776, 3780, 45}, {3782, 3782, 45}, {3804, 3805, 45}, {3904, 3911, 45}, {3913, 3945, 46}, {4256, 4293, 46}, {4304, 4342, 46}, {4352, 4441, 46}, {4447, 4514, 47}, {4520, 4601, 47}, {7680, 7835, 47}, {7840, 7929, 47}, {7936, 7957, 48}, {7960, 7965, 48}, {7968, 8005, 48}, {8008, 8013, 48}, {8016, 8023, 49}, {8025, 8025, 49}, {8027, 8027, 49}, {8029, 8029, 49}, {8031, 8061, 50}, {8064, 8116, 50}, {8118, 8124, 50}, {8126, 8126, 50}, {8130, 8132, 51}, {8134, 8140, 51}, {8144, 8147, 51}, {8150, 8155, 51}, {8160, 8172, 52}, {8178, 8180, 52}, {8182, 8188, 52}, {8232, 8233, 1}, {8319, 8319, 52}, {8450, 8450, 53}, {8455, 8455, 53}, {8458, 8467, 53}, {8469, 8469, 53}, {8472, 8477, 54}, {8484, 8484, 54}, {8486, 8486, 54}, {8488, 8488, 54}, {8490, 8497, 55}, {8499, 8504, 55}, {12293, 12293, 55}, {12337, 12341, 55}, {12353, 12436, 56}, {12443, 12446, 56}, {12449, 12538, 56}, {12540, 12542, 56}, {12549, 12588, 57}, {12593, 12686, 57}, {19968, 40869, 57}, {44032, 55203, 57}, {63744, 64045, 58}, {64256, 64262, 58}, {64275, 64279, 58}, {64287, 64296, 58}, {64298, 64310, 59}, {64312, 64316, 59}, {64318, 64318, 59}, {64320, 64321, 59}, {64323, 64324, 60}, {64326, 64433, 60}, {64467, 64829, 60}, {64848, 64911, 60}, {64914, 64967, 61}, {65008, 65019, 61}, {65136, 65138, 61}, {65140, 65140, 61}, {65142, 65276, 62}, {65313, 65338, 62}, {65345, 65370, 62}, {65382, 65470, 62}, {65474, 65479, 63}, {65482, 65487, 63}, {65490, 65495, 63}, {65498, 65500, 63}, },
            {{9, 9, 1}, {32, 32, 1}, {160, 160, 1}, {8232, 8233, 1}, },
            {},
            {{33, 33, 64}, {65, 65, 65}, {67, 67, 66}, {68, 68, 67}, {69, 69, 68}, {70, 70, 69}, {73, 73, 70}, {76, 76, 71}, {77, 77, 72}, {79, 79, 73}, {80, 80, 74}, {83, 83, 75}, {85, 85, 76}, {86, 86, 77}, },
            {{39, 39, 78}, },
            {{42, 42, 79}, {47, 47, 80}, },
            {{48, 57, 81}, {65, 90, 82}, {95, 95, 83}, {97, 122, 82}, {170, 170, 82}, {181, 181, 82}, {186, 186, 84}, {192, 214, 84}, {216, 246, 84}, {248, 501, 84}, {506, 535, 85}, {592, 680, 85}, {688, 696, 85}, {699, 705, 85}, {720, 721, 86}, {736, 740, 86}, {890, 890, 86}, {902, 902, 86}, {904, 906, 87}, {908, 908, 87}, {910, 929, 87}, {931, 954, 87}, {955, 955, 88}, {956, 974, 87}, {976, 982, 89}, {986, 986, 89}, {988, 988, 89}, {990, 990, 89}, {992, 992, 90}, {994, 1011, 90}, {1025, 1036, 90}, {1038, 1103, 90}, {1105, 1116, 91}, {1118, 1153, 91}, {1168, 1220, 91}, {1223, 1224, 91}, {1227, 1228, 92}, {1232, 1259, 92}, {1262, 1269, 92}, {1272, 1273, 92}, {1329, 1366, 93}, {1369, 1369, 93}, {1377, 1415, 93}, {1488, 1514, 93}, {1520, 1522, 94}, {1569, 1594, 94}, {1600, 1610, 94}, {1649, 1719, 94}, {1722, 1726, 95}, {1728, 1742, 95}, {1744, 1747, 95}, {1749, 1749, 95}, {1765, 1766, 96}, {2309, 2361, 96}, {2365, 2365, 96}, {2392, 2401, 96}, {2437, 2444, 97}, {2447, 2448, 97}, {2451, 2472, 97}, {2474, 2480, 97}, {2482, 2482, 98}, {2486, 2489, 98}, {2524, 2525, 98}, {2527, 2529, 98}, {2544, 2545, 99}, {2565, 2570, 99}, {2575, 2576, 99}, {2579, 2600, 99}, {2602, 2608, 100}, {2610, 2611, 100}, {2613, 2614, 100}, {2616, 2617, 100}, {2649, 2652, 101}, {2654, 2654, 101}, {2674, 2676, 101}, {2693, 2699, 101}, {2701, 2701, 102}, {2703, 2705, 102}, {2707, 2728, 102}, {2730, 2736, 102}, {2738, 2739, 103}, {2741, 2745, 103}, {2749, 2749, 103}, {2784, 2784, 103}, {2821, 2828, 104}, {2831, 2832, 104}, {2835, 2856, 104}, {2858, 2864, 104}, {2866, 2867, 105}, {2870, 2873, 105}, {2877, 2877, 105}, {2908, 2909, 105}, {2911, 2913, 106}, {2949, 2954, 106}, {2958, 2960, 106}, {2962, 2965, 106}, {2969, 2970, 107}, {2972, 2972, 107}, {2974, 2975, 107}, {2979, 2980, 107}, {2984, 2986, 108}, {2990, 2997, 108}, {2999, 3001, 108}, {3077, 3084, 108}, {3086, 3088, 109}, {3090, 3112, 109}, {3114, 3123, 109}, {3125, 3129, 109}, {3168, 3169, 110}, {3205, 3212, 110}, {3214, 3216, 110}, {3218, 3240, 110}, {3242, 3251, 111}, {3253, 3257, 111}, {3294, 3294, 111}, {3296, 3297, 111}, {3333, 3340, 112}, {3342, 3344, 112}, {3346, 3368, 112}, {3370, 3385, 112}, {3424, 3425, 113}, {3585, 3630, 113}, {3632, 3632, 113}, {3634, 3635, 113}, {3648, 3654, 114}, {3713, 3714, 114}, {3716, 3716, 114}, {3719, 3720, 114}, {3722, 3722, 115}, {3725, 3725, 115}, {3732, 3735, 115}, {3737, 3743, 115}, {3745, 3747, 116}, {3749, 3749, 116}, {3751, 3751, 116}, {3754, 3755, 116}, {3757, 3758, 117}, {3760, 3760, 117}, {3762, 3763, 117}, {3773, 3773, 117}, {3776, 3780, 118}, {3782, 3782, 118}, {3804, 3805, 118}, {3904, 3911, 118}, {3913, 3945, 119}, {4256, 4293, 119}, {4304, 4342, 119}, {4352, 4441, 119}, {4447, 4514, 120}, {4520, 4601, 120}, {7680, 7835, 120}, {7840, 7929, 120}, {7936, 7957, 121}, {7960, 7965, 121}, {7968, 8005, 121}, {8008, 8013, 121}, {8016, 8023, 122}, {8025, 8025, 122}, {8027, 8027, 122}, {8029, 8029, 122}, {8031, 8061, 123}, {8064, 8116, 123}, {8118, 8124, 123}, {8126, 8126, 123}, {8130, 8132, 124}, {8134, 8140, 124}, {8144, 8147, 124}, {8150, 8155, 124}, {8160, 8172, 125}, {8178, 8180, 125}, {8182, 8188, 125}, {8216, 8217, 126}, {8242, 8242, 126}, {8319, 8319, 125}, {8320, 8329, 127}, {8450, 8450, 128}, {8455, 8455, 128}, {8458, 8467, 128}, {8469, 8469, 128}, {8472, 8477, 129}, {8484, 8484, 129}, {8486, 8486, 129}, {8488, 8488, 129}, {8490, 8497, 130}, {8499, 8504, 130}, {12293, 12293, 130}, {12337, 12341, 130}, {12353, 12436, 131}, {12443, 12446, 131}, {12449, 12538, 131}, {12540, 12542, 131}, {12549, 12588, 132}, {12593, 12686, 132}, {19968, 40869, 132}, {44032, 55203, 132}, {63744, 64045, 133}, {64256, 64262, 133}, {64275, 64279, 133}, {64287, 64296, 133}, {64298, 64310, 134}, {64312, 64316, 134}, {64318, 64318, 134}, {64320, 64321, 134}, {64323, 64324, 135}, {64326, 64433, 135}, {64467, 64829, 135}, {64848, 64911, 135}, {64914, 64967, 136}, {65008, 65019, 136}, {65136, 65138, 136}, {65140, 65140, 136}, {65142, 65276, 137}, {65313, 65338, 137}, {65345, 65370, 137}, {65382, 65470, 137}, {65474, 65479, 138}, {65482, 65487, 138}, {65490, 65495, 138}, {65498, 65500, 138}, },
            {{48, 57, 81}, {65, 68, 82}, {69, 69, 139}, {70, 90, 82}, {95, 65500, -8}, },
            {{48, 57, 81}, {65, 76, 82}, {77, 77, 140}, {78, 90, 82}, {95, 65500, -8}, },
            {{48, 57, 81}, {65, 65, 141}, {66, 78, 82}, {79, 79, 142}, {80, 90, 82}, {95, 65500, -8}, },
            {{48, 68, -9}, {69, 69, 143}, {70, 65500, -9}, },
            {{48, 57, 81}, {65, 88, 82}, {89, 89, 144}, {90, 90, 82}, {95, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {},
            {{66, 66, 145}, {83, 83, 146}, },
            {{79, 79, 147}, },
            {{69, 69, 148}, },
            {{88, 88, 149}, },
            {{79, 79, 150}, },
            {{77, 77, 151}, {78, 78, 152}, },
            {{79, 79, 153}, },
            {{65, 65, 154}, },
            {{80, 80, 155}, },
            {{82, 82, 156}, },
            {{69, 69, 157}, {85, 85, 158}, },
            {{83, 83, 159}, },
            {{65, 65, 160}, },
            {{39, 39, 161}, },
            {{64, 64, 162}, },
            {{0, 9, 163}, {10, 10, 164}, {11, 12, 163}, {13, 13, 164}, {14, 65535, 163}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{8216, 8242, -8}, },
            {{8216, 8242, -8}, {8320, 8329, 127}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 65500, -8}, },
            {{48, 57, 81}, {65, 69, 82}, {70, 70, 165}, {71, 90, 82}, {95, 65500, -8}, },
            {{48, 57, 81}, {65, 79, 82}, {80, 80, 166}, {81, 90, 82}, {95, 65500, -8}, },
            {{48, 57, 81}, {65, 66, 82}, {67, 67, 167}, {68, 90, 82}, {95, 65500, -8}, },
            {{48, 57, 81}, {65, 67, 82}, {68, 68, 168}, {69, 90, 82}, {95, 65500, -8}, },
            {{48, 69, -141}, {70, 70, 169}, {71, 65500, -141}, },
            {{48, 57, 81}, {65, 82, 82}, {83, 83, 170}, {84, 90, 82}, {95, 65500, -8}, },
            {{83, 83, 171}, },
            {{83, 83, 172}, },
            {{78, 78, 173}, },
            {{70, 70, 174}, },
            {{80, 80, 175}, {84, 84, 176}, },
            {{82, 82, 177}, },
            {{80, 80, 178}, },
            {{67, 67, 179}, {73, 73, 180}, {86, 86, 181}, },
            {{67, 67, 182}, },
            {{67, 67, 183}, },
            {{69, 69, 184}, {80, 80, 185}, },
            {{69, 69, 186}, {79, 79, 187}, },
            {{69, 69, 188}, {84, 84, 189}, },
            {{66, 66, 190}, },
            {{69, 69, 191}, },
            {{76, 76, 192}, {82, 82, 193}, },
            {},
            {},
            {{0, 65535, -82}, },
            {},
            {{48, 57, 81}, {65, 72, 82}, {73, 73, 194}, {74, 90, 82}, {95, 65500, -8}, },
            {{48, 57, 81}, {65, 75, 82}, {76, 76, 195}, {77, 90, 82}, {95, 65500, -8}, },
            {{48, 57, 81}, {65, 71, 82}, {72, 72, 196}, {73, 90, 82}, {95, 65500, -8}, },
            {{48, 68, -9}, {69, 69, 197}, {70, 65500, -9}, },
            {{48, 72, -167}, {73, 73, 198}, {74, 65500, -167}, },
            {{48, 57, 81}, {65, 83, 82}, {84, 84, 199}, {85, 90, 82}, {95, 65500, -8}, },
            {{84, 84, 200}, },
            {{69, 69, 201}, },
            {{67, 67, 202}, {83, 83, 203}, },
            {{73, 73, 204}, },
            {{82, 82, 205}, },
            {{69, 69, 206}, },
            {{77, 77, 207}, },
            {{79, 79, 208}, },
            {{76, 76, 209}, },
            {{84, 84, 210}, },
            {{65, 65, 211}, },
            {{65, 65, 212}, },
            {{72, 72, 213}, },
            {{82, 82, 214}, },
            {{65, 65, 215}, },
            {{68, 68, 216}, },
            {{77, 77, 217}, {80, 80, 218}, },
            {{83, 83, 219}, },
            {{83, 83, 220}, },
            {{83, 83, 221}, },
            {{83, 83, 222}, },
            {{85, 85, 223}, },
            {{73, 73, 224}, },
            {{48, 57, 81}, {65, 77, 82}, {78, 78, 225}, {79, 90, 82}, {95, 65500, -8}, },
            {{48, 68, -9}, {69, 69, 226}, {70, 65500, -9}, },
            {{48, 72, -167}, {73, 73, 227}, {74, 65500, -167}, },
            {{48, 75, -168}, {76, 76, 228}, {77, 65500, -168}, },
            {{48, 77, -196}, {78, 78, 229}, {79, 65500, -196}, },
            {{48, 68, -9}, {69, 69, 230}, {70, 65500, -9}, },
            {{82, 82, 231}, },
            {{82, 82, 232}, },
            {{82, 82, 233}, },
            {{84, 84, 234}, },
            {{78, 78, 235}, },
            {{69, 69, 236}, },
            {{78, 78, 237}, },
            {{85, 85, 238}, },
            {{82, 82, 239}, },
            {{85, 85, 240}, },
            {{73, 73, 241}, },
            {{82, 82, 242}, },
            {{76, 76, 243}, },
            {{73, 73, 244}, },
            {{65, 65, 245}, },
            {{84, 84, 246}, },
            {{73, 73, 247}, },
            {{79, 79, 248}, },
            {{69, 69, 249}, },
            {},
            {},
            {{84, 84, 250}, },
            {},
            {{69, 69, 251}, },
            {{65, 65, 252}, },
            {{48, 72, -167}, {73, 73, 253}, {74, 65500, -167}, },
            {{48, 76, -10}, {77, 77, 254}, {78, 65500, -10}, },
            {{48, 77, -196}, {78, 78, 255}, {79, 65500, -196}, },
            {{48, 65500, -8}, },
            {{48, 68, -9}, {69, 69, 256}, {70, 65500, -9}, },
            {{48, 76, -10}, {77, 77, 257}, {78, 65500, -10}, },
            {{65, 65, 258}, },
            {{84, 84, 259}, },
            {{69, 69, 260}, },
            {{65, 65, 261}, {82, 82, 262}, },
            {{73, 73, 263}, },
            {{83, 83, 264}, },
            {{68, 68, 265}, },
            {{76, 76, 266}, },
            {{84, 84, 267}, },
            {{68, 68, 268}, },
            {{65, 65, 269}, },
            {{73, 73, 270}, },
            {{95, 95, 271}, },
            {{78, 78, 272}, },
            {{84, 84, 273}, },
            {{84, 84, 274}, },
            {{67, 67, 275}, },
            {{84, 84, 276}, },
            {{82, 82, 277}, },
            {{73, 73, 278}, },
            {{83, 83, 279}, },
            {{66, 66, 280}, },
            {{48, 83, -172}, {84, 84, 281}, {85, 65500, -172}, },
            {{48, 68, -9}, {69, 69, 282}, {70, 65500, -9}, },
            {{48, 68, -9}, {69, 69, 283}, {70, 65500, -9}, },
            {{48, 76, -10}, {77, 77, 284}, {78, 65500, -10}, },
            {{48, 65500, -8}, },
            {{67, 67, 285}, },
            {{73, 73, 286}, },
            {{84, 84, 287}, },
            {{78, 78, 288}, },
            {{65, 65, 289}, },
            {{84, 84, 290}, },
            {{83, 83, 291}, },
            {{83, 83, 292}, },
            {{65, 65, 293}, },
            {{83, 83, 294}, },
            {{69, 69, 295}, },
            {{76, 76, 296}, },
            {{65, 65, 297}, },
            {{79, 79, 298}, },
            {{69, 69, 299}, },
            {{73, 73, 300}, },
            {{69, 69, 301}, },
            {{65, 65, 302}, },
            {{69, 69, 303}, },
            {{84, 84, 304}, },
            {{84, 84, 305}, },
            {},
            {{76, 76, 306}, },
            {{48, 72, -167}, {73, 73, 307}, {74, 65500, -167}, },
            {{48, 77, -196}, {78, 78, 308}, {79, 65500, -196}, },
            {{48, 65500, -8}, },
            {{48, 68, -9}, {69, 69, 309}, {70, 65500, -9}, },
            {{84, 84, 310}, },
            {{79, 79, 311}, },
            {{69, 69, 312}, },
            {{84, 84, 313}, },
            {{73, 73, 314}, },
            {{73, 73, 315}, },
            {{73, 73, 316}, },
            {},
            {},
            {},
            {{83, 83, 317}, },
            {{73, 73, 318}, },
            {{78, 78, 319}, },
            {{80, 80, 320}, },
            {{67, 67, 321}, },
            {{79, 79, 322}, },
            {{82, 82, 323}, },
            {{84, 84, 324}, },
            {{83, 83, 325}, },
            {{73, 73, 326}, },
            {{85, 85, 327}, },
            {{69, 69, 328}, },
            {{48, 57, 81}, {65, 78, 82}, {79, 79, 329}, {80, 65500, -11}, },
            {{48, 83, -172}, {84, 84, 330}, {85, 65500, -172}, },
            {{48, 77, -196}, {78, 78, 331}, {79, 65500, -196}, },
            {{95, 95, 332}, },
            {{78, 78, 333}, },
            {{95, 95, 334}, },
            {{83, 83, 335}, },
            {{78, 78, 336}, },
            {{79, 79, 337}, },
            {{79, 79, 338}, },
            {},
            {{83, 83, 339}, },
            {{84, 84, 340}, },
            {{69, 69, 341}, },
            {{76, 76, 342}, },
            {{78, 78, 343}, },
            {{78, 78, 344}, },
            {{69, 69, 345}, },
            {},
            {{69, 69, 346}, },
            {{84, 84, 347}, },
            {{83, 83, 348}, },
            {{48, 77, -196}, {78, 78, 349}, {79, 65500, -196}, },
            {{48, 57, 81}, {65, 65, 350}, {66, 90, 82}, {95, 65500, -8}, },
            {{48, 83, -172}, {84, 84, 351}, {85, 65500, -172}, },
            {{67, 67, 352}, {86, 86, 353}, },
            {{83, 83, 354}, },
            {{67, 67, 355}, {86, 86, 356}, },
            {},
            {{84, 84, 357}, },
            {{78, 78, 358}, },
            {{78, 78, 359}, },
            {{65, 65, 360}, },
            {},
            {{82, 82, 361}, },
            {{65, 65, 362}, },
            {{83, 83, 363}, },
            {},
            {},
            {{83, 83, 364}, },
            {{73, 73, 365}, },
            {},
            {{48, 82, -146}, {83, 83, 366}, {84, 65500, -146}, },
            {{48, 83, -172}, {84, 84, 367}, {85, 65500, -172}, },
            {{48, 65500, -8}, },
            {{79, 79, 368}, },
            {{65, 65, 369}, },
            {},
            {{79, 79, 370}, },
            {{65, 65, 371}, },
            {{83, 83, 372}, },
            {{83, 83, 373}, },
            {},
            {{84, 84, 374}, },
            {{65, 65, 375}, },
            {{85, 85, 376}, },
            {},
            {},
            {{79, 79, 377}, },
            {{48, 65500, -8}, },
            {{48, 72, -167}, {73, 73, 378}, {74, 65500, -167}, },
            {{78, 78, 379}, },
            {{82, 82, 380}, },
            {{78, 78, 381}, },
            {{82, 82, 382}, },
            {},
            {},
            {{73, 73, 383}, },
            {{84, 84, 384}, },
            {{83, 83, 385}, },
            {{78, 78, 386}, },
            {{48, 78, -309}, {79, 79, 387}, {80, 65500, -11}, },
            {{83, 83, 388}, },
            {{73, 73, 389}, },
            {{83, 83, 390}, },
            {{73, 73, 391}, },
            {{79, 79, 392}, },
            {{73, 73, 393}, },
            {{69, 69, 394}, },
            {},
            {{48, 77, -196}, {78, 78, 395}, {79, 65500, -196}, },
            {{84, 84, 396}, },
            {{65, 65, 397}, },
            {{84, 84, 398}, },
            {{65, 65, 399}, },
            {{78, 78, 400}, },
            {{79, 79, 401}, },
            {},
            {{48, 65500, -8}, },
            {{65, 65, 402}, },
            {{66, 66, 403}, },
            {{65, 65, 404}, },
            {{66, 66, 405}, },
            {},
            {{78, 78, 406}, },
            {{78, 78, 407}, },
            {{76, 76, 408}, },
            {{78, 78, 409}, },
            {{76, 76, 410}, },
            {{83, 83, 411}, },
            {{84, 84, 412}, },
            {{69, 69, 413}, },
            {{84, 84, 414}, },
            {{69, 69, 415}, },
            {},
            {{83, 83, 416}, },
            {{83, 83, 417}, },
            {{83, 83, 418}, },
            {{83, 83, 419}, },
            {},
            {},
            {},
            {},
        }
        { // NORMAL
            {{9, 9, 1}, {10, 10, 2}, {13, 13, 2}, {32, 32, 1}, {33, 33, 3}, {34, 34, 4}, {35, 35, 5}, {36, 36, 6}, {37, 37, 7}, {38, 38, 8}, {39, 39, 9}, {40, 40, 10}, {41, 41, 11}, {42, 42, 12}, {43, 43, 13}, {44, 44, 14}, {45, 45, 15}, {46, 46, 16}, {47, 47, 17}, {48, 48, 18}, {49, 57, 19}, {58, 58, 20}, {59, 59, 21}, {60, 60, 22}, {61, 61, 23}, {62, 62, 24}, {64, 64, 25}, {65, 65, 26}, {66, 66, 27}, {67, 67, 28}, {68, 68, 29}, {69, 69, 30}, {70, 70, 31}, {71, 72, 32}, {73, 73, 33}, {74, 75, 32}, {76, 76, 34}, {77, 77, 35}, {78, 78, 36}, {79, 79, 37}, {80, 80, 38}, {81, 81, 32}, {82, 82, 39}, {83, 83, 40}, {84, 84, 41}, {85, 85, 42}, {86, 86, 43}, {87, 87, 44}, {88, 90, 32}, {91, 91, 45}, {92, 92, 46}, {93, 93, 47}, {94, 94, 48}, {95, 95, 49}, {97, 97, 50}, {98, 98, 51}, {99, 99, 52}, {100, 100, 53}, {101, 101, 32}, {102, 102, 54}, {103, 104, 32}, {105, 105, 55}, {106, 107, 32}, {108, 108, 56}, {109, 109, 57}, {110, 110, 58}, {111, 111, 59}, {112, 112, 60}, {113, 113, 32}, {114, 114, 61}, {115, 115, 62}, {116, 116, 63}, {117, 117, 64}, {118, 122, 32}, {123, 123, 65}, {124, 124, 66}, {125, 125, 67}, {126, 126, 68}, {160, 160, 1}, {170, 170, 32}, {172, 172, 69}, {181, 181, 32}, {183, 183, 70}, {186, 186, 71}, {192, 214, 71}, {215, 215, 72}, {216, 246, 71}, {247, 247, 73}, {248, 501, 71}, {506, 535, 74}, {592, 680, 74}, {688, 696, 74}, {699, 705, 74}, {720, 721, 75}, {736, 740, 75}, {890, 890, 75}, {902, 902, 75}, {904, 906, 76}, {908, 908, 76}, {910, 929, 76}, {931, 954, 76}, {955, 955, 77}, {956, 974, 76}, {976, 982, 78}, {986, 986, 78}, {988, 988, 78}, {990, 990, 78}, {992, 992, 79}, {994, 1011, 79}, {1025, 1036, 79}, {1038, 1103, 79}, {1105, 1116, 80}, {1118, 1153, 80}, {1168, 1220, 80}, {1223, 1224, 80}, {1227, 1228, 81}, {1232, 1259, 81}, {1262, 1269, 81}, {1272, 1273, 81}, {1329, 1366, 82}, {1369, 1369, 82}, {1377, 1415, 82}, {1488, 1514, 82}, {1520, 1522, 83}, {1569, 1594, 83}, {1600, 1610, 83}, {1649, 1719, 83}, {1722, 1726, 84}, {1728, 1742, 84}, {1744, 1747, 84}, {1749, 1749, 84}, {1765, 1766, 85}, {2309, 2361, 85}, {2365, 2365, 85}, {2392, 2401, 85}, {2437, 2444, 86}, {2447, 2448, 86}, {2451, 2472, 86}, {2474, 2480, 86}, {2482, 2482, 87}, {2486, 2489, 87}, {2524, 2525, 87}, {2527, 2529, 87}, {2544, 2545, 88}, {2565, 2570, 88}, {2575, 2576, 88}, {2579, 2600, 88}, {2602, 2608, 89}, {2610, 2611, 89}, {2613, 2614, 89}, {2616, 2617, 89}, {2649, 2652, 90}, {2654, 2654, 90}, {2674, 2676, 90}, {2693, 2699, 90}, {2701, 2701, 91}, {2703, 2705, 91}, {2707, 2728, 91}, {2730, 2736, 91}, {2738, 2739, 92}, {2741, 2745, 92}, {2749, 2749, 92}, {2784, 2784, 92}, {2821, 2828, 93}, {2831, 2832, 93}, {2835, 2856, 93}, {2858, 2864, 93}, {2866, 2867, 94}, {2870, 2873, 94}, {2877, 2877, 94}, {2908, 2909, 94}, {2911, 2913, 95}, {2949, 2954, 95}, {2958, 2960, 95}, {2962, 2965, 95}, {2969, 2970, 96}, {2972, 2972, 96}, {2974, 2975, 96}, {2979, 2980, 96}, {2984, 2986, 97}, {2990, 2997, 97}, {2999, 3001, 97}, {3077, 3084, 97}, {3086, 3088, 98}, {3090, 3112, 98}, {3114, 3123, 98}, {3125, 3129, 98}, {3168, 3169, 99}, {3205, 3212, 99}, {3214, 3216, 99}, {3218, 3240, 99}, {3242, 3251, 100}, {3253, 3257, 100}, {3294, 3294, 100}, {3296, 3297, 100}, {3333, 3340, 101}, {3342, 3344, 101}, {3346, 3368, 101}, {3370, 3385, 101}, {3424, 3425, 102}, {3585, 3630, 102}, {3632, 3632, 102}, {3634, 3635, 102}, {3648, 3654, 103}, {3713, 3714, 103}, {3716, 3716, 103}, {3719, 3720, 103}, {3722, 3722, 104}, {3725, 3725, 104}, {3732, 3735, 104}, {3737, 3743, 104}, {3745, 3747, 105}, {3749, 3749, 105}, {3751, 3751, 105}, {3754, 3755, 105}, {3757, 3758, 106}, {3760, 3760, 106}, {3762, 3763, 106}, {3773, 3773, 106}, {3776, 3780, 107}, {3782, 3782, 107}, {3804, 3805, 107}, {3904, 3911, 107}, {3913, 3945, 108}, {4256, 4293, 108}, {4304, 4342, 108}, {4352, 4441, 108}, {4447, 4514, 109}, {4520, 4601, 109}, {7680, 7835, 109}, {7840, 7929, 109}, {7936, 7957, 110}, {7960, 7965, 110}, {7968, 8005, 110}, {8008, 8013, 110}, {8016, 8023, 111}, {8025, 8025, 111}, {8027, 8027, 111}, {8029, 8029, 111}, {8031, 8061, 112}, {8064, 8116, 112}, {8118, 8124, 112}, {8126, 8126, 112}, {8130, 8132, 113}, {8134, 8140, 113}, {8144, 8147, 113}, {8150, 8155, 113}, {8160, 8172, 114}, {8178, 8180, 114}, {8182, 8188, 114}, {8229, 8229, 115}, {8232, 8233, 1}, {8315, 8315, 116}, {8319, 8319, 114}, {8450, 8450, 117}, {8455, 8455, 117}, {8458, 8467, 117}, {8469, 8469, 118}, {8472, 8472, 119}, {8473, 8473, 120}, {8474, 8477, 119}, {8484, 8484, 121}, {8486, 8486, 119}, {8488, 8488, 119}, {8490, 8497, 122}, {8499, 8504, 122}, {8592, 8592, 123}, {8593, 8593, 124}, {8594, 8594, 125}, {8595, 8595, 126}, {8596, 8596, 127}, {8608, 8608, 128}, {8611, 8611, 129}, {8614, 8614, 130}, {8658, 8658, 131}, {8660, 8660, 132}, {8696, 8696, 133}, {8701, 8701, 134}, {8702, 8702, 135}, {8704, 8704, 136}, {8707, 8707, 137}, {8709, 8709, 138}, {8712, 8712, 139}, {8713, 8713, 140}, {8719, 8719, 141}, {8721, 8721, 142}, {8722, 8722, 143}, {8739, 8739, 144}, {8741, 8741, 145}, {8743, 8743, 146}, {8744, 8744, 147}, {8745, 8745, 148}, {8746, 8746, 149}, {8764, 8764, 150}, {8800, 8800, 151}, {8804, 8804, 152}, {8805, 8805, 153}, {8834, 8834, 154}, {8836, 8836, 155}, {8838, 8838, 156}, {8840, 8840, 157}, {8855, 8855, 158}, {8868, 8868, 159}, {8869, 8869, 160}, {8898, 8898, 161}, {8899, 8899, 162}, {8901, 8901, 163}, {8918, 8918, 164}, {8978, 8978, 165}, {9654, 9654, 166}, {9655, 9655, 167}, {9664, 9664, 168}, {9665, 9665, 169}, {10496, 10496, 170}, {10516, 10516, 171}, {10518, 10518, 172}, {10852, 10852, 173}, {10853, 10853, 174}, {12293, 12293, 122}, {12337, 12341, 122}, {12353, 12436, 175}, {12443, 12446, 175}, {12449, 12538, 175}, {12540, 12542, 175}, {12549, 12588, 176}, {12593, 12686, 176}, {19968, 40869, 176}, {44032, 55203, 176}, {57600, 57600, 177}, {57601, 57601, 178}, {57602, 57602, 179}, {57603, 57603, 180}, {63744, 64045, 181}, {64256, 64262, 181}, {64275, 64279, 181}, {64287, 64296, 181}, {64298, 64310, 182}, {64312, 64316, 182}, {64318, 64318, 182}, {64320, 64321, 182}, {64323, 64324, 183}, {64326, 64433, 183}, {64467, 64829, 183}, {64848, 64911, 183}, {64914, 64967, 184}, {65008, 65019, 184}, {65136, 65138, 184}, {65140, 65140, 184}, {65142, 65276, 185}, {65313, 65338, 185}, {65345, 65370, 185}, {65382, 65470, 185}, {65474, 65479, 186}, {65482, 65487, 186}, {65490, 65495, 186}, {65498, 65500, 186}, },
            {{9, 9, 1}, {32, 32, 1}, {160, 160, 1}, {8232, 8233, 1}, },
            {},
            {},
            {{0, 9, 187}, {11, 12, 187}, {14, 33, 187}, {34, 34, 188}, {35, 91, 187}, {92, 92, 189}, {93, 65535, 187}, },
            {{33, 33, 190}, },
            {},
            {},
            {},
            {{39, 39, 191}, },
            {},
            {},
            {{42, 42, 192}, },
            {{45, 45, 193}, {8722, 8722, 194}, },
            {},
            {{45, 45, 195}, {62, 62, 196}, {8722, 8722, 197}, },
            {{46, 46, 198}, },
            {{42, 42, 199}, {47, 47, 200}, {58, 58, 201}, {60, 60, 202}, {61, 61, 203}, {92, 92, 204}, {124, 124, 205}, },
            {{48, 57, 19}, {120, 120, 206}, },
            {{48, 57, 19}, },
            {{58, 58, 207}, {61, 61, 208}, {8712, 8712, 209}, },
            {},
            {{9, 9, 210}, {10, 10, 211}, {13, 13, 211}, {32, 32, 210}, {43, 43, 212}, {45, 45, 213}, {58, 58, 214}, {60, 60, 215}, {61, 61, 216}, {62, 62, 217}, {124, 124, 218}, {160, 160, 210}, {8232, 8233, 210}, {8722, 8722, 219}, },
            {{61, 61, 220}, {62, 62, 221}, },
            {{43, 43, 222}, {45, 45, 223}, {60, 60, 224}, {61, 61, 225}, {8722, 8722, 226}, },
            {{35, 35, 227}, },
            {{48, 57, 228}, {65, 65, 229}, {66, 66, 230}, {67, 77, 229}, {78, 78, 231}, {79, 82, 229}, {83, 83, 232}, {84, 90, 229}, {95, 95, 233}, {97, 122, 229}, {170, 170, 229}, {181, 181, 229}, {186, 186, 234}, {192, 214, 234}, {216, 246, 234}, {248, 501, 234}, {506, 535, 235}, {592, 680, 235}, {688, 696, 235}, {699, 705, 235}, {720, 721, 236}, {736, 740, 236}, {890, 890, 236}, {902, 902, 236}, {904, 906, 237}, {908, 908, 237}, {910, 929, 237}, {931, 954, 237}, {955, 955, 238}, {956, 974, 237}, {976, 982, 239}, {986, 986, 239}, {988, 988, 239}, {990, 990, 239}, {992, 992, 240}, {994, 1011, 240}, {1025, 1036, 240}, {1038, 1103, 240}, {1105, 1116, 241}, {1118, 1153, 241}, {1168, 1220, 241}, {1223, 1224, 241}, {1227, 1228, 242}, {1232, 1259, 242}, {1262, 1269, 242}, {1272, 1273, 242}, {1329, 1366, 243}, {1369, 1369, 243}, {1377, 1415, 243}, {1488, 1514, 243}, {1520, 1522, 244}, {1569, 1594, 244}, {1600, 1610, 244}, {1649, 1719, 244}, {1722, 1726, 245}, {1728, 1742, 245}, {1744, 1747, 245}, {1749, 1749, 245}, {1765, 1766, 246}, {2309, 2361, 246}, {2365, 2365, 246}, {2392, 2401, 246}, {2437, 2444, 247}, {2447, 2448, 247}, {2451, 2472, 247}, {2474, 2480, 247}, {2482, 2482, 248}, {2486, 2489, 248}, {2524, 2525, 248}, {2527, 2529, 248}, {2544, 2545, 249}, {2565, 2570, 249}, {2575, 2576, 249}, {2579, 2600, 249}, {2602, 2608, 250}, {2610, 2611, 250}, {2613, 2614, 250}, {2616, 2617, 250}, {2649, 2652, 251}, {2654, 2654, 251}, {2674, 2676, 251}, {2693, 2699, 251}, {2701, 2701, 252}, {2703, 2705, 252}, {2707, 2728, 252}, {2730, 2736, 252}, {2738, 2739, 253}, {2741, 2745, 253}, {2749, 2749, 253}, {2784, 2784, 253}, {2821, 2828, 254}, {2831, 2832, 254}, {2835, 2856, 254}, {2858, 2864, 254}, {2866, 2867, 255}, {2870, 2873, 255}, {2877, 2877, 255}, {2908, 2909, 255}, {2911, 2913, 256}, {2949, 2954, 256}, {2958, 2960, 256}, {2962, 2965, 256}, {2969, 2970, 257}, {2972, 2972, 257}, {2974, 2975, 257}, {2979, 2980, 257}, {2984, 2986, 258}, {2990, 2997, 258}, {2999, 3001, 258}, {3077, 3084, 258}, {3086, 3088, 259}, {3090, 3112, 259}, {3114, 3123, 259}, {3125, 3129, 259}, {3168, 3169, 260}, {3205, 3212, 260}, {3214, 3216, 260}, {3218, 3240, 260}, {3242, 3251, 261}, {3253, 3257, 261}, {3294, 3294, 261}, {3296, 3297, 261}, {3333, 3340, 262}, {3342, 3344, 262}, {3346, 3368, 262}, {3370, 3385, 262}, {3424, 3425, 263}, {3585, 3630, 263}, {3632, 3632, 263}, {3634, 3635, 263}, {3648, 3654, 264}, {3713, 3714, 264}, {3716, 3716, 264}, {3719, 3720, 264}, {3722, 3722, 265}, {3725, 3725, 265}, {3732, 3735, 265}, {3737, 3743, 265}, {3745, 3747, 266}, {3749, 3749, 266}, {3751, 3751, 266}, {3754, 3755, 266}, {3757, 3758, 267}, {3760, 3760, 267}, {3762, 3763, 267}, {3773, 3773, 267}, {3776, 3780, 268}, {3782, 3782, 268}, {3804, 3805, 268}, {3904, 3911, 268}, {3913, 3945, 269}, {4256, 4293, 269}, {4304, 4342, 269}, {4352, 4441, 269}, {4447, 4514, 270}, {4520, 4601, 270}, {7680, 7835, 270}, {7840, 7929, 270}, {7936, 7957, 271}, {7960, 7965, 271}, {7968, 8005, 271}, {8008, 8013, 271}, {8016, 8023, 272}, {8025, 8025, 272}, {8027, 8027, 272}, {8029, 8029, 272}, {8031, 8061, 273}, {8064, 8116, 273}, {8118, 8124, 273}, {8126, 8126, 273}, {8130, 8132, 274}, {8134, 8140, 274}, {8144, 8147, 274}, {8150, 8155, 274}, {8160, 8172, 275}, {8178, 8180, 275}, {8182, 8188, 275}, {8216, 8217, 276}, {8242, 8242, 276}, {8319, 8319, 275}, {8320, 8329, 277}, {8450, 8450, 278}, {8455, 8455, 278}, {8458, 8467, 278}, {8469, 8469, 278}, {8472, 8477, 279}, {8484, 8484, 279}, {8486, 8486, 279}, {8488, 8488, 279}, {8490, 8497, 280}, {8499, 8504, 280}, {12293, 12293, 280}, {12337, 12341, 280}, {12353, 12436, 281}, {12443, 12446, 281}, {12449, 12538, 281}, {12540, 12542, 281}, {12549, 12588, 282}, {12593, 12686, 282}, {19968, 40869, 282}, {44032, 55203, 282}, {63744, 64045, 283}, {64256, 64262, 283}, {64275, 64279, 283}, {64287, 64296, 283}, {64298, 64310, 284}, {64312, 64316, 284}, {64318, 64318, 284}, {64320, 64321, 284}, {64323, 64324, 285}, {64326, 64433, 285}, {64467, 64829, 285}, {64848, 64911, 285}, {64914, 64967, 286}, {65008, 65019, 286}, {65136, 65138, 286}, {65140, 65140, 286}, {65142, 65276, 287}, {65313, 65338, 287}, {65345, 65370, 287}, {65382, 65470, 287}, {65474, 65479, 288}, {65482, 65487, 288}, {65490, 65495, 288}, {65498, 65500, 288}, },
            {{48, 57, 228}, {65, 68, 229}, {69, 69, 289}, {70, 78, 229}, {79, 79, 290}, {80, 90, 229}, {95, 65500, -28}, },
            {{48, 57, 228}, {65, 65, 291}, {66, 71, 229}, {72, 72, 292}, {73, 78, 229}, {79, 79, 293}, {80, 65500, -29}, },
            {{48, 68, -29}, {69, 69, 294}, {70, 78, 229}, {79, 79, 295}, {80, 84, 229}, {85, 85, 296}, {86, 90, 229}, {95, 65500, -28}, },
            {{48, 57, 228}, {65, 72, 229}, {73, 73, 297}, {74, 75, 229}, {76, 76, 298}, {77, 77, 229}, {78, 78, 299}, {79, 81, 229}, {82, 82, 300}, {83, 85, 229}, {86, 86, 301}, {87, 87, 229}, {88, 88, 302}, {89, 90, 229}, {95, 65500, -28}, },
            {{48, 57, 228}, {65, 65, 303}, {66, 72, 229}, {73, 73, 304}, {74, 78, 229}, {79, 79, 305}, {80, 81, 229}, {82, 82, 306}, {83, 84, 229}, {85, 85, 307}, {86, 65500, -31}, },
            {{48, 57, 228}, {65, 90, 229}, {95, 65500, -28}, },
            {{48, 57, 228}, {65, 69, 229}, {70, 70, 308}, {71, 76, 229}, {77, 77, 309}, {78, 78, 310}, {79, 90, 229}, {95, 65500, -28}, },
            {{48, 68, -29}, {69, 69, 311}, {70, 78, 229}, {79, 79, 312}, {80, 65500, -29}, },
            {{48, 57, 228}, {65, 65, 313}, {66, 72, 229}, {73, 73, 314}, {74, 78, 229}, {79, 79, 315}, {80, 65500, -29}, },
            {{48, 57, 228}, {65, 65, 316}, {66, 90, 229}, {95, 65500, -28}, },
            {{48, 69, -35}, {70, 70, 317}, {71, 79, 229}, {80, 80, 318}, {81, 81, 229}, {82, 82, 319}, {83, 90, 229}, {95, 65500, -28}, },
            {{48, 72, -32}, {73, 73, 320}, {74, 78, 229}, {79, 79, 321}, {80, 81, 229}, {82, 82, 322}, {83, 65500, -39}, },
            {{48, 68, -29}, {69, 69, 323}, {70, 84, 229}, {85, 85, 324}, {86, 65500, -31}, },
            {{48, 68, -29}, {69, 69, 325}, {70, 72, 229}, {73, 73, 326}, {74, 83, 229}, {84, 84, 327}, {85, 88, 229}, {89, 89, 328}, {90, 90, 229}, {95, 65500, -28}, },
            {{48, 57, 228}, {65, 71, 229}, {72, 72, 329}, {73, 81, 229}, {82, 82, 330}, {83, 88, 229}, {89, 89, 331}, {90, 65500, -42}, },
            {{48, 57, 228}, {65, 77, 229}, {78, 78, 332}, {79, 82, 229}, {83, 83, 333}, {84, 65500, -28}, },
            {{48, 57, 228}, {65, 65, 334}, {66, 65500, -38}, },
            {{48, 71, -43}, {72, 72, 335}, {73, 90, 229}, {95, 65500, -28}, },
            {},
            {{47, 47, 336}, {124, 124, 337}, },
            {},
            {},
            {},
            {{48, 95, -34}, {97, 113, 229}, {114, 114, 338}, {115, 122, 229}, {170, 65500, -28}, },
            {{48, 95, -34}, {97, 101, 229}, {102, 102, 339}, {103, 104, 229}, {105, 105, 340}, {106, 110, 229}, {111, 111, 341}, {112, 115, 229}, {116, 116, 342}, {117, 122, 229}, {170, 65500, -28}, },
            {{48, 95, -34}, {97, 97, 343}, {98, 107, 229}, {108, 108, 344}, {109, 110, 229}, {111, 111, 345}, {112, 122, 229}, {170, 65500, -28}, },
            {{48, 95, -34}, {97, 110, 229}, {111, 111, 346}, {112, 65500, -54}, },
            {{48, 95, -34}, {97, 97, 347}, {98, 104, 229}, {105, 105, 348}, {106, 109, 229}, {110, 110, 349}, {111, 113, 229}, {114, 114, 350}, {115, 65500, -52}, },
            {{48, 95, -34}, {97, 99, 229}, {100, 100, 351}, {101, 109, 229}, {110, 110, 352}, {111, 114, 229}, {115, 115, 353}, {116, 116, 354}, {117, 65500, -53}, },
            {{48, 95, -34}, {97, 97, 355}, {98, 100, 229}, {101, 101, 356}, {102, 122, 229}, {170, 65500, -28}, },
            {{48, 95, -34}, {97, 97, 357}, {98, 104, 229}, {105, 105, 358}, {106, 110, 229}, {111, 111, 359}, {112, 65500, -54}, },
            {{48, 110, -55}, {111, 111, 360}, {112, 65500, -54}, },
            {{48, 113, -52}, {114, 114, 361}, {115, 65500, -52}, },
            {{48, 95, -34}, {97, 100, 229}, {101, 101, 362}, {102, 110, 229}, {111, 111, 363}, {112, 113, 229}, {114, 114, 364}, {115, 65500, -52}, },
            {{48, 95, -34}, {97, 97, 365}, {98, 100, 229}, {101, 101, 366}, {102, 104, 229}, {105, 105, 367}, {106, 122, 229}, {170, 65500, -28}, },
            {{48, 100, -62}, {101, 101, 368}, {102, 104, 229}, {105, 105, 369}, {106, 106, 229}, {107, 107, 370}, {108, 110, 229}, {111, 111, 371}, {112, 115, 229}, {116, 116, 372}, {117, 117, 373}, {118, 122, 229}, {170, 65500, -28}, },
            {{48, 95, -34}, {97, 97, 374}, {98, 110, 229}, {111, 111, 375}, {112, 113, 229}, {114, 114, 376}, {115, 65500, -52}, },
            {{48, 95, -34}, {97, 109, 229}, {110, 110, 377}, {111, 122, 229}, {170, 65500, -28}, },
            {},
            {{45, 45, 378}, {62, 62, 379}, {124, 124, 380}, },
            {},
            {},
            {},
            {},
            {{48, 65500, -34}, },
            {},
            {},
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {},
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {},
            {{185, 185, 381}, },
            {{48, 65500, -34}, },
            {{48, 48, 228}, {49, 49, 382}, {50, 57, 228}, {65, 8319, -34}, {8320, 8320, 277}, {8321, 8321, 383}, {8322, 8329, 277}, {8450, 65500, -28}, },
            {{48, 65500, -34}, },
            {{48, 48, 228}, {49, 49, 384}, {50, 8320, -120}, {8321, 8321, 385}, {8322, 65500, -120}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{45, 8722, -17}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {},
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {},
            {},
            {},
            {},
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{0, 65535, -6}, },
            {},
            {{0, 9, 386}, {11, 12, 386}, {14, 65535, 386}, },
            {},
            {{39, 39, 387}, },
            {},
            {{62, 62, 388}, },
            {{62, 62, 388}, },
            {{62, 62, 389}, },
            {},
            {{62, 62, 389}, },
            {},
            {{64, 64, 390}, },
            {{0, 9, 391}, {10, 10, 392}, {11, 12, 391}, {13, 13, 392}, {14, 65535, 391}, },
            {},
            {{58, 58, 393}, {60, 60, 394}, },
            {},
            {},
            {{92, 92, 395}, },
            {{48, 57, 396}, {65, 70, 396}, {97, 102, 396}, },
            {},
            {},
            {},
            {{9, 32, -24}, {62, 62, 217}, {160, 8233, -24}, },
            {{9, 8233, -212}, },
            {},
            {{45, 45, 397}, {62, 62, 398}, },
            {},
            {{45, 45, 399}, {58, 58, 400}, {124, 124, 401}, {8722, 8722, 402}, },
            {{62, 62, 403}, },
            {},
            {},
            {{62, 62, 398}, },
            {},
            {},
            {{62, 62, 404}, },
            {{62, 62, 405}, },
            {},
            {},
            {{62, 62, 405}, },
            {{108, 108, 406}, {112, 112, 407}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 57, 228}, {65, 82, 229}, {83, 83, 408}, {84, 65500, -28}, },
            {{48, 57, 228}, {65, 88, 229}, {89, 89, 409}, {90, 65500, -42}, },
            {{48, 82, -232}, {83, 83, 410}, {84, 65500, -28}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{8216, 8242, -28}, },
            {{8216, 8242, -28}, {8320, 8329, 277}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 57, 228}, {65, 70, 229}, {71, 71, 411}, {72, 90, 229}, {95, 65500, -28}, },
            {{48, 57, 228}, {65, 67, 229}, {68, 68, 412}, {69, 78, 229}, {79, 79, 413}, {80, 65500, -29}, },
            {{48, 82, -232}, {83, 83, 414}, {84, 65500, -28}, },
            {{48, 57, 228}, {65, 78, 229}, {79, 79, 415}, {80, 65500, -29}, },
            {{48, 57, 228}, {65, 76, 229}, {77, 77, 416}, {78, 78, 417}, {79, 84, 229}, {85, 85, 418}, {86, 65500, -31}, },
            {{48, 69, -35}, {70, 70, 419}, {71, 90, 229}, {95, 65500, -28}, },
            {{48, 65500, -34}, },
            {{48, 76, -295}, {77, 77, 420}, {78, 90, 229}, {95, 65500, -28}, },
            {{48, 57, 228}, {65, 83, 229}, {84, 84, 421}, {85, 90, 229}, {95, 65500, -28}, },
            {{48, 82, -232}, {83, 83, 422}, {84, 65500, -28}, },
            {{48, 67, -292}, {68, 68, 423}, {69, 90, 229}, {95, 65500, -28}, },
            {{48, 57, 228}, {65, 81, 229}, {82, 82, 424}, {83, 65500, -39}, },
            {{48, 68, -29}, {69, 69, 425}, {70, 90, 229}, {95, 65500, -28}, },
            {{48, 57, 228}, {65, 79, 229}, {80, 80, 426}, {81, 83, 229}, {84, 84, 427}, {85, 65500, -299}, },
            {{48, 57, 228}, {65, 75, 229}, {76, 76, 428}, {77, 90, 229}, {95, 65500, -28}, },
            {{48, 77, -44}, {78, 78, 429}, {79, 65500, -35}, },
            {{48, 81, -302}, {82, 82, 430}, {83, 65500, -39}, },
            {{48, 68, -29}, {69, 69, 431}, {70, 65500, -303}, },
            {{48, 77, -44}, {78, 78, 432}, {79, 65500, -35}, },
            {{48, 65500, -34}, },
            {{48, 79, -304}, {80, 80, 433}, {81, 90, 229}, {95, 65500, -28}, },
            {{48, 57, 228}, {65, 66, 229}, {67, 67, 434}, {68, 72, 229}, {73, 73, 435}, {74, 83, 229}, {84, 84, 436}, {85, 85, 229}, {86, 86, 437}, {87, 90, 229}, {95, 65500, -28}, },
            {{48, 83, -299}, {84, 84, 438}, {85, 65500, -299}, },
            {{48, 66, -312}, {67, 67, 439}, {68, 90, 229}, {95, 65500, -28}, },
            {{48, 66, -312}, {67, 67, 440}, {68, 87, 229}, {88, 88, 441}, {89, 65500, -32}, },
            {{48, 77, -44}, {78, 78, 442}, {79, 65500, -35}, },
            {{48, 67, -292}, {68, 68, 443}, {69, 65500, -301}, },
            {{48, 83, -299}, {84, 84, 444}, {85, 65500, -299}, },
            {{48, 65500, -34}, },
            {{48, 68, -29}, {69, 69, 445}, {70, 65500, -303}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 57, 228}, {65, 86, 229}, {87, 87, 446}, {88, 90, 229}, {95, 65500, -28}, },
            {{48, 68, -29}, {69, 69, 447}, {70, 78, 229}, {79, 79, 448}, {80, 65500, -29}, },
            {{48, 69, -35}, {70, 70, 449}, {71, 65500, -296}, },
            {{48, 75, -305}, {76, 76, 450}, {77, 65500, -305}, },
            {{48, 68, -29}, {69, 69, 451}, {70, 75, 229}, {76, 76, 452}, {77, 83, 229}, {84, 84, 453}, {85, 65500, -299}, },
            {{48, 70, -291}, {71, 71, 454}, {72, 65500, -291}, },
            {{48, 81, -302}, {82, 82, 455}, {83, 65500, -39}, },
            {{48, 82, -232}, {83, 83, 456}, {84, 65500, -28}, },
            {{48, 68, -29}, {69, 69, 457}, {70, 65500, -303}, },
            {{48, 57, 228}, {65, 84, 229}, {85, 85, 458}, {86, 65500, -31}, },
            {{48, 79, -304}, {80, 80, 459}, {81, 65500, -311}, },
            {{48, 72, -32}, {73, 73, 460}, {74, 90, 229}, {95, 65500, -28}, },
            {{48, 68, -29}, {69, 69, 461}, {70, 65500, -303}, },
            {{48, 75, -305}, {76, 76, 462}, {77, 81, 229}, {82, 82, 463}, {83, 65500, -39}, },
            {{48, 68, -29}, {69, 69, 464}, {70, 72, 229}, {73, 73, 465}, {74, 65500, -334}, },
            {},
            {{47, 47, 466}, },
            {{48, 95, -34}, {97, 104, 229}, {105, 105, 467}, {106, 65500, -63}, },
            {{48, 95, -34}, {97, 97, 468}, {98, 122, 229}, {170, 65500, -28}, },
            {{48, 109, -66}, {110, 110, 469}, {111, 65500, -66}, },
            {{48, 110, -55}, {111, 111, 470}, {112, 65500, -54}, },
            {{48, 113, -52}, {114, 114, 471}, {115, 65500, -52}, },
            {{48, 113, -52}, {114, 114, 472}, {115, 65500, -52}, },
            {{48, 110, -55}, {111, 111, 473}, {112, 65500, -54}, },
            {{48, 109, -66}, {110, 110, 474}, {111, 65500, -66}, },
            {{48, 95, -34}, {97, 108, 229}, {109, 109, 475}, {110, 122, 229}, {170, 65500, -28}, },
            {{48, 95, -34}, {97, 115, 229}, {116, 116, 476}, {117, 65500, -53}, },
            {{48, 113, -52}, {114, 114, 477}, {115, 65500, -52}, },
            {{48, 95, -34}, {97, 98, 229}, {99, 99, 478}, {100, 122, 229}, {170, 65500, -28}, },
            {{48, 110, -55}, {111, 111, 479}, {112, 65500, -54}, },
            {{48, 65500, -34}, },
            {{48, 101, -53}, {102, 102, 480}, {103, 115, 229}, {116, 116, 481}, {117, 65500, -53}, },
            {{48, 100, -62}, {101, 101, 482}, {102, 65500, -58}, },
            {{48, 100, -62}, {101, 101, 483}, {102, 65500, -58}, },
            {{48, 95, -34}, {97, 114, 229}, {115, 115, 484}, {116, 122, 229}, {170, 65500, -28}, },
            {{48, 101, -53}, {102, 102, 485}, {103, 122, 229}, {170, 65500, -28}, },
            {{48, 95, -34}, {97, 119, 229}, {120, 120, 486}, {121, 122, 229}, {170, 65500, -28}, },
            {{48, 109, -66}, {110, 110, 487}, {111, 113, 229}, {114, 114, 488}, {115, 65500, -52}, },
            {{48, 99, -57}, {100, 100, 489}, {101, 122, 229}, {170, 65500, -28}, },
            {{48, 115, -349}, {116, 116, 490}, {117, 65500, -53}, },
            {{48, 65500, -34}, },
            {{48, 113, -52}, {114, 114, 491}, {115, 65500, -52}, },
            {{48, 114, -357}, {115, 115, 492}, {116, 65500, -357}, },
            {{48, 100, -62}, {101, 101, 493}, {102, 105, 229}, {106, 106, 494}, {107, 122, 229}, {170, 65500, -28}, },
            {{48, 109, -66}, {110, 110, 495}, {111, 65500, -66}, },
            {{48, 98, -351}, {99, 99, 496}, {100, 107, 229}, {108, 108, 497}, {109, 117, 229}, {118, 118, 498}, {119, 122, 229}, {170, 65500, -28}, },
            {{48, 95, -34}, {97, 102, 229}, {103, 103, 499}, {104, 122, 229}, {170, 65500, -28}, },
            {{48, 95, -34}, {97, 112, 229}, {113, 113, 500}, {114, 122, 229}, {170, 65500, -28}, },
            {{48, 95, -34}, {97, 121, 229}, {122, 122, 501}, {170, 65500, -28}, },
            {{48, 104, -340}, {105, 105, 502}, {106, 65500, -63}, },
            {{48, 109, -66}, {110, 110, 503}, {111, 65500, -66}, },
            {{48, 113, -52}, {114, 114, 504}, {115, 65500, -52}, },
            {{48, 95, -34}, {97, 97, 229}, {98, 98, 505}, {99, 99, 506}, {100, 65500, -351}, },
            {{48, 104, -340}, {105, 105, 507}, {106, 65500, -63}, },
            {{48, 95, -34}, {97, 111, 229}, {112, 112, 508}, {113, 122, 229}, {170, 65500, -28}, },
            {{48, 100, -62}, {101, 101, 509}, {102, 65500, -58}, },
            {{48, 104, -340}, {105, 105, 510}, {106, 65500, -63}, },
            {{62, 62, 511}, },
            {{62, 62, 512}, },
            {},
            {},
            {{48, 65500, -34}, },
            {{8216, 8329, -279}, },
            {{48, 65500, -34}, },
            {{8216, 8329, -279}, },
            {{0, 65535, -6}, },
            {},
            {{62, 62, 513}, },
            {{62, 62, 514}, },
            {},
            {{0, 65535, -202}, },
            {},
            {},
            {{58, 58, 515}, },
            {},
            {{48, 102, -208}, },
            {},
            {{62, 62, 516}, },
            {{62, 62, 517}, },
            {},
            {},
            {{62, 62, 517}, },
            {},
            {{62, 62, 518}, },
            {{62, 62, 519}, },
            {{105, 105, 520}, },
            {{114, 114, 521}, },
            {{48, 83, -299}, {84, 84, 522}, {85, 65500, -299}, },
            {{48, 65500, -34}, },
            {{48, 68, -29}, {69, 69, 523}, {70, 65500, -303}, },
            {{48, 72, -32}, {73, 73, 524}, {74, 65500, -334}, },
            {{48, 88, -233}, {89, 89, 525}, {90, 65500, -42}, },
            {{48, 75, -305}, {76, 76, 526}, {77, 65500, -305}, },
            {{48, 68, -29}, {69, 69, 527}, {70, 65500, -303}, },
            {{48, 72, -32}, {73, 73, 528}, {74, 65500, -334}, },
            {{48, 79, -304}, {80, 80, 529}, {81, 65500, -311}, },
            {{48, 66, -312}, {67, 67, 530}, {68, 82, 229}, {83, 83, 531}, {84, 65500, -28}, },
            {{48, 77, -44}, {78, 78, 532}, {79, 65500, -35}, },
            {{48, 72, -32}, {73, 73, 533}, {74, 65500, -334}, },
            {{48, 76, -295}, {77, 77, 534}, {78, 65500, -298}, },
            {{48, 71, -43}, {72, 72, 535}, {73, 65500, -46}, },
            {{48, 68, -29}, {69, 69, 536}, {70, 72, 229}, {73, 73, 537}, {74, 65500, -334}, },
            {{48, 65500, -34}, },
            {{48, 78, -294}, {79, 79, 538}, {80, 65500, -29}, },
            {{48, 77, -44}, {78, 78, 539}, {79, 65500, -35}, },
            {{48, 68, -29}, {69, 69, 540}, {70, 81, 229}, {82, 82, 541}, {83, 65500, -39}, },
            {{48, 68, -29}, {69, 69, 542}, {70, 65500, -303}, },
            {{48, 82, -232}, {83, 83, 543}, {84, 65500, -28}, },
            {{48, 48, 228}, {49, 49, 544}, {50, 8319, -120}, {8320, 65500, -28}, },
            {{48, 65500, -34}, },
            {{48, 68, -29}, {69, 69, 545}, {70, 65500, -303}, },
            {{48, 66, -312}, {67, 67, 546}, {68, 65500, -314}, },
            {{48, 75, -305}, {76, 76, 547}, {77, 78, 229}, {79, 79, 548}, {80, 65500, -29}, },
            {{48, 75, -305}, {76, 76, 549}, {77, 65500, -305}, },
            {{48, 83, -299}, {84, 84, 550}, {85, 65500, -299}, },
            {{48, 68, -29}, {69, 69, 551}, {70, 65500, -303}, },
            {{48, 57, 228}, {65, 65, 552}, {66, 65500, -38}, },
            {{48, 65500, -34}, },
            {{48, 57, 228}, {65, 65, 553}, {66, 65500, -38}, },
            {{48, 71, -43}, {72, 72, 554}, {73, 65500, -46}, },
            {{48, 72, -32}, {73, 73, 555}, {74, 65500, -334}, },
            {{48, 72, -32}, {73, 73, 556}, {74, 65500, -334}, },
            {{48, 68, -29}, {69, 69, 557}, {70, 65500, -303}, },
            {{48, 48, 228}, {49, 49, 558}, {50, 57, 228}, {65, 84, 229}, {85, 85, 559}, {86, 65500, -31}, },
            {{48, 81, -302}, {82, 82, 560}, {83, 65500, -39}, },
            {{48, 48, 228}, {49, 49, 561}, {50, 65500, -431}, },
            {{48, 67, -292}, {68, 68, 562}, {69, 65500, -301}, },
            {{48, 76, -295}, {77, 77, 563}, {78, 79, 229}, {80, 80, 564}, {81, 65500, -311}, },
            {{48, 68, -29}, {69, 69, 565}, {70, 72, 229}, {73, 73, 566}, {74, 65500, -334}, },
            {{48, 68, -29}, {69, 69, 567}, {70, 65500, -303}, },
            {{48, 82, -232}, {83, 83, 568}, {84, 65500, -28}, },
            {{48, 68, -29}, {69, 69, 569}, {70, 65500, -303}, },
            {{48, 82, -232}, {83, 83, 570}, {84, 65500, -28}, },
            {{48, 76, -295}, {77, 77, 571}, {78, 65500, -298}, },
            {{48, 72, -32}, {73, 73, 572}, {74, 65500, -334}, },
            {{48, 83, -299}, {84, 84, 573}, {85, 65500, -299}, },
            {{48, 77, -44}, {78, 78, 574}, {79, 65500, -35}, },
            {{48, 68, -29}, {69, 69, 575}, {70, 65500, -303}, },
            {{48, 68, -29}, {69, 69, 576}, {70, 65500, -303}, },
            {{48, 78, -294}, {79, 79, 577}, {80, 65500, -29}, },
            {{48, 82, -232}, {83, 83, 578}, {84, 65500, -28}, },
            {{48, 84, -332}, {85, 85, 579}, {86, 65500, -31}, },
            {{48, 72, -32}, {73, 73, 580}, {74, 65500, -334}, },
            {{48, 77, -44}, {78, 78, 581}, {79, 81, 229}, {82, 82, 582}, {83, 65500, -39}, },
            {{48, 75, -305}, {76, 76, 583}, {77, 65500, -305}, },
            {},
            {{48, 115, -349}, {116, 116, 584}, {117, 65500, -53}, },
            {{48, 95, -34}, {97, 107, 229}, {108, 108, 585}, {109, 122, 229}, {170, 65500, -28}, },
            {{48, 65500, -34}, },
            {{48, 107, -470}, {108, 108, 586}, {109, 65500, -470}, },
            {{48, 100, -62}, {101, 101, 587}, {102, 116, 229}, {117, 117, 588}, {118, 65500, -64}, },
            {{48, 99, -57}, {100, 100, 589}, {101, 65500, -361}, },
            {{48, 114, -357}, {115, 115, 590}, {116, 65500, -357}, },
            {{48, 98, -351}, {99, 99, 591}, {100, 114, 229}, {115, 115, 592}, {116, 65500, -357}, },
            {{48, 65500, -34}, },
            {{48, 95, -34}, {97, 103, 229}, {104, 104, 593}, {105, 122, 229}, {170, 65500, -28}, },
            {{48, 114, -357}, {115, 115, 594}, {116, 65500, -357}, },
            {{48, 65500, -34}, },
            {{48, 109, -66}, {110, 110, 595}, {111, 65500, -66}, },
            {{48, 104, -340}, {105, 105, 596}, {106, 65500, -63}, },
            {{48, 100, -62}, {101, 101, 597}, {102, 65500, -58}, },
            {{48, 112, -370}, {113, 113, 598}, {114, 65500, -370}, },
            {{48, 113, -52}, {114, 114, 599}, {115, 65500, -52}, },
            {{48, 115, -349}, {116, 116, 600}, {117, 65500, -53}, },
            {{48, 115, -349}, {116, 116, 601}, {117, 65500, -53}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 113, -52}, {114, 114, 602}, {115, 65500, -52}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 108, -348}, {109, 109, 603}, {110, 65500, -348}, },
            {{48, 115, -349}, {116, 116, 604}, {117, 65500, -53}, },
            {{48, 99, -57}, {100, 100, 605}, {101, 101, 229}, {102, 102, 606}, {103, 65500, -358}, },
            {{48, 48, 228}, {49, 49, 607}, {50, 50, 608}, {51, 57, 228}, {65, 65500, -34}, },
            {{48, 95, -34}, {97, 106, 229}, {107, 107, 609}, {108, 122, 229}, {170, 65500, -28}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 103, -478}, {104, 104, 610}, {105, 65500, -478}, },
            {{48, 48, 228}, {49, 49, 611}, {50, 65500, -431}, },
            {{48, 100, -62}, {101, 101, 612}, {102, 65500, -58}, },
            {{48, 111, -377}, {112, 112, 613}, {113, 65500, -377}, },
            {{48, 114, -357}, {115, 115, 614}, {116, 65500, -357}, },
            {{48, 95, -34}, {97, 116, 229}, {117, 117, 615}, {118, 65500, -64}, },
            {{48, 115, -349}, {116, 116, 616}, {117, 65500, -53}, },
            {{48, 98, -351}, {99, 99, 617}, {100, 65500, -351}, },
            {{48, 107, -470}, {108, 108, 618}, {109, 65500, -470}, },
            {{48, 65500, -34}, },
            {{48, 100, -62}, {101, 101, 619}, {102, 65500, -58}, },
            {{48, 110, -55}, {111, 111, 620}, {112, 65500, -54}, },
            {},
            {},
            {},
            {},
            {},
            {},
            {{62, 62, 621}, },
            {},
            {},
            {{116, 116, 622}, },
            {{101, 101, 623}, },
            {{48, 81, -302}, {82, 82, 624}, {83, 65500, -39}, },
            {{48, 81, -302}, {82, 82, 625}, {83, 65500, -39}, },
            {{48, 77, -44}, {78, 78, 626}, {79, 65500, -35}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 66, -312}, {67, 67, 627}, {68, 65500, -314}, },
            {{48, 84, -332}, {85, 85, 628}, {86, 65500, -31}, },
            {{48, 81, -302}, {82, 82, 629}, {83, 65500, -39}, },
            {{48, 83, -299}, {84, 84, 630}, {85, 65500, -299}, },
            {{48, 83, -299}, {84, 84, 631}, {85, 65500, -299}, },
            {{48, 77, -44}, {78, 78, 632}, {79, 65500, -35}, },
            {{48, 88, -233}, {89, 89, 633}, {90, 65500, -42}, },
            {{48, 68, -29}, {69, 69, 634}, {70, 65500, -303}, },
            {{48, 65500, -34}, },
            {{48, 69, -35}, {70, 70, 635}, {71, 65500, -296}, },
            {{48, 81, -302}, {82, 82, 636}, {83, 65500, -39}, },
            {{48, 83, -299}, {84, 84, 637}, {85, 65500, -299}, },
            {{48, 66, -312}, {67, 67, 638}, {68, 65500, -314}, },
            {{48, 68, -29}, {69, 69, 639}, {70, 65500, -303}, },
            {{48, 77, -44}, {78, 78, 640}, {79, 65500, -35}, },
            {{48, 68, -29}, {69, 69, 641}, {70, 65500, -303}, },
            {{48, 65500, -34}, },
            {{48, 83, -299}, {84, 84, 642}, {85, 65500, -299}, },
            {{48, 83, -299}, {84, 84, 643}, {85, 65500, -299}, },
            {{48, 68, -29}, {69, 69, 644}, {70, 65500, -303}, },
            {{48, 81, -302}, {82, 82, 645}, {83, 65500, -39}, },
            {{48, 84, -332}, {85, 85, 646}, {86, 65500, -31}, },
            {{48, 72, -32}, {73, 73, 647}, {74, 65500, -334}, },
            {{48, 70, -291}, {71, 71, 648}, {72, 81, 229}, {82, 82, 649}, {83, 65500, -39}, },
            {{48, 81, -302}, {82, 82, 650}, {83, 65500, -39}, },
            {{48, 75, -305}, {76, 76, 651}, {77, 65500, -305}, },
            {{48, 72, -32}, {73, 73, 652}, {74, 65500, -334}, },
            {{48, 77, -44}, {78, 78, 653}, {79, 65500, -35}, },
            {{48, 77, -44}, {78, 78, 654}, {79, 65500, -35}, },
            {{48, 75, -305}, {76, 76, 655}, {77, 65500, -305}, },
            {{48, 65500, -34}, },
            {{48, 81, -302}, {82, 82, 656}, {83, 65500, -39}, },
            {{48, 57, 228}, {65, 65, 657}, {66, 65500, -38}, },
            {{48, 65500, -34}, },
            {{48, 72, -32}, {73, 73, 658}, {74, 65500, -334}, },
            {{48, 78, -294}, {79, 79, 659}, {80, 65500, -29}, },
            {{48, 68, -29}, {69, 69, 660}, {70, 65500, -303}, },
            {{48, 81, -302}, {82, 82, 661}, {83, 65500, -39}, },
            {{48, 77, -44}, {78, 78, 662}, {79, 65500, -35}, },
            {{48, 82, -232}, {83, 83, 663}, {84, 90, 229}, {95, 95, 664}, {97, 65500, -28}, },
            {{48, 65500, -34}, },
            {{48, 66, -312}, {67, 67, 665}, {68, 65500, -314}, },
            {{48, 65500, -34}, },
            {{48, 57, 228}, {65, 65, 666}, {66, 65500, -38}, },
            {{48, 77, -44}, {78, 78, 667}, {79, 65500, -35}, },
            {{48, 68, -29}, {69, 69, 668}, {70, 65500, -303}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 77, -44}, {78, 78, 669}, {79, 65500, -35}, },
            {{48, 65500, -34}, },
            {{48, 68, -29}, {69, 69, 670}, {70, 65500, -303}, },
            {{48, 57, 228}, {65, 65, 671}, {66, 65500, -38}, },
            {{48, 65500, -34}, },
            {{48, 68, -29}, {69, 69, 672}, {70, 65500, -303}, },
            {{48, 68, -29}, {69, 69, 673}, {70, 65500, -303}, },
            {{48, 95, -34}, {97, 120, 229}, {121, 121, 674}, {122, 122, 229}, {170, 65500, -28}, },
            {{48, 114, -357}, {115, 115, 675}, {116, 65500, -357}, },
            {{48, 65500, -34}, },
            {{48, 100, -62}, {101, 101, 676}, {102, 65500, -58}, },
            {{48, 100, -62}, {101, 101, 677}, {102, 65500, -58}, },
            {{48, 65500, -34}, },
            {{48, 116, -506}, {117, 117, 678}, {118, 65500, -64}, },
            {{48, 65500, -34}, },
            {{48, 115, -349}, {116, 116, 679}, {117, 65500, -53}, },
            {{48, 100, -62}, {101, 101, 680}, {102, 65500, -58}, },
            {{48, 115, -349}, {116, 116, 681}, {117, 65500, -53}, },
            {{48, 115, -349}, {116, 116, 682}, {117, 65500, -53}, },
            {{48, 119, -359}, {120, 120, 683}, {121, 65500, -359}, },
            {{48, 113, -52}, {114, 114, 684}, {115, 65500, -52}, },
            {{48, 48, 228}, {49, 49, 685}, {50, 65500, -431}, },
            {{48, 95, -34}, {97, 97, 686}, {98, 65500, -341}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 110, -55}, {111, 111, 687}, {112, 65500, -54}, },
            {{48, 65500, -34}, },
            {{48, 101, -53}, {102, 102, 688}, {103, 65500, -358}, },
            {{48, 65500, -34}, },
            {{48, 104, -340}, {105, 105, 689}, {106, 65500, -63}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 115, -349}, {116, 116, 690}, {117, 65500, -53}, },
            {{48, 65500, -34}, },
            {{48, 115, -349}, {116, 116, 691}, {117, 65500, -53}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 98, -351}, {99, 99, 692}, {100, 65500, -351}, },
            {{48, 113, -52}, {114, 114, 693}, {115, 65500, -52}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 109, -66}, {110, 110, 694}, {111, 65500, -66}, },
            {},
            {{101, 101, 695}, },
            {{100, 100, 696}, },
            {{48, 57, 228}, {65, 65, 697}, {66, 65500, -38}, },
            {{48, 83, -299}, {84, 84, 698}, {85, 65500, -299}, },
            {{48, 65500, -34}, },
            {{48, 68, -29}, {69, 69, 699}, {70, 65500, -303}, },
            {{48, 83, -299}, {84, 84, 700}, {85, 65500, -299}, },
            {{48, 68, -29}, {69, 69, 701}, {70, 65500, -303}, },
            {{48, 57, 228}, {65, 65, 702}, {66, 81, 229}, {82, 82, 703}, {83, 65500, -39}, },
            {{48, 68, -29}, {69, 69, 704}, {70, 65500, -303}, },
            {{48, 68, -29}, {69, 69, 705}, {70, 72, 229}, {73, 73, 706}, {74, 65500, -334}, },
            {{48, 90, -34}, {95, 95, 707}, {97, 65500, -28}, },
            {{48, 81, -302}, {82, 82, 708}, {83, 65500, -39}, },
            {{48, 65500, -34}, },
            {{48, 90, -34}, {95, 95, 709}, {97, 65500, -28}, },
            {{48, 82, -232}, {83, 83, 710}, {84, 65500, -28}, },
            {{48, 83, -299}, {84, 84, 711}, {85, 65500, -299}, },
            {{48, 82, -232}, {83, 83, 712}, {84, 65500, -28}, },
            {{48, 67, -292}, {68, 68, 713}, {69, 65500, -301}, },
            {{48, 65500, -34}, },
            {{48, 88, -233}, {89, 89, 714}, {90, 65500, -42}, },
            {{48, 72, -32}, {73, 73, 715}, {74, 65500, -334}, },
            {{48, 76, -295}, {77, 77, 716}, {78, 65500, -298}, },
            {{48, 83, -299}, {84, 84, 717}, {85, 65500, -299}, },
            {{48, 67, -292}, {68, 68, 718}, {69, 65500, -301}, },
            {{48, 57, 228}, {65, 65, 719}, {66, 65500, -38}, },
            {{48, 68, -29}, {69, 69, 720}, {70, 65500, -303}, },
            {{48, 65500, -34}, },
            {{48, 72, -32}, {73, 73, 721}, {74, 65500, -334}, },
            {{48, 90, -34}, {95, 95, 722}, {97, 65500, -28}, },
            {{48, 77, -44}, {78, 78, 723}, {79, 65500, -35}, },
            {{48, 83, -299}, {84, 84, 724}, {85, 65500, -299}, },
            {{48, 83, -299}, {84, 84, 725}, {85, 65500, -299}, },
            {{48, 65500, -34}, },
            {{48, 57, 228}, {65, 65, 726}, {66, 65500, -38}, },
            {{48, 83, -299}, {84, 84, 727}, {85, 65500, -299}, },
            {{48, 66, -312}, {67, 67, 728}, {68, 65500, -314}, },
            {{48, 83, -299}, {84, 84, 729}, {85, 65500, -299}, },
            {{48, 81, -302}, {82, 82, 730}, {83, 65500, -39}, },
            {{48, 68, -29}, {69, 69, 731}, {70, 65500, -303}, },
            {{48, 68, -29}, {69, 69, 732}, {70, 65500, -303}, },
            {{48, 90, -34}, {95, 95, 733}, {97, 65500, -28}, },
            {{48, 69, -35}, {70, 70, 734}, {71, 65500, -296}, },
            {{48, 83, -299}, {84, 84, 735}, {85, 65500, -299}, },
            {{48, 65500, -34}, },
            {{48, 70, -291}, {71, 71, 736}, {72, 65500, -291}, },
            {{48, 76, -295}, {77, 77, 737}, {78, 65500, -298}, },
            {{48, 65500, -34}, },
            {{48, 82, -232}, {83, 83, 738}, {84, 65500, -28}, },
            {{48, 65, -28}, {66, 66, 739}, {67, 77, 229}, {78, 78, 740}, {79, 65500, -35}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 100, -62}, {101, 101, 741}, {102, 65500, -58}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 113, -52}, {114, 114, 742}, {115, 65500, -52}, },
            {{48, 65500, -34}, },
            {{48, 113, -52}, {114, 114, 743}, {115, 65500, -52}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 115, -349}, {116, 116, 744}, {117, 65500, -53}, },
            {{48, 113, -52}, {114, 114, 745}, {115, 65500, -52}, },
            {{48, 104, -340}, {105, 105, 746}, {106, 65500, -63}, },
            {{48, 119, -359}, {120, 120, 747}, {121, 65500, -359}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 115, -349}, {116, 116, 748}, {117, 65500, -53}, },
            {{48, 100, -62}, {101, 101, 749}, {102, 65500, -58}, },
            {{48, 65500, -34}, },
            {{114, 114, 750}, },
            {{105, 105, 751}, },
            {{48, 66, -312}, {67, 67, 752}, {68, 65500, -314}, },
            {{48, 72, -32}, {73, 73, 753}, {74, 65500, -334}, },
            {{48, 65500, -34}, },
            {{48, 57, 228}, {65, 65, 754}, {66, 65500, -38}, },
            {{48, 83, -299}, {84, 84, 755}, {85, 65500, -299}, },
            {{48, 77, -44}, {78, 78, 756}, {79, 65500, -35}, },
            {{48, 57, 228}, {65, 65, 757}, {66, 65500, -38}, },
            {{48, 81, -302}, {82, 82, 758}, {83, 65500, -39}, },
            {{48, 65500, -34}, },
            {{48, 83, -299}, {84, 84, 759}, {85, 65500, -299}, },
            {{48, 57, 228}, {65, 85, 229}, {86, 86, 760}, {87, 65500, -312}, },
            {{48, 65500, -34}, },
            {{48, 83, -299}, {84, 84, 761}, {85, 65500, -299}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 82, -232}, {83, 83, 762}, {84, 65500, -28}, },
            {{48, 82, -232}, {83, 83, 763}, {84, 65500, -28}, },
            {{48, 79, -304}, {80, 80, 764}, {81, 65500, -311}, },
            {{48, 78, -294}, {79, 79, 765}, {80, 65500, -29}, },
            {{48, 68, -29}, {69, 69, 766}, {70, 65500, -303}, },
            {{48, 82, -232}, {83, 83, 767}, {84, 65500, -28}, },
            {{48, 68, -29}, {69, 69, 768}, {70, 65500, -303}, },
            {{48, 75, -305}, {76, 76, 769}, {77, 65500, -305}, },
            {{48, 81, -302}, {82, 82, 770}, {83, 65500, -39}, },
            {{48, 57, 228}, {65, 65, 771}, {66, 65500, -38}, },
            {{48, 78, -294}, {79, 79, 772}, {80, 65500, -29}, },
            {{48, 68, -29}, {69, 69, 773}, {70, 65500, -303}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 75, -305}, {76, 76, 774}, {77, 65500, -305}, },
            {{48, 72, -32}, {73, 73, 775}, {74, 65500, -334}, },
            {{48, 57, 228}, {65, 65, 776}, {66, 65500, -38}, },
            {{48, 68, -29}, {69, 69, 777}, {70, 65500, -303}, },
            {{48, 83, -299}, {84, 84, 778}, {85, 65500, -299}, },
            {{48, 77, -44}, {78, 78, 779}, {79, 65500, -35}, },
            {{48, 76, -295}, {77, 77, 780}, {78, 82, 229}, {83, 83, 781}, {84, 65500, -28}, },
            {{48, 76, -295}, {77, 77, 782}, {78, 65500, -298}, },
            {{48, 57, 228}, {65, 65, 783}, {66, 78, 229}, {79, 79, 784}, {80, 65500, -29}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 75, -305}, {76, 76, 785}, {77, 65500, -305}, },
            {{48, 83, -299}, {84, 84, 786}, {85, 65500, -299}, },
            {{48, 65500, -34}, },
            {{48, 100, -62}, {101, 101, 787}, {102, 65500, -58}, },
            {{48, 65500, -34}, },
            {{48, 100, -62}, {101, 101, 788}, {102, 65500, -58}, },
            {{48, 65500, -34}, },
            {{48, 119, -359}, {120, 120, 789}, {121, 65500, -359}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 100, -62}, {101, 101, 790}, {102, 65500, -58}, },
            {{97, 97, 791}, },
            {{99, 99, 792}, },
            {{48, 83, -299}, {84, 84, 793}, {85, 65500, -299}, },
            {{48, 78, -294}, {79, 79, 794}, {80, 65500, -29}, },
            {{48, 83, -299}, {84, 84, 795}, {85, 65500, -299}, },
            {{48, 68, -29}, {69, 69, 796}, {70, 65500, -303}, },
            {{48, 83, -299}, {84, 84, 797}, {85, 65500, -299}, },
            {{48, 72, -32}, {73, 73, 798}, {74, 65500, -334}, },
            {{48, 68, -29}, {69, 69, 799}, {70, 65500, -303}, },
            {{48, 72, -32}, {73, 73, 800}, {74, 65500, -334}, },
            {{48, 57, 228}, {65, 65, 801}, {66, 65500, -38}, },
            {{48, 88, -233}, {89, 89, 802}, {90, 65500, -42}, },
            {{48, 72, -32}, {73, 73, 803}, {74, 65500, -334}, },
            {{48, 65500, -34}, },
            {{48, 68, -29}, {69, 69, 804}, {70, 65500, -303}, },
            {{48, 77, -44}, {78, 78, 805}, {79, 65500, -35}, },
            {{48, 77, -44}, {78, 78, 806}, {79, 65500, -35}, },
            {{48, 65500, -34}, },
            {{48, 82, -232}, {83, 83, 807}, {84, 65500, -28}, },
            {{48, 72, -32}, {73, 73, 808}, {74, 65500, -334}, },
            {{48, 65500, -34}, },
            {{48, 77, -44}, {78, 78, 809}, {79, 65500, -35}, },
            {{48, 79, -304}, {80, 80, 810}, {81, 65500, -311}, },
            {{48, 65500, -34}, },
            {{48, 48, 228}, {49, 49, 811}, {50, 65500, -431}, },
            {{48, 78, -294}, {79, 79, 812}, {80, 65500, -29}, },
            {{48, 83, -299}, {84, 84, 813}, {85, 65500, -299}, },
            {{48, 82, -232}, {83, 83, 814}, {84, 65500, -28}, },
            {{48, 72, -32}, {73, 73, 815}, {74, 65500, -334}, },
            {{48, 66, -312}, {67, 67, 816}, {68, 65500, -314}, },
            {{48, 68, -29}, {69, 69, 817}, {70, 65500, -303}, },
            {{48, 65500, -34}, },
            {{48, 57, 228}, {65, 65, 818}, {66, 65500, -38}, },
            {{48, 72, -32}, {73, 73, 819}, {74, 65500, -334}, },
            {{48, 81, -302}, {82, 82, 820}, {83, 65500, -39}, },
            {{48, 68, -29}, {69, 69, 821}, {70, 65500, -303}, },
            {{48, 65500, -34}, },
            {{48, 48, 228}, {49, 49, 822}, {50, 65500, -431}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{108, 108, 823}, },
            {{97, 97, 824}, },
            {{48, 90, -34}, {95, 95, 825}, {97, 65500, -28}, },
            {{48, 77, -44}, {78, 78, 826}, {79, 65500, -35}, },
            {{48, 72, -32}, {73, 73, 827}, {74, 65500, -334}, },
            {{48, 90, -34}, {95, 95, 828}, {97, 65500, -28}, },
            {{48, 82, -232}, {83, 83, 829}, {84, 65500, -28}, },
            {{48, 77, -44}, {78, 78, 830}, {79, 65500, -35}, },
            {{48, 57, 228}, {65, 87, 229}, {88, 88, 831}, {89, 65500, -32}, },
            {{48, 78, -294}, {79, 79, 832}, {80, 65500, -29}, },
            {{48, 75, -305}, {76, 76, 833}, {77, 65500, -305}, },
            {{48, 79, -304}, {80, 80, 834}, {81, 65500, -311}, },
            {{48, 78, -294}, {79, 79, 835}, {80, 65500, -29}, },
            {{48, 82, -232}, {83, 83, 836}, {84, 65500, -28}, },
            {{48, 65500, -34}, },
            {{48, 83, -299}, {84, 84, 837}, {85, 65500, -299}, },
            {{48, 65500, -34}, },
            {{48, 82, -232}, {83, 83, 838}, {84, 89, 229}, {90, 90, 839}, {95, 65500, -28}, },
            {{48, 83, -299}, {84, 84, 840}, {85, 65500, -299}, },
            {{48, 68, -29}, {69, 69, 841}, {70, 65500, -303}, },
            {{48, 65500, -34}, },
            {{48, 77, -44}, {78, 78, 842}, {79, 65500, -35}, },
            {{48, 68, -29}, {69, 69, 843}, {70, 65500, -303}, },
            {{48, 65500, -34}, },
            {{48, 68, -29}, {69, 69, 844}, {70, 65500, -303}, },
            {{48, 68, -29}, {69, 69, 845}, {70, 65500, -303}, },
            {{48, 77, -44}, {78, 78, 846}, {79, 65500, -35}, },
            {{48, 66, -312}, {67, 67, 847}, {68, 65500, -314}, },
            {{48, 75, -305}, {76, 76, 848}, {77, 65500, -305}, },
            {{48, 57, 228}, {65, 65, 849}, {66, 65500, -38}, },
            {{48, 82, -232}, {83, 83, 850}, {84, 65500, -28}, },
            {{48, 65500, -34}, },
            {{95, 95, 851}, },
            {{116, 116, 852}, },
            {{48, 66, -312}, {67, 67, 853}, {68, 85, 229}, {86, 86, 854}, {87, 65500, -312}, },
            {{48, 82, -232}, {83, 83, 855}, {84, 65500, -28}, },
            {{48, 78, -294}, {79, 79, 856}, {80, 65500, -29}, },
            {{48, 66, -312}, {67, 67, 857}, {68, 85, 229}, {86, 86, 858}, {87, 65500, -312}, },
            {{48, 65500, -34}, },
            {{48, 83, -299}, {84, 84, 859}, {85, 65500, -299}, },
            {{48, 57, 228}, {65, 65, 860}, {66, 65500, -38}, },
            {{48, 77, -44}, {78, 78, 861}, {79, 65500, -35}, },
            {{48, 84, -332}, {85, 85, 862}, {86, 65500, -31}, },
            {{48, 68, -29}, {69, 69, 863}, {70, 65500, -303}, },
            {{48, 77, -44}, {78, 78, 864}, {79, 65500, -35}, },
            {{48, 65500, -34}, },
            {{48, 57, 228}, {65, 65, 865}, {66, 65500, -38}, },
            {{48, 57, 228}, {65, 65, 866}, {66, 65500, -38}, },
            {{48, 57, 228}, {65, 65, 867}, {66, 65500, -38}, },
            {{48, 65500, -34}, },
            {{48, 81, -302}, {82, 82, 868}, {83, 65500, -39}, },
            {{48, 82, -232}, {83, 83, 869}, {84, 65500, -28}, },
            {{48, 82, -232}, {83, 83, 870}, {84, 65500, -28}, },
            {{48, 82, -232}, {83, 83, 871}, {84, 65500, -28}, },
            {{48, 82, -232}, {83, 83, 872}, {84, 65500, -28}, },
            {{48, 83, -299}, {84, 84, 873}, {85, 65500, -299}, },
            {{48, 71, -43}, {72, 72, 874}, {73, 65500, -46}, },
            {{48, 65500, -34}, },
            {{48, 75, -305}, {76, 76, 875}, {77, 65500, -305}, },
            {{48, 65500, -34}, },
            {{112, 112, 876}, {115, 115, 877}, },
            {{101, 101, 878}, },
            {{48, 78, -294}, {79, 79, 879}, {80, 65500, -29}, },
            {{48, 57, 228}, {65, 65, 880}, {66, 65500, -38}, },
            {{48, 65500, -34}, },
            {{48, 77, -44}, {78, 78, 881}, {79, 65500, -35}, },
            {{48, 78, -294}, {79, 79, 882}, {80, 65500, -29}, },
            {{48, 57, 228}, {65, 65, 883}, {66, 65500, -38}, },
            {{48, 82, -232}, {83, 83, 884}, {84, 65500, -28}, },
            {{48, 76, -295}, {77, 77, 885}, {78, 65500, -298}, },
            {{48, 82, -232}, {83, 83, 886}, {84, 65500, -28}, },
            {{48, 68, -29}, {69, 69, 887}, {70, 65500, -303}, },
            {{48, 65500, -34}, },
            {{48, 82, -232}, {83, 83, 888}, {84, 65500, -28}, },
            {{48, 83, -299}, {84, 84, 889}, {85, 65500, -299}, },
            {{48, 83, -299}, {84, 84, 890}, {85, 65500, -299}, },
            {{48, 83, -299}, {84, 84, 891}, {85, 65500, -299}, },
            {{48, 57, 228}, {65, 65, 892}, {66, 65500, -38}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 72, -32}, {73, 73, 893}, {74, 65500, -334}, },
            {{48, 75, -305}, {76, 76, 894}, {77, 65500, -305}, },
            {{114, 114, 895}, },
            {{117, 117, 896}, },
            {{95, 95, 897}, },
            {{48, 77, -44}, {78, 78, 898}, {79, 65500, -35}, },
            {{48, 81, -302}, {82, 82, 899}, {83, 65500, -39}, },
            {{48, 65500, -34}, },
            {{48, 77, -44}, {78, 78, 900}, {79, 65500, -35}, },
            {{48, 81, -302}, {82, 82, 901}, {83, 65500, -39}, },
            {{48, 65500, -34}, },
            {{48, 79, -304}, {80, 80, 902}, {81, 65500, -311}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 72, -32}, {73, 73, 903}, {74, 65500, -334}, },
            {{48, 72, -32}, {73, 73, 904}, {74, 65500, -334}, },
            {{48, 72, -32}, {73, 73, 905}, {74, 65500, -334}, },
            {{48, 83, -299}, {84, 84, 906}, {85, 65500, -299}, },
            {{48, 77, -44}, {78, 78, 907}, {79, 65500, -35}, },
            {{48, 65500, -34}, },
            {{101, 101, 908}, },
            {{98, 98, 909}, },
            {{105, 105, 910}, },
            {{48, 82, -232}, {83, 83, 911}, {84, 65500, -28}, },
            {{48, 72, -32}, {73, 73, 912}, {74, 65500, -334}, },
            {{48, 82, -232}, {83, 83, 913}, {84, 65500, -28}, },
            {{48, 72, -32}, {73, 73, 914}, {74, 65500, -334}, },
            {{48, 75, -305}, {76, 76, 915}, {77, 65500, -305}, },
            {{48, 78, -294}, {79, 79, 916}, {80, 65500, -29}, },
            {{48, 78, -294}, {79, 79, 917}, {80, 65500, -29}, },
            {{48, 78, -294}, {79, 79, 918}, {80, 65500, -29}, },
            {{48, 72, -32}, {73, 73, 919}, {74, 65500, -334}, },
            {{48, 68, -29}, {69, 69, 920}, {70, 65500, -303}, },
            {{100, 100, 921}, },
            {{115, 115, 922}, },
            {{100, 100, 923}, },
            {{48, 83, -299}, {84, 84, 924}, {85, 65500, -299}, },
            {{48, 57, 228}, {65, 65, 925}, {66, 65500, -38}, },
            {{48, 83, -299}, {84, 84, 926}, {85, 65500, -299}, },
            {{48, 57, 228}, {65, 65, 927}, {66, 65500, -38}, },
            {{48, 68, -29}, {69, 69, 928}, {70, 65500, -303}, },
            {{48, 77, -44}, {78, 78, 929}, {79, 65500, -35}, },
            {{48, 77, -44}, {78, 78, 930}, {79, 65500, -35}, },
            {{48, 77, -44}, {78, 78, 931}, {79, 65500, -35}, },
            {{48, 78, -294}, {79, 79, 932}, {80, 65500, -29}, },
            {{48, 65500, -34}, },
            {{105, 105, 933}, },
            {{116, 116, 934}, },
            {{101, 101, 935}, },
            {{48, 57, 228}, {65, 65, 936}, {66, 65500, -38}, },
            {{48, 65, -28}, {66, 66, 937}, {67, 90, 229}, {95, 65500, -28}, },
            {{48, 57, 228}, {65, 65, 938}, {66, 65500, -38}, },
            {{48, 65, -28}, {66, 66, 939}, {67, 65500, -927}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 77, -44}, {78, 78, 940}, {79, 65500, -35}, },
            {{99, 99, 941}, },
            {{105, 105, 942}, },
            {{110, 110, 943}, },
            {{48, 77, -44}, {78, 78, 944}, {79, 65500, -35}, },
            {{48, 75, -305}, {76, 76, 945}, {77, 65500, -305}, },
            {{48, 77, -44}, {78, 78, 946}, {79, 65500, -35}, },
            {{48, 75, -305}, {76, 76, 947}, {77, 65500, -305}, },
            {{48, 82, -232}, {83, 83, 948}, {84, 65500, -28}, },
            {{97, 97, 949}, },
            {{116, 116, 950}, },
            {{116, 116, 951}, },
            {{48, 83, -299}, {84, 84, 952}, {85, 65500, -299}, },
            {{48, 68, -29}, {69, 69, 953}, {70, 65500, -303}, },
            {{48, 83, -299}, {84, 84, 954}, {85, 65500, -299}, },
            {{48, 68, -29}, {69, 69, 955}, {70, 65500, -303}, },
            {{48, 65500, -34}, },
            {{116, 116, 956}, },
            {{117, 117, 957}, },
            {{105, 105, 958}, },
            {{48, 82, -232}, {83, 83, 959}, {84, 65500, -28}, },
            {{48, 82, -232}, {83, 83, 960}, {84, 65500, -28}, },
            {{48, 82, -232}, {83, 83, 961}, {84, 65500, -28}, },
            {{48, 82, -232}, {83, 83, 962}, {84, 65500, -28}, },
            {{101, 101, 963}, },
            {{116, 116, 964}, },
            {{102, 102, 965}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{48, 65500, -34}, },
            {{65, 90, 966}, {97, 122, 967}, },
            {{105, 105, 968}, },
            {{105, 105, 969}, },
            {{65, 122, -965}, },
            {{65, 122, -965}, },
            {{111, 111, 970}, },
            {{101, 101, 971}, },
            {{110, 110, 972}, },
            {{114, 114, 973}, },
            {{65, 90, 974}, {97, 122, 975}, },
            {{65, 90, 976}, {97, 122, 977}, },
            {{65, 122, -974}, },
            {{65, 122, -974}, },
            {{65, 122, -975}, },
            {{65, 122, -975}, },
        }
        { // COMMENT
            {{0, 8, 1}, {9, 9, 2}, {10, 10, 3}, {11, 12, 1}, {13, 13, 3}, {14, 31, 1}, {32, 32, 2}, {33, 41, 1}, {42, 42, 4}, {43, 46, 1}, {47, 47, 5}, {48, 159, 1}, {160, 160, 2}, {161, 8231, 1}, {8232, 8233, 2}, {8234, 65535, 1}, },
            {{0, 41, 1}, {43, 46, 1}, {48, 65535, 1}, },
            {{0, 9, -2}, {10, 31, 1}, {32, 41, -2}, {43, 46, 1}, {48, 65535, -2}, },
            {{0, 65535, -3}, },
            {{47, 47, 6}, },
            {},
            {},
        }
        { // MULTILINE_STRING_STATE
            {{0, 8, 1}, {9, 9, 2}, {10, 10, 3}, {11, 12, 1}, {13, 13, 3}, {14, 31, 1}, {32, 32, 2}, {33, 38, 1}, {39, 39, 4}, {40, 91, 1}, {92, 92, 5}, {93, 159, 1}, {160, 160, 2}, {161, 8231, 1}, {8232, 8233, 2}, {8234, 65535, 1}, },
            {{0, 38, 1}, {39, 39, 6}, {40, 92, -2}, {93, 65535, 1}, },
            {{0, 9, -2}, {10, 31, 1}, {32, 38, -2}, {39, 92, -3}, {93, 65535, -2}, },
            {{0, 65535, -3}, },
            {{0, 38, 7}, {39, 39, 8}, {40, 65535, 7}, },
            {{0, 38, 1}, {39, 39, 9}, {40, 65535, -3}, },
            {{0, 38, 7}, {39, 39, 10}, {40, 65535, 7}, },
            {{0, 65535, -3}, },
            {{0, 38, 11}, {39, 39, 12}, {40, 65535, 11}, },
            {{0, 38, 13}, {39, 39, 14}, {40, 91, 13}, {92, 92, 15}, {93, 65535, 13}, },
            {{0, 38, 11}, {40, 65535, 11}, },
            {{0, 65535, -3}, },
            {},
            {{0, 65535, -3}, },
            {{0, 38, 16}, {39, 39, 10}, {40, 65535, 16}, },
            {{0, 65535, -7}, },
            {{0, 65535, -3}, },
        }
        { // SHEBANG
            {{0, 8, 1}, {9, 9, 2}, {10, 10, 3}, {11, 12, 1}, {13, 13, 3}, {14, 31, 1}, {32, 32, 2}, {33, 34, 1}, {35, 35, 4}, {36, 159, 1}, {160, 160, 2}, {161, 8231, 1}, {8232, 8233, 2}, {8234, 65535, 1}, },
            {},
            {{9, 9, 5}, {32, 32, 5}, {160, 160, 5}, {8232, 8233, 5}, },
            {},
            {{33, 33, 6}, },
            {{9, 8233, -4}, },
            {},
        }
        { // PRAGMA
            {{9, 9, 1}, {10, 10, 2}, {13, 13, 2}, {32, 32, 1}, {33, 33, 3}, {34, 34, 4}, {35, 41, 3}, {42, 42, 5}, {43, 64, 3}, {65, 90, 6}, {91, 96, 3}, {97, 99, 6}, {100, 100, 7}, {101, 101, 6}, {102, 102, 8}, {103, 103, 9}, {104, 104, 6}, {105, 105, 10}, {106, 107, 6}, {108, 108, 11}, {109, 111, 6}, {112, 112, 12}, {113, 114, 6}, {115, 115, 13}, {116, 122, 6}, {123, 126, 3}, {160, 160, 1}, {170, 170, 14}, {181, 181, 14}, {186, 186, 15}, {191, 191, 3}, {192, 214, 16}, {215, 215, 3}, {216, 246, 16}, {247, 247, 3}, {248, 254, 16}, {255, 501, 15}, {506, 535, 17}, {592, 680, 17}, {688, 696, 17}, {699, 705, 17}, {720, 721, 18}, {736, 740, 18}, {890, 890, 18}, {902, 902, 18}, {904, 906, 19}, {908, 908, 19}, {910, 929, 19}, {931, 954, 19}, {956, 974, 19}, {976, 982, 20}, {986, 986, 20}, {988, 988, 20}, {990, 990, 20}, {992, 992, 21}, {994, 1011, 21}, {1025, 1036, 21}, {1038, 1103, 21}, {1105, 1116, 22}, {1118, 1153, 22}, {1168, 1220, 22}, {1223, 1224, 22}, {1227, 1228, 23}, {1232, 1259, 23}, {1262, 1269, 23}, {1272, 1273, 23}, {1329, 1366, 24}, {1369, 1369, 24}, {1377, 1415, 24}, {1488, 1514, 24}, {1520, 1522, 25}, {1569, 1594, 25}, {1600, 1610, 25}, {1649, 1719, 25}, {1722, 1726, 26}, {1728, 1742, 26}, {1744, 1747, 26}, {1749, 1749, 26}, {1765, 1766, 27}, {2309, 2361, 27}, {2365, 2365, 27}, {2392, 2401, 27}, {2437, 2444, 28}, {2447, 2448, 28}, {2451, 2472, 28}, {2474, 2480, 28}, {2482, 2482, 29}, {2486, 2489, 29}, {2524, 2525, 29}, {2527, 2529, 29}, {2544, 2545, 30}, {2565, 2570, 30}, {2575, 2576, 30}, {2579, 2600, 30}, {2602, 2608, 31}, {2610, 2611, 31}, {2613, 2614, 31}, {2616, 2617, 31}, {2649, 2652, 32}, {2654, 2654, 32}, {2674, 2676, 32}, {2693, 2699, 32}, {2701, 2701, 33}, {2703, 2705, 33}, {2707, 2728, 33}, {2730, 2736, 33}, {2738, 2739, 34}, {2741, 2745, 34}, {2749, 2749, 34}, {2784, 2784, 34}, {2821, 2828, 35}, {2831, 2832, 35}, {2835, 2856, 35}, {2858, 2864, 35}, {2866, 2867, 36}, {2870, 2873, 36}, {2877, 2877, 36}, {2908, 2909, 36}, {2911, 2913, 37}, {2949, 2954, 37}, {2958, 2960, 37}, {2962, 2965, 37}, {2969, 2970, 38}, {2972, 2972, 38}, {2974, 2975, 38}, {2979, 2980, 38}, {2984, 2986, 39}, {2990, 2997, 39}, {2999, 3001, 39}, {3077, 3084, 39}, {3086, 3088, 40}, {3090, 3112, 40}, {3114, 3123, 40}, {3125, 3129, 40}, {3168, 3169, 41}, {3205, 3212, 41}, {3214, 3216, 41}, {3218, 3240, 41}, {3242, 3251, 42}, {3253, 3257, 42}, {3294, 3294, 42}, {3296, 3297, 42}, {3333, 3340, 43}, {3342, 3344, 43}, {3346, 3368, 43}, {3370, 3385, 43}, {3424, 3425, 44}, {3585, 3630, 44}, {3632, 3632, 44}, {3634, 3635, 44}, {3648, 3654, 45}, {3713, 3714, 45}, {3716, 3716, 45}, {3719, 3720, 45}, {3722, 3722, 46}, {3725, 3725, 46}, {3732, 3735, 46}, {3737, 3743, 46}, {3745, 3747, 47}, {3749, 3749, 47}, {3751, 3751, 47}, {3754, 3755, 47}, {3757, 3758, 48}, {3760, 3760, 48}, {3762, 3763, 48}, {3773, 3773, 48}, {3776, 3780, 49}, {3782, 3782, 49}, {3804, 3805, 49}, {3904, 3911, 49}, {3913, 3945, 50}, {4256, 4293, 50}, {4304, 4342, 50}, {4352, 4441, 50}, {4447, 4514, 51}, {4520, 4601, 51}, {7680, 7835, 51}, {7840, 7929, 51}, {7936, 7957, 52}, {7960, 7965, 52}, {7968, 8005, 52}, {8008, 8013, 52}, {8016, 8023, 53}, {8025, 8025, 53}, {8027, 8027, 53}, {8029, 8029, 53}, {8031, 8061, 54}, {8064, 8116, 54}, {8118, 8124, 54}, {8126, 8126, 54}, {8130, 8132, 55}, {8134, 8140, 55}, {8144, 8147, 55}, {8150, 8155, 55}, {8160, 8172, 56}, {8178, 8180, 56}, {8182, 8188, 56}, {8232, 8233, 1}, {8319, 8319, 56}, {8450, 8450, 57}, {8455, 8455, 57}, {8458, 8467, 57}, {8469, 8469, 57}, {8472, 8477, 58}, {8484, 8484, 58}, {8486, 8486, 58}, {8488, 8488, 58}, {8490, 8497, 59}, {8499, 8504, 59}, {12293, 12293, 59}, {12337, 12341, 59}, {12353, 12436, 60}, {12443, 12446, 60}, {12449, 12538, 60}, {12540, 12542, 60}, {12549, 12588, 61}, {12593, 12686, 61}, {19968, 40869, 61}, {44032, 55203, 61}, {63744, 64045, 62}, {64256, 64262, 62}, {64275, 64279, 62}, {64287, 64296, 62}, {64298, 64310, 63}, {64312, 64316, 63}, {64318, 64318, 63}, {64320, 64321, 63}, {64323, 64324, 64}, {64326, 64433, 64}, {64467, 64829, 64}, {64848, 64911, 64}, {64914, 64967, 65}, {65008, 65019, 65}, {65136, 65138, 65}, {65140, 65140, 65}, {65142, 65276, 66}, {65313, 65338, 66}, {65345, 65370, 66}, {65382, 65470, 66}, {65474, 65479, 67}, {65482, 65487, 67}, {65490, 65495, 67}, {65498, 65500, 67}, },
            {{9, 9, 1}, {32, 32, 1}, {160, 160, 1}, {8232, 8233, 1}, },
            {},
            {{33, 33, 3}, {35, 41, 3}, {43, 126, 3}, {191, 254, 3}, },
            {{0, 9, 68}, {11, 12, 68}, {14, 33, 68}, {34, 34, 69}, {35, 91, 68}, {92, 92, 70}, {93, 65535, 68}, },
            {{47, 47, 71}, },
            {{33, 41, -5}, {43, 47, 3}, {48, 57, 72}, {58, 64, 3}, {65, 90, 73}, {91, 94, 3}, {95, 95, 74}, {96, 96, 3}, {97, 122, 73}, {123, 126, 3}, {170, 170, 75}, {181, 181, 75}, {186, 186, 76}, {191, 191, 3}, {192, 214, 77}, {215, 215, 3}, {216, 246, 77}, {247, 247, 3}, {248, 254, 77}, {255, 501, 76}, {506, 535, 78}, {592, 680, 78}, {688, 696, 78}, {699, 705, 78}, {720, 721, 79}, {736, 740, 79}, {890, 890, 79}, {902, 902, 79}, {904, 906, 80}, {908, 908, 80}, {910, 929, 80}, {931, 954, 80}, {955, 955, 81}, {956, 974, 80}, {976, 982, 82}, {986, 986, 82}, {988, 988, 82}, {990, 990, 82}, {992, 992, 83}, {994, 1011, 83}, {1025, 1036, 83}, {1038, 1103, 83}, {1105, 1116, 84}, {1118, 1153, 84}, {1168, 1220, 84}, {1223, 1224, 84}, {1227, 1228, 85}, {1232, 1259, 85}, {1262, 1269, 85}, {1272, 1273, 85}, {1329, 1366, 86}, {1369, 1369, 86}, {1377, 1415, 86}, {1488, 1514, 86}, {1520, 1522, 87}, {1569, 1594, 87}, {1600, 1610, 87}, {1649, 1719, 87}, {1722, 1726, 88}, {1728, 1742, 88}, {1744, 1747, 88}, {1749, 1749, 88}, {1765, 1766, 89}, {2309, 2361, 89}, {2365, 2365, 89}, {2392, 2401, 89}, {2437, 2444, 90}, {2447, 2448, 90}, {2451, 2472, 90}, {2474, 2480, 90}, {2482, 2482, 91}, {2486, 2489, 91}, {2524, 2525, 91}, {2527, 2529, 91}, {2544, 2545, 92}, {2565, 2570, 92}, {2575, 2576, 92}, {2579, 2600, 92}, {2602, 2608, 93}, {2610, 2611, 93}, {2613, 2614, 93}, {2616, 2617, 93}, {2649, 2652, 94}, {2654, 2654, 94}, {2674, 2676, 94}, {2693, 2699, 94}, {2701, 2701, 95}, {2703, 2705, 95}, {2707, 2728, 95}, {2730, 2736, 95}, {2738, 2739, 96}, {2741, 2745, 96}, {2749, 2749, 96}, {2784, 2784, 96}, {2821, 2828, 97}, {2831, 2832, 97}, {2835, 2856, 97}, {2858, 2864, 97}, {2866, 2867, 98}, {2870, 2873, 98}, {2877, 2877, 98}, {2908, 2909, 98}, {2911, 2913, 99}, {2949, 2954, 99}, {2958, 2960, 99}, {2962, 2965, 99}, {2969, 2970, 100}, {2972, 2972, 100}, {2974, 2975, 100}, {2979, 2980, 100}, {2984, 2986, 101}, {2990, 2997, 101}, {2999, 3001, 101}, {3077, 3084, 101}, {3086, 3088, 102}, {3090, 3112, 102}, {3114, 3123, 102}, {3125, 3129, 102}, {3168, 3169, 103}, {3205, 3212, 103}, {3214, 3216, 103}, {3218, 3240, 103}, {3242, 3251, 104}, {3253, 3257, 104}, {3294, 3294, 104}, {3296, 3297, 104}, {3333, 3340, 105}, {3342, 3344, 105}, {3346, 3368, 105}, {3370, 3385, 105}, {3424, 3425, 106}, {3585, 3630, 106}, {3632, 3632, 106}, {3634, 3635, 106}, {3648, 3654, 107}, {3713, 3714, 107}, {3716, 3716, 107}, {3719, 3720, 107}, {3722, 3722, 108}, {3725, 3725, 108}, {3732, 3735, 108}, {3737, 3743, 108}, {3745, 3747, 109}, {3749, 3749, 109}, {3751, 3751, 109}, {3754, 3755, 109}, {3757, 3758, 110}, {3760, 3760, 110}, {3762, 3763, 110}, {3773, 3773, 110}, {3776, 3780, 111}, {3782, 3782, 111}, {3804, 3805, 111}, {3904, 3911, 111}, {3913, 3945, 112}, {4256, 4293, 112}, {4304, 4342, 112}, {4352, 4441, 112}, {4447, 4514, 113}, {4520, 4601, 113}, {7680, 7835, 113}, {7840, 7929, 113}, {7936, 7957, 114}, {7960, 7965, 114}, {7968, 8005, 114}, {8008, 8013, 114}, {8016, 8023, 115}, {8025, 8025, 115}, {8027, 8027, 115}, {8029, 8029, 115}, {8031, 8061, 116}, {8064, 8116, 116}, {8118, 8124, 116}, {8126, 8126, 116}, {8130, 8132, 117}, {8134, 8140, 117}, {8144, 8147, 117}, {8150, 8155, 117}, {8160, 8172, 118}, {8178, 8180, 118}, {8182, 8188, 118}, {8216, 8217, 119}, {8242, 8242, 119}, {8319, 8319, 118}, {8320, 8329, 120}, {8450, 8450, 121}, {8455, 8455, 121}, {8458, 8467, 121}, {8469, 8469, 121}, {8472, 8477, 122}, {8484, 8484, 122}, {8486, 8486, 122}, {8488, 8488, 122}, {8490, 8497, 123}, {8499, 8504, 123}, {12293, 12293, 123}, {12337, 12341, 123}, {12353, 12436, 124}, {12443, 12446, 124}, {12449, 12538, 124}, {12540, 12542, 124}, {12549, 12588, 125}, {12593, 12686, 125}, {19968, 40869, 125}, {44032, 55203, 125}, {63744, 64045, 126}, {64256, 64262, 126}, {64275, 64279, 126}, {64287, 64296, 126}, {64298, 64310, 127}, {64312, 64316, 127}, {64318, 64318, 127}, {64320, 64321, 127}, {64323, 64324, 128}, {64326, 64433, 128}, {64467, 64829, 128}, {64848, 64911, 128}, {64914, 64967, 129}, {65008, 65019, 129}, {65136, 65138, 129}, {65140, 65140, 129}, {65142, 65276, 130}, {65313, 65338, 130}, {65345, 65370, 130}, {65382, 65470, 130}, {65474, 65479, 131}, {65482, 65487, 131}, {65490, 65495, 131}, {65498, 65500, 131}, },
            {{33, 96, -8}, {97, 100, 73}, {101, 101, 132}, {102, 122, 73}, {123, 65500, -8}, },
            {{33, 96, -8}, {97, 104, 73}, {105, 105, 133}, {106, 122, 73}, {123, 65500, -8}, },
            {{33, 100, -9}, {101, 101, 134}, {102, 65500, -9}, },
            {{33, 96, -8}, {97, 108, 73}, {109, 109, 135}, {110, 122, 73}, {123, 65500, -8}, },
            {{33, 96, -8}, {97, 97, 136}, {98, 122, 73}, {123, 65500, -8}, },
            {{33, 96, -8}, {97, 97, 137}, {98, 113, 73}, {114, 114, 138}, {115, 122, 73}, {123, 65500, -8}, },
            {{33, 96, -8}, {97, 120, 73}, {121, 121, 139}, {122, 122, 73}, {123, 65500, -8}, },
            {{48, 57, 140}, {65, 90, 75}, {95, 95, 141}, {97, 122, 75}, {170, 186, -8}, {192, 214, 76}, {216, 246, 76}, {248, 501, 76}, {506, 65500, -8}, },
            {{48, 65500, -16}, },
            {{33, 65500, -8}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{0, 65535, -6}, },
            {},
            {{0, 9, 142}, {11, 12, 142}, {14, 65535, 142}, },
            {},
            {{33, 65500, -8}, },
            {{33, 65500, -8}, },
            {{33, 65500, -8}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{33, 65500, -8}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{8216, 8242, -8}, },
            {{8216, 8242, -8}, {8320, 8329, 120}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{33, 96, -8}, {97, 114, 73}, {115, 115, 143}, {116, 122, 73}, {123, 65500, -8}, },
            {{33, 96, -8}, {97, 107, 73}, {108, 108, 144}, {109, 122, 73}, {123, 65500, -8}, },
            {{33, 96, -8}, {97, 109, 73}, {110, 110, 145}, {111, 122, 73}, {123, 65500, -8}, },
            {{33, 96, -8}, {97, 111, 73}, {112, 112, 146}, {113, 122, 73}, {123, 65500, -8}, },
            {{33, 96, -8}, {97, 97, 73}, {98, 98, 147}, {99, 122, 73}, {123, 65500, -8}, },
            {{33, 96, -8}, {97, 98, 73}, {99, 99, 148}, {100, 122, 73}, {123, 65500, -8}, },
            {{33, 96, -8}, {97, 97, 149}, {98, 65500, -13}, },
            {{33, 108, -12}, {109, 109, 150}, {110, 65500, -12}, },
            {{48, 65500, -16}, },
            {{48, 65500, -16}, },
            {{0, 65535, -6}, },
            {{33, 98, -139}, {99, 99, 151}, {100, 65500, -139}, },
            {{33, 100, -9}, {101, 101, 152}, {102, 65500, -9}, },
            {{33, 100, -9}, {101, 101, 153}, {102, 65500, -9}, },
            {{33, 96, -8}, {97, 110, 73}, {111, 111, 154}, {112, 122, 73}, {123, 65500, -8}, },
            {{33, 100, -9}, {101, 101, 155}, {102, 65500, -9}, },
            {{33, 96, -8}, {97, 106, 73}, {107, 107, 156}, {108, 122, 73}, {123, 65500, -8}, },
            {{33, 96, -8}, {97, 102, 73}, {103, 103, 157}, {104, 122, 73}, {123, 65500, -8}, },
            {{33, 97, -138}, {98, 98, 158}, {99, 65500, -138}, },
            {{33, 96, -8}, {97, 113, 73}, {114, 114, 159}, {115, 65500, -14}, },
            {{33, 65500, -8}, },
            {{33, 113, -153}, {114, 114, 160}, {115, 65500, -14}, },
            {{33, 113, -153}, {114, 114, 161}, {115, 65500, -14}, },
            {{33, 107, -135}, {108, 108, 162}, {109, 65500, -135}, },
            {{33, 96, -8}, {97, 97, 163}, {98, 65500, -13}, },
            {{33, 108, -12}, {109, 109, 164}, {110, 65500, -12}, },
            {{33, 110, -148}, {111, 111, 165}, {112, 65500, -148}, },
            {{33, 104, -10}, {105, 105, 166}, {106, 65500, -10}, },
            {{33, 96, -8}, {97, 97, 167}, {98, 65500, -13}, },
            {{33, 96, -8}, {97, 115, 73}, {116, 116, 168}, {117, 122, 73}, {123, 65500, -8}, },
            {{33, 65500, -8}, },
            {{33, 102, -151}, {103, 103, 169}, {104, 65500, -151}, },
            {{33, 96, -8}, {97, 97, 170}, {98, 65500, -13}, },
            {{33, 107, -135}, {108, 108, 171}, {109, 65500, -135}, },
            {{33, 111, -137}, {112, 112, 172}, {113, 65500, -137}, },
            {{33, 115, -163}, {116, 116, 173}, {117, 65500, -163}, },
            {{33, 41, -5}, {43, 44, 3}, {45, 45, 174}, {46, 47, 3}, {48, 94, -8}, {95, 95, 175}, {96, 65500, -8}, },
            {{33, 100, -9}, {101, 101, 176}, {102, 65500, -9}, },
            {{33, 65500, -8}, },
            {{33, 104, -10}, {105, 105, 177}, {106, 65500, -10}, },
            {{33, 115, -163}, {116, 116, 178}, {117, 65500, -163}, },
            {{33, 100, -9}, {101, 101, 179}, {102, 65500, -9}, },
            {{33, 41, -5}, {43, 111, 3}, {112, 112, 180}, {113, 126, 3}, {191, 254, 3}, },
            {{33, 111, -137}, {112, 112, 181}, {113, 65500, -137}, },
            {{33, 65500, -8}, },
            {{33, 98, -139}, {99, 99, 182}, {100, 65500, -139}, },
            {{33, 104, -10}, {105, 105, 183}, {106, 65500, -10}, },
            {{33, 96, -8}, {97, 99, 73}, {100, 100, 184}, {101, 122, 73}, {123, 65500, -8}, },
            {{33, 41, -5}, {43, 96, 3}, {97, 97, 185}, {98, 126, 3}, {191, 254, 3}, },
            {{33, 96, -8}, {97, 97, 186}, {98, 65500, -13}, },
            {{33, 65500, -8}, },
            {{33, 110, -148}, {111, 111, 187}, {112, 65500, -148}, },
            {{33, 65500, -8}, },
            {{33, 41, -5}, {43, 98, 3}, {99, 99, 188}, {100, 126, 3}, {191, 254, 3}, },
            {{33, 98, -139}, {99, 99, 189}, {100, 65500, -139}, },
            {{33, 109, -136}, {110, 110, 190}, {111, 65500, -136}, },
            {{33, 41, -5}, {43, 106, 3}, {107, 107, 191}, {108, 126, 3}, {191, 254, 3}, },
            {{33, 106, -150}, {107, 107, 192}, {108, 65500, -150}, },
            {{33, 65500, -8}, },
            {{33, 96, -182}, {97, 97, 193}, {98, 254, -182}, },
            {{33, 96, -8}, {97, 97, 194}, {98, 65500, -13}, },
            {{33, 41, -5}, {43, 102, 3}, {103, 103, 195}, {104, 126, 3}, {191, 254, 3}, },
            {{33, 102, -151}, {103, 103, 196}, {104, 65500, -151}, },
            {{33, 41, -5}, {43, 100, 3}, {101, 101, 197}, {102, 126, 3}, {191, 254, 3}, },
            {{33, 100, -9}, {101, 101, 198}, {102, 65500, -9}, },
            {{33, 254, -5}, },
            {{33, 65500, -8}, },
        }
        { // DESCRIPTION
            {{0, 8, 1}, {9, 9, 2}, {10, 10, 3}, {11, 12, 1}, {13, 13, 3}, {14, 31, 1}, {32, 32, 2}, {33, 41, 1}, {42, 42, 4}, {43, 46, 1}, {47, 47, 5}, {48, 159, 1}, {160, 160, 2}, {161, 8231, 1}, {8232, 8233, 2}, {8234, 65535, 1}, },
            {{0, 41, 1}, {43, 46, 1}, {48, 65535, 1}, },
            {{0, 9, -2}, {10, 31, 1}, {32, 41, -2}, {43, 46, 1}, {48, 65535, -2}, },
            {{0, 65535, -3}, },
            {{47, 47, 6}, },
            {},
            {},
        }
        { // PRAGMA_CONTENT
            {{9, 9, 1}, {10, 10, 2}, {13, 13, 2}, {32, 32, 1}, {33, 33, 3}, {34, 34, 4}, {35, 41, 3}, {42, 42, 5}, {43, 64, 3}, {65, 90, 6}, {91, 96, 3}, {97, 122, 6}, {123, 126, 3}, {160, 160, 1}, {170, 170, 7}, {181, 181, 7}, {186, 186, 8}, {191, 191, 3}, {192, 214, 9}, {215, 215, 3}, {216, 246, 9}, {247, 247, 3}, {248, 254, 9}, {255, 501, 8}, {506, 535, 10}, {592, 680, 10}, {688, 696, 10}, {699, 705, 10}, {720, 721, 11}, {736, 740, 11}, {890, 890, 11}, {902, 902, 11}, {904, 906, 12}, {908, 908, 12}, {910, 929, 12}, {931, 954, 12}, {956, 974, 12}, {976, 982, 13}, {986, 986, 13}, {988, 988, 13}, {990, 990, 13}, {992, 992, 14}, {994, 1011, 14}, {1025, 1036, 14}, {1038, 1103, 14}, {1105, 1116, 15}, {1118, 1153, 15}, {1168, 1220, 15}, {1223, 1224, 15}, {1227, 1228, 16}, {1232, 1259, 16}, {1262, 1269, 16}, {1272, 1273, 16}, {1329, 1366, 17}, {1369, 1369, 17}, {1377, 1415, 17}, {1488, 1514, 17}, {1520, 1522, 18}, {1569, 1594, 18}, {1600, 1610, 18}, {1649, 1719, 18}, {1722, 1726, 19}, {1728, 1742, 19}, {1744, 1747, 19}, {1749, 1749, 19}, {1765, 1766, 20}, {2309, 2361, 20}, {2365, 2365, 20}, {2392, 2401, 20}, {2437, 2444, 21}, {2447, 2448, 21}, {2451, 2472, 21}, {2474, 2480, 21}, {2482, 2482, 22}, {2486, 2489, 22}, {2524, 2525, 22}, {2527, 2529, 22}, {2544, 2545, 23}, {2565, 2570, 23}, {2575, 2576, 23}, {2579, 2600, 23}, {2602, 2608, 24}, {2610, 2611, 24}, {2613, 2614, 24}, {2616, 2617, 24}, {2649, 2652, 25}, {2654, 2654, 25}, {2674, 2676, 25}, {2693, 2699, 25}, {2701, 2701, 26}, {2703, 2705, 26}, {2707, 2728, 26}, {2730, 2736, 26}, {2738, 2739, 27}, {2741, 2745, 27}, {2749, 2749, 27}, {2784, 2784, 27}, {2821, 2828, 28}, {2831, 2832, 28}, {2835, 2856, 28}, {2858, 2864, 28}, {2866, 2867, 29}, {2870, 2873, 29}, {2877, 2877, 29}, {2908, 2909, 29}, {2911, 2913, 30}, {2949, 2954, 30}, {2958, 2960, 30}, {2962, 2965, 30}, {2969, 2970, 31}, {2972, 2972, 31}, {2974, 2975, 31}, {2979, 2980, 31}, {2984, 2986, 32}, {2990, 2997, 32}, {2999, 3001, 32}, {3077, 3084, 32}, {3086, 3088, 33}, {3090, 3112, 33}, {3114, 3123, 33}, {3125, 3129, 33}, {3168, 3169, 34}, {3205, 3212, 34}, {3214, 3216, 34}, {3218, 3240, 34}, {3242, 3251, 35}, {3253, 3257, 35}, {3294, 3294, 35}, {3296, 3297, 35}, {3333, 3340, 36}, {3342, 3344, 36}, {3346, 3368, 36}, {3370, 3385, 36}, {3424, 3425, 37}, {3585, 3630, 37}, {3632, 3632, 37}, {3634, 3635, 37}, {3648, 3654, 38}, {3713, 3714, 38}, {3716, 3716, 38}, {3719, 3720, 38}, {3722, 3722, 39}, {3725, 3725, 39}, {3732, 3735, 39}, {3737, 3743, 39}, {3745, 3747, 40}, {3749, 3749, 40}, {3751, 3751, 40}, {3754, 3755, 40}, {3757, 3758, 41}, {3760, 3760, 41}, {3762, 3763, 41}, {3773, 3773, 41}, {3776, 3780, 42}, {3782, 3782, 42}, {3804, 3805, 42}, {3904, 3911, 42}, {3913, 3945, 43}, {4256, 4293, 43}, {4304, 4342, 43}, {4352, 4441, 43}, {4447, 4514, 44}, {4520, 4601, 44}, {7680, 7835, 44}, {7840, 7929, 44}, {7936, 7957, 45}, {7960, 7965, 45}, {7968, 8005, 45}, {8008, 8013, 45}, {8016, 8023, 46}, {8025, 8025, 46}, {8027, 8027, 46}, {8029, 8029, 46}, {8031, 8061, 47}, {8064, 8116, 47}, {8118, 8124, 47}, {8126, 8126, 47}, {8130, 8132, 48}, {8134, 8140, 48}, {8144, 8147, 48}, {8150, 8155, 48}, {8160, 8172, 49}, {8178, 8180, 49}, {8182, 8188, 49}, {8232, 8233, 1}, {8319, 8319, 49}, {8450, 8450, 50}, {8455, 8455, 50}, {8458, 8467, 50}, {8469, 8469, 50}, {8472, 8477, 51}, {8484, 8484, 51}, {8486, 8486, 51}, {8488, 8488, 51}, {8490, 8497, 52}, {8499, 8504, 52}, {12293, 12293, 52}, {12337, 12341, 52}, {12353, 12436, 53}, {12443, 12446, 53}, {12449, 12538, 53}, {12540, 12542, 53}, {12549, 12588, 54}, {12593, 12686, 54}, {19968, 40869, 54}, {44032, 55203, 54}, {63744, 64045, 55}, {64256, 64262, 55}, {64275, 64279, 55}, {64287, 64296, 55}, {64298, 64310, 56}, {64312, 64316, 56}, {64318, 64318, 56}, {64320, 64321, 56}, {64323, 64324, 57}, {64326, 64433, 57}, {64467, 64829, 57}, {64848, 64911, 57}, {64914, 64967, 58}, {65008, 65019, 58}, {65136, 65138, 58}, {65140, 65140, 58}, {65142, 65276, 59}, {65313, 65338, 59}, {65345, 65370, 59}, {65382, 65470, 59}, {65474, 65479, 60}, {65482, 65487, 60}, {65490, 65495, 60}, {65498, 65500, 60}, },
            {{9, 9, 1}, {32, 32, 1}, {160, 160, 1}, {8232, 8233, 1}, },
            {},
            {{33, 33, 3}, {35, 41, 3}, {43, 126, 3}, {191, 254, 3}, },
            {{0, 9, 61}, {11, 12, 61}, {14, 33, 61}, {34, 34, 62}, {35, 91, 61}, {92, 92, 63}, {93, 65535, 61}, },
            {{47, 47, 64}, },
            {{33, 41, -5}, {43, 47, 3}, {48, 57, 65}, {58, 64, 3}, {65, 90, 66}, {91, 94, 3}, {95, 95, 67}, {96, 96, 3}, {97, 122, 66}, {123, 126, 3}, {170, 170, 68}, {181, 181, 68}, {186, 186, 69}, {191, 191, 3}, {192, 214, 70}, {215, 215, 3}, {216, 246, 70}, {247, 247, 3}, {248, 254, 70}, {255, 501, 69}, {506, 535, 71}, {592, 680, 71}, {688, 696, 71}, {699, 705, 71}, {720, 721, 72}, {736, 740, 72}, {890, 890, 72}, {902, 902, 72}, {904, 906, 73}, {908, 908, 73}, {910, 929, 73}, {931, 954, 73}, {955, 955, 74}, {956, 974, 73}, {976, 982, 75}, {986, 986, 75}, {988, 988, 75}, {990, 990, 75}, {992, 992, 76}, {994, 1011, 76}, {1025, 1036, 76}, {1038, 1103, 76}, {1105, 1116, 77}, {1118, 1153, 77}, {1168, 1220, 77}, {1223, 1224, 77}, {1227, 1228, 78}, {1232, 1259, 78}, {1262, 1269, 78}, {1272, 1273, 78}, {1329, 1366, 79}, {1369, 1369, 79}, {1377, 1415, 79}, {1488, 1514, 79}, {1520, 1522, 80}, {1569, 1594, 80}, {1600, 1610, 80}, {1649, 1719, 80}, {1722, 1726, 81}, {1728, 1742, 81}, {1744, 1747, 81}, {1749, 1749, 81}, {1765, 1766, 82}, {2309, 2361, 82}, {2365, 2365, 82}, {2392, 2401, 82}, {2437, 2444, 83}, {2447, 2448, 83}, {2451, 2472, 83}, {2474, 2480, 83}, {2482, 2482, 84}, {2486, 2489, 84}, {2524, 2525, 84}, {2527, 2529, 84}, {2544, 2545, 85}, {2565, 2570, 85}, {2575, 2576, 85}, {2579, 2600, 85}, {2602, 2608, 86}, {2610, 2611, 86}, {2613, 2614, 86}, {2616, 2617, 86}, {2649, 2652, 87}, {2654, 2654, 87}, {2674, 2676, 87}, {2693, 2699, 87}, {2701, 2701, 88}, {2703, 2705, 88}, {2707, 2728, 88}, {2730, 2736, 88}, {2738, 2739, 89}, {2741, 2745, 89}, {2749, 2749, 89}, {2784, 2784, 89}, {2821, 2828, 90}, {2831, 2832, 90}, {2835, 2856, 90}, {2858, 2864, 90}, {2866, 2867, 91}, {2870, 2873, 91}, {2877, 2877, 91}, {2908, 2909, 91}, {2911, 2913, 92}, {2949, 2954, 92}, {2958, 2960, 92}, {2962, 2965, 92}, {2969, 2970, 93}, {2972, 2972, 93}, {2974, 2975, 93}, {2979, 2980, 93}, {2984, 2986, 94}, {2990, 2997, 94}, {2999, 3001, 94}, {3077, 3084, 94}, {3086, 3088, 95}, {3090, 3112, 95}, {3114, 3123, 95}, {3125, 3129, 95}, {3168, 3169, 96}, {3205, 3212, 96}, {3214, 3216, 96}, {3218, 3240, 96}, {3242, 3251, 97}, {3253, 3257, 97}, {3294, 3294, 97}, {3296, 3297, 97}, {3333, 3340, 98}, {3342, 3344, 98}, {3346, 3368, 98}, {3370, 3385, 98}, {3424, 3425, 99}, {3585, 3630, 99}, {3632, 3632, 99}, {3634, 3635, 99}, {3648, 3654, 100}, {3713, 3714, 100}, {3716, 3716, 100}, {3719, 3720, 100}, {3722, 3722, 101}, {3725, 3725, 101}, {3732, 3735, 101}, {3737, 3743, 101}, {3745, 3747, 102}, {3749, 3749, 102}, {3751, 3751, 102}, {3754, 3755, 102}, {3757, 3758, 103}, {3760, 3760, 103}, {3762, 3763, 103}, {3773, 3773, 103}, {3776, 3780, 104}, {3782, 3782, 104}, {3804, 3805, 104}, {3904, 3911, 104}, {3913, 3945, 105}, {4256, 4293, 105}, {4304, 4342, 105}, {4352, 4441, 105}, {4447, 4514, 106}, {4520, 4601, 106}, {7680, 7835, 106}, {7840, 7929, 106}, {7936, 7957, 107}, {7960, 7965, 107}, {7968, 8005, 107}, {8008, 8013, 107}, {8016, 8023, 108}, {8025, 8025, 108}, {8027, 8027, 108}, {8029, 8029, 108}, {8031, 8061, 109}, {8064, 8116, 109}, {8118, 8124, 109}, {8126, 8126, 109}, {8130, 8132, 110}, {8134, 8140, 110}, {8144, 8147, 110}, {8150, 8155, 110}, {8160, 8172, 111}, {8178, 8180, 111}, {8182, 8188, 111}, {8216, 8217, 112}, {8242, 8242, 112}, {8319, 8319, 111}, {8320, 8329, 113}, {8450, 8450, 114}, {8455, 8455, 114}, {8458, 8467, 114}, {8469, 8469, 114}, {8472, 8477, 115}, {8484, 8484, 115}, {8486, 8486, 115}, {8488, 8488, 115}, {8490, 8497, 116}, {8499, 8504, 116}, {12293, 12293, 116}, {12337, 12341, 116}, {12353, 12436, 117}, {12443, 12446, 117}, {12449, 12538, 117}, {12540, 12542, 117}, {12549, 12588, 118}, {12593, 12686, 118}, {19968, 40869, 118}, {44032, 55203, 118}, {63744, 64045, 119}, {64256, 64262, 119}, {64275, 64279, 119}, {64287, 64296, 119}, {64298, 64310, 120}, {64312, 64316, 120}, {64318, 64318, 120}, {64320, 64321, 120}, {64323, 64324, 121}, {64326, 64433, 121}, {64467, 64829, 121}, {64848, 64911, 121}, {64914, 64967, 122}, {65008, 65019, 122}, {65136, 65138, 122}, {65140, 65140, 122}, {65142, 65276, 123}, {65313, 65338, 123}, {65345, 65370, 123}, {65382, 65470, 123}, {65474, 65479, 124}, {65482, 65487, 124}, {65490, 65495, 124}, {65498, 65500, 124}, },
            {{48, 57, 125}, {65, 90, 68}, {95, 95, 126}, {97, 122, 68}, {170, 186, -8}, {192, 214, 69}, {216, 246, 69}, {248, 501, 69}, {506, 65500, -8}, },
            {{48, 65500, -9}, },
            {{33, 65500, -8}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{0, 65535, -6}, },
            {},
            {{0, 9, 127}, {11, 12, 127}, {14, 65535, 127}, },
            {},
            {{33, 65500, -8}, },
            {{33, 65500, -8}, },
            {{33, 65500, -8}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{33, 65500, -8}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{8216, 8242, -8}, },
            {{8216, 8242, -8}, {8320, 8329, 113}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{48, 65500, -9}, },
            {{0, 65535, -6}, },
        }
        { // PRAGMA_PACKAGE_CONTENT
            {{9, 9, 1}, {10, 10, 2}, {13, 13, 2}, {32, 32, 1}, {33, 33, 3}, {34, 34, 4}, {35, 41, 3}, {42, 42, 5}, {43, 64, 3}, {65, 90, 6}, {91, 96, 3}, {97, 104, 6}, {105, 105, 7}, {106, 122, 6}, {123, 126, 3}, {160, 160, 1}, {170, 170, 8}, {181, 181, 8}, {186, 186, 9}, {191, 191, 3}, {192, 214, 10}, {215, 215, 3}, {216, 246, 10}, {247, 247, 3}, {248, 254, 10}, {255, 501, 9}, {506, 535, 11}, {592, 680, 11}, {688, 696, 11}, {699, 705, 11}, {720, 721, 12}, {736, 740, 12}, {890, 890, 12}, {902, 902, 12}, {904, 906, 13}, {908, 908, 13}, {910, 929, 13}, {931, 954, 13}, {956, 974, 13}, {976, 982, 14}, {986, 986, 14}, {988, 988, 14}, {990, 990, 14}, {992, 992, 15}, {994, 1011, 15}, {1025, 1036, 15}, {1038, 1103, 15}, {1105, 1116, 16}, {1118, 1153, 16}, {1168, 1220, 16}, {1223, 1224, 16}, {1227, 1228, 17}, {1232, 1259, 17}, {1262, 1269, 17}, {1272, 1273, 17}, {1329, 1366, 18}, {1369, 1369, 18}, {1377, 1415, 18}, {1488, 1514, 18}, {1520, 1522, 19}, {1569, 1594, 19}, {1600, 1610, 19}, {1649, 1719, 19}, {1722, 1726, 20}, {1728, 1742, 20}, {1744, 1747, 20}, {1749, 1749, 20}, {1765, 1766, 21}, {2309, 2361, 21}, {2365, 2365, 21}, {2392, 2401, 21}, {2437, 2444, 22}, {2447, 2448, 22}, {2451, 2472, 22}, {2474, 2480, 22}, {2482, 2482, 23}, {2486, 2489, 23}, {2524, 2525, 23}, {2527, 2529, 23}, {2544, 2545, 24}, {2565, 2570, 24}, {2575, 2576, 24}, {2579, 2600, 24}, {2602, 2608, 25}, {2610, 2611, 25}, {2613, 2614, 25}, {2616, 2617, 25}, {2649, 2652, 26}, {2654, 2654, 26}, {2674, 2676, 26}, {2693, 2699, 26}, {2701, 2701, 27}, {2703, 2705, 27}, {2707, 2728, 27}, {2730, 2736, 27}, {2738, 2739, 28}, {2741, 2745, 28}, {2749, 2749, 28}, {2784, 2784, 28}, {2821, 2828, 29}, {2831, 2832, 29}, {2835, 2856, 29}, {2858, 2864, 29}, {2866, 2867, 30}, {2870, 2873, 30}, {2877, 2877, 30}, {2908, 2909, 30}, {2911, 2913, 31}, {2949, 2954, 31}, {2958, 2960, 31}, {2962, 2965, 31}, {2969, 2970, 32}, {2972, 2972, 32}, {2974, 2975, 32}, {2979, 2980, 32}, {2984, 2986, 33}, {2990, 2997, 33}, {2999, 3001, 33}, {3077, 3084, 33}, {3086, 3088, 34}, {3090, 3112, 34}, {3114, 3123, 34}, {3125, 3129, 34}, {3168, 3169, 35}, {3205, 3212, 35}, {3214, 3216, 35}, {3218, 3240, 35}, {3242, 3251, 36}, {3253, 3257, 36}, {3294, 3294, 36}, {3296, 3297, 36}, {3333, 3340, 37}, {3342, 3344, 37}, {3346, 3368, 37}, {3370, 3385, 37}, {3424, 3425, 38}, {3585, 3630, 38}, {3632, 3632, 38}, {3634, 3635, 38}, {3648, 3654, 39}, {3713, 3714, 39}, {3716, 3716, 39}, {3719, 3720, 39}, {3722, 3722, 40}, {3725, 3725, 40}, {3732, 3735, 40}, {3737, 3743, 40}, {3745, 3747, 41}, {3749, 3749, 41}, {3751, 3751, 41}, {3754, 3755, 41}, {3757, 3758, 42}, {3760, 3760, 42}, {3762, 3763, 42}, {3773, 3773, 42}, {3776, 3780, 43}, {3782, 3782, 43}, {3804, 3805, 43}, {3904, 3911, 43}, {3913, 3945, 44}, {4256, 4293, 44}, {4304, 4342, 44}, {4352, 4441, 44}, {4447, 4514, 45}, {4520, 4601, 45}, {7680, 7835, 45}, {7840, 7929, 45}, {7936, 7957, 46}, {7960, 7965, 46}, {7968, 8005, 46}, {8008, 8013, 46}, {8016, 8023, 47}, {8025, 8025, 47}, {8027, 8027, 47}, {8029, 8029, 47}, {8031, 8061, 48}, {8064, 8116, 48}, {8118, 8124, 48}, {8126, 8126, 48}, {8130, 8132, 49}, {8134, 8140, 49}, {8144, 8147, 49}, {8150, 8155, 49}, {8160, 8172, 50}, {8178, 8180, 50}, {8182, 8188, 50}, {8232, 8233, 1}, {8319, 8319, 50}, {8450, 8450, 51}, {8455, 8455, 51}, {8458, 8467, 51}, {8469, 8469, 51}, {8472, 8477, 52}, {8484, 8484, 52}, {8486, 8486, 52}, {8488, 8488, 52}, {8490, 8497, 53}, {8499, 8504, 53}, {12293, 12293, 53}, {12337, 12341, 53}, {12353, 12436, 54}, {12443, 12446, 54}, {12449, 12538, 54}, {12540, 12542, 54}, {12549, 12588, 55}, {12593, 12686, 55}, {19968, 40869, 55}, {44032, 55203, 55}, {63744, 64045, 56}, {64256, 64262, 56}, {64275, 64279, 56}, {64287, 64296, 56}, {64298, 64310, 57}, {64312, 64316, 57}, {64318, 64318, 57}, {64320, 64321, 57}, {64323, 64324, 58}, {64326, 64433, 58}, {64467, 64829, 58}, {64848, 64911, 58}, {64914, 64967, 59}, {65008, 65019, 59}, {65136, 65138, 59}, {65140, 65140, 59}, {65142, 65276, 60}, {65313, 65338, 60}, {65345, 65370, 60}, {65382, 65470, 60}, {65474, 65479, 61}, {65482, 65487, 61}, {65490, 65495, 61}, {65498, 65500, 61}, },
            {{9, 9, 1}, {32, 32, 1}, {160, 160, 1}, {8232, 8233, 1}, },
            {},
            {{33, 33, 3}, {35, 41, 3}, {43, 126, 3}, {191, 254, 3}, },
            {{0, 9, 62}, {11, 12, 62}, {14, 33, 62}, {34, 34, 63}, {35, 91, 62}, {92, 92, 64}, {93, 65535, 62}, },
            {{47, 47, 65}, },
            {{33, 41, -5}, {43, 47, 3}, {48, 57, 66}, {58, 64, 3}, {65, 90, 67}, {91, 94, 3}, {95, 95, 68}, {96, 96, 3}, {97, 122, 67}, {123, 126, 3}, {170, 170, 69}, {181, 181, 69}, {186, 186, 70}, {191, 191, 3}, {192, 214, 71}, {215, 215, 3}, {216, 246, 71}, {247, 247, 3}, {248, 254, 71}, {255, 501, 70}, {506, 535, 72}, {592, 680, 72}, {688, 696, 72}, {699, 705, 72}, {720, 721, 73}, {736, 740, 73}, {890, 890, 73}, {902, 902, 73}, {904, 906, 74}, {908, 908, 74}, {910, 929, 74}, {931, 954, 74}, {955, 955, 75}, {956, 974, 74}, {976, 982, 76}, {986, 986, 76}, {988, 988, 76}, {990, 990, 76}, {992, 992, 77}, {994, 1011, 77}, {1025, 1036, 77}, {1038, 1103, 77}, {1105, 1116, 78}, {1118, 1153, 78}, {1168, 1220, 78}, {1223, 1224, 78}, {1227, 1228, 79}, {1232, 1259, 79}, {1262, 1269, 79}, {1272, 1273, 79}, {1329, 1366, 80}, {1369, 1369, 80}, {1377, 1415, 80}, {1488, 1514, 80}, {1520, 1522, 81}, {1569, 1594, 81}, {1600, 1610, 81}, {1649, 1719, 81}, {1722, 1726, 82}, {1728, 1742, 82}, {1744, 1747, 82}, {1749, 1749, 82}, {1765, 1766, 83}, {2309, 2361, 83}, {2365, 2365, 83}, {2392, 2401, 83}, {2437, 2444, 84}, {2447, 2448, 84}, {2451, 2472, 84}, {2474, 2480, 84}, {2482, 2482, 85}, {2486, 2489, 85}, {2524, 2525, 85}, {2527, 2529, 85}, {2544, 2545, 86}, {2565, 2570, 86}, {2575, 2576, 86}, {2579, 2600, 86}, {2602, 2608, 87}, {2610, 2611, 87}, {2613, 2614, 87}, {2616, 2617, 87}, {2649, 2652, 88}, {2654, 2654, 88}, {2674, 2676, 88}, {2693, 2699, 88}, {2701, 2701, 89}, {2703, 2705, 89}, {2707, 2728, 89}, {2730, 2736, 89}, {2738, 2739, 90}, {2741, 2745, 90}, {2749, 2749, 90}, {2784, 2784, 90}, {2821, 2828, 91}, {2831, 2832, 91}, {2835, 2856, 91}, {2858, 2864, 91}, {2866, 2867, 92}, {2870, 2873, 92}, {2877, 2877, 92}, {2908, 2909, 92}, {2911, 2913, 93}, {2949, 2954, 93}, {2958, 2960, 93}, {2962, 2965, 93}, {2969, 2970, 94}, {2972, 2972, 94}, {2974, 2975, 94}, {2979, 2980, 94}, {2984, 2986, 95}, {2990, 2997, 95}, {2999, 3001, 95}, {3077, 3084, 95}, {3086, 3088, 96}, {3090, 3112, 96}, {3114, 3123, 96}, {3125, 3129, 96}, {3168, 3169, 97}, {3205, 3212, 97}, {3214, 3216, 97}, {3218, 3240, 97}, {3242, 3251, 98}, {3253, 3257, 98}, {3294, 3294, 98}, {3296, 3297, 98}, {3333, 3340, 99}, {3342, 3344, 99}, {3346, 3368, 99}, {3370, 3385, 99}, {3424, 3425, 100}, {3585, 3630, 100}, {3632, 3632, 100}, {3634, 3635, 100}, {3648, 3654, 101}, {3713, 3714, 101}, {3716, 3716, 101}, {3719, 3720, 101}, {3722, 3722, 102}, {3725, 3725, 102}, {3732, 3735, 102}, {3737, 3743, 102}, {3745, 3747, 103}, {3749, 3749, 103}, {3751, 3751, 103}, {3754, 3755, 103}, {3757, 3758, 104}, {3760, 3760, 104}, {3762, 3763, 104}, {3773, 3773, 104}, {3776, 3780, 105}, {3782, 3782, 105}, {3804, 3805, 105}, {3904, 3911, 105}, {3913, 3945, 106}, {4256, 4293, 106}, {4304, 4342, 106}, {4352, 4441, 106}, {4447, 4514, 107}, {4520, 4601, 107}, {7680, 7835, 107}, {7840, 7929, 107}, {7936, 7957, 108}, {7960, 7965, 108}, {7968, 8005, 108}, {8008, 8013, 108}, {8016, 8023, 109}, {8025, 8025, 109}, {8027, 8027, 109}, {8029, 8029, 109}, {8031, 8061, 110}, {8064, 8116, 110}, {8118, 8124, 110}, {8126, 8126, 110}, {8130, 8132, 111}, {8134, 8140, 111}, {8144, 8147, 111}, {8150, 8155, 111}, {8160, 8172, 112}, {8178, 8180, 112}, {8182, 8188, 112}, {8216, 8217, 113}, {8242, 8242, 113}, {8319, 8319, 112}, {8320, 8329, 114}, {8450, 8450, 115}, {8455, 8455, 115}, {8458, 8467, 115}, {8469, 8469, 115}, {8472, 8477, 116}, {8484, 8484, 116}, {8486, 8486, 116}, {8488, 8488, 116}, {8490, 8497, 117}, {8499, 8504, 117}, {12293, 12293, 117}, {12337, 12341, 117}, {12353, 12436, 118}, {12443, 12446, 118}, {12449, 12538, 118}, {12540, 12542, 118}, {12549, 12588, 119}, {12593, 12686, 119}, {19968, 40869, 119}, {44032, 55203, 119}, {63744, 64045, 120}, {64256, 64262, 120}, {64275, 64279, 120}, {64287, 64296, 120}, {64298, 64310, 121}, {64312, 64316, 121}, {64318, 64318, 121}, {64320, 64321, 121}, {64323, 64324, 122}, {64326, 64433, 122}, {64467, 64829, 122}, {64848, 64911, 122}, {64914, 64967, 123}, {65008, 65019, 123}, {65136, 65138, 123}, {65140, 65140, 123}, {65142, 65276, 124}, {65313, 65338, 124}, {65345, 65370, 124}, {65382, 65470, 124}, {65474, 65479, 125}, {65482, 65487, 125}, {65490, 65495, 125}, {65498, 65500, 125}, },
            {{33, 96, -8}, {97, 108, 67}, {109, 109, 126}, {110, 122, 67}, {123, 65500, -8}, },
            {{48, 57, 127}, {65, 90, 69}, {95, 95, 128}, {97, 122, 69}, {170, 186, -8}, {192, 214, 70}, {216, 246, 70}, {248, 501, 70}, {506, 65500, -8}, },
            {{48, 65500, -10}, },
            {{33, 65500, -8}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{0, 65535, -6}, },
            {},
            {{0, 9, 129}, {11, 12, 129}, {14, 65535, 129}, },
            {},
            {{33, 65500, -8}, },
            {{33, 65500, -8}, },
            {{33, 65500, -8}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{33, 65500, -8}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{8216, 8242, -8}, },
            {{8216, 8242, -8}, {8320, 8329, 114}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{33, 96, -8}, {97, 111, 67}, {112, 112, 130}, {113, 122, 67}, {123, 65500, -8}, },
            {{48, 65500, -10}, },
            {{48, 65500, -10}, },
            {{0, 65535, -6}, },
            {{33, 96, -8}, {97, 110, 67}, {111, 111, 131}, {112, 122, 67}, {123, 65500, -8}, },
            {{33, 96, -8}, {97, 113, 67}, {114, 114, 132}, {115, 122, 67}, {123, 65500, -8}, },
            {{33, 96, -8}, {97, 115, 67}, {116, 116, 133}, {117, 122, 67}, {123, 65500, -8}, },
            {{33, 41, -5}, {43, 44, 3}, {45, 45, 134}, {46, 47, 3}, {48, 94, -8}, {95, 95, 135}, {96, 65500, -8}, },
            {{33, 41, -5}, {43, 111, 3}, {112, 112, 136}, {113, 126, 3}, {191, 254, 3}, },
            {{33, 111, -128}, {112, 112, 137}, {113, 65500, -128}, },
            {{33, 41, -5}, {43, 96, 3}, {97, 97, 138}, {98, 126, 3}, {191, 254, 3}, },
            {{33, 96, -8}, {97, 97, 139}, {98, 122, 67}, {123, 65500, -8}, },
            {{33, 41, -5}, {43, 98, 3}, {99, 99, 140}, {100, 126, 3}, {191, 254, 3}, },
            {{33, 96, -8}, {97, 98, 67}, {99, 99, 141}, {100, 122, 67}, {123, 65500, -8}, },
            {{33, 41, -5}, {43, 106, 3}, {107, 107, 142}, {108, 126, 3}, {191, 254, 3}, },
            {{33, 96, -8}, {97, 106, 67}, {107, 107, 143}, {108, 122, 67}, {123, 65500, -8}, },
            {{33, 96, -138}, {97, 97, 144}, {98, 254, -138}, },
            {{33, 96, -8}, {97, 97, 145}, {98, 65500, -139}, },
            {{33, 41, -5}, {43, 102, 3}, {103, 103, 146}, {104, 126, 3}, {191, 254, 3}, },
            {{33, 96, -8}, {97, 102, 67}, {103, 103, 147}, {104, 122, 67}, {123, 65500, -8}, },
            {{33, 41, -5}, {43, 100, 3}, {101, 101, 148}, {102, 126, 3}, {191, 254, 3}, },
            {{33, 96, -8}, {97, 100, 67}, {101, 101, 149}, {102, 122, 67}, {123, 65500, -8}, },
            {{33, 254, -5}, },
            {{33, 65500, -8}, },
        }
        { // PRAGMA_IGNORE
            {{0, 8, 1}, {9, 9, 2}, {10, 10, 3}, {11, 12, 1}, {13, 13, 3}, {14, 31, 1}, {32, 32, 2}, {33, 41, 1}, {42, 42, 4}, {43, 46, 1}, {47, 47, 5}, {48, 159, 1}, {160, 160, 2}, {161, 8231, 1}, {8232, 8233, 2}, {8234, 65535, 1}, },
            {{0, 41, 1}, {43, 46, 1}, {48, 65535, 1}, },
            {{0, 9, -2}, {10, 31, 1}, {32, 41, -2}, {43, 46, 1}, {48, 65535, -2}, },
            {{0, 65535, -3}, },
            {{47, 47, 6}, },
            {},
            {},
        }
    };*/

    private static int[][] accept;
/*  {
        // SECTION
        {-1, 265, 265, -1, -1, -1, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 0, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 17, 3, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 22, 4, 3, 3, 258, 258, 258, 258, 258, 258, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 258, 258, 258, 258, 258, 258, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 250, 251, -1, 252, -1, -1, 258, 258, 258, 120, 258, 258, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 258, 258, 258, 258, 121, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 254, -1, 258, 258, 119, 258, -1, -1, -1, -1, -1, -1, -1, 241, 230, 242, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 258, 258, 258, -1, -1, -1, -1, -1, -1, -1, 243, -1, -1, -1, -1, -1, -1, -1, 248, -1, -1, -1, 258, 258, 258, -1, -1, -1, 237, -1, -1, -1, -1, 245, -1, -1, -1, 255, 229, -1, -1, 253, 258, 258, 138, -1, -1, 234, -1, -1, -1, 240, 228, -1, -1, -1, 247, 249, -1, 95, 258, -1, -1, -1, -1, 238, 239, -1, -1, -1, -1, 258, -1, -1, -1, -1, -1, -1, -1, 231, 258, -1, -1, -1, -1, -1, -1, 256, 108, -1, -1, -1, -1, 244, -1, -1, -1, -1, -1, -1, -1, -1, -1, -1, 246, -1, -1, -1, -1, 232, 233, 235, 236, },
        // NORMAL
        {-1, 265, 265, 26, -1, 27, 28, 29, 30, 31, 32, 33, 34, 36, 39, 40, 44, 46, 262, 262, 54, 57, 58, 70, 73, -1, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 156, 51, 157, 160, 264, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 216, 218, 217, 223, 187, 44, 258, 34, 46, 258, 258, 258, 29, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 45, -1, 258, 126, 258, 132, 114, 258, 63, 53, 41, 159, 61, 42, 75, 220, 72, 68, 37, 62, 43, 26, 27, 215, 54, 47, 131, 143, 40, 218, 219, 30, 188, 52, 158, 223, 50, 67, 79, 65, 49, 64, 48, 78, 257, 88, 115, 147, 44, 60, 160, 222, 221, 66, 69, 38, 74, 77, 66, 222, 258, 258, 224, 225, 226, 60, 258, 258, 258, 258, 258, 258, -1, 25, -1, 0, -1, 35, -1, -1, -1, 43, -1, 45, 17, 3, 47, -1, 50, 52, -1, -1, 55, 56, 55, -1, -1, 60, 62, 64, -1, 67, 59, 69, -1, 71, 72, -1, -1, 78, 79, -1, -1, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 85, 258, 258, 258, 258, 258, 98, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 107, 258, 110, 258, 258, 258, 258, 258, 258, 128, 258, 130, 131, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 158, -1, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 175, 258, 258, 258, 258, 258, 258, 258, 258, 258, 188, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, -1, 221, 219, 223, 127, 127, 133, 133, -1, 22, 37, 41, 4, 3, 3, 48, -1, 53, 263, 63, 61, -1, 65, 66, -1, 68, 74, 75, -1, -1, 258, 82, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 102, 258, 258, 258, 258, 258, 105, 258, 258, 258, 258, 258, 258, 113, 258, 117, 258, 258, 258, 258, 258, 124, 258, 132, 134, 258, 258, 258, 258, 258, 142, 258, 258, 258, 258, 258, 258, 258, 258, 258, 150, 258, 258, 159, 258, 258, 162, 258, 258, 258, 258, 258, 170, 258, 258, 173, 258, 258, 258, 258, 258, 258, 258, 183, 184, 258, 186, 187, 258, 258, 258, 258, 196, 197, 198, 199, 258, 201, 258, 258, 207, 258, 258, 258, 258, 212, 258, 258, 220, 222, 38, 42, 49, 225, 224, 76, 77, -1, -1, 258, 258, 258, 258, 87, 89, 258, 258, 258, 258, 258, 258, 258, 258, 100, 258, 258, 258, 258, 258, 258, 258, 106, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 125, 258, 258, 133, 258, 258, 258, 258, 258, 258, 139, 258, 141, 258, 258, 258, 145, 146, 258, 258, 148, 258, 258, 153, 258, 258, 258, 258, 163, 258, 258, 165, 258, 168, 258, 258, 258, 258, 258, 258, 178, 258, 181, 182, 258, 189, 258, 191, 258, 193, 194, 195, 258, 202, 204, 205, 206, 258, 258, 210, 211, 213, 258, 226, -1, -1, 258, 258, 86, 258, 258, 258, 258, 258, 258, 258, 258, 101, 258, 258, 258, 258, 258, 104, 258, 258, 258, 258, 258, 258, 258, 115, 258, 258, 258, 258, 258, 120, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 143, 258, 258, 147, 258, 258, 154, 155, 161, 258, 164, 257, 258, 169, 258, 172, 174, 176, 177, 179, 258, 258, 258, 258, 200, 203, 258, 258, 214, -1, -1, 258, 83, 90, 258, 258, 258, 258, 258, 258, 258, 258, 99, 258, 129, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 122, 123, 258, 258, 258, 258, 258, 258, 258, 258, 258, 140, 144, 121, 149, 258, 258, 88, 258, 171, 258, 185, 258, 192, 208, 258, -1, -1, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 103, 258, 258, 258, 109, 258, 258, 114, 258, 258, 119, 126, 258, 258, 258, 258, 258, 258, 137, 258, 258, 258, 258, 151, 166, 180, 190, 209, -1, -1, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 111, 258, 258, 258, 127, 258, 258, 135, 258, 258, 258, 258, 258, 258, 258, 167, -1, -1, 258, 258, 258, 258, 93, 258, 258, 258, 258, 258, 258, 227, 258, 258, 258, 116, 258, 258, 258, 258, 258, 258, 258, 258, 258, 152, -1, -1, 258, 258, 84, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, 129, 97, 136, 258, 138, 258, 258, -1, -1, -1, 258, 258, 258, 258, 258, 94, 258, 95, 258, 96, 258, 258, 258, 258, 258, 258, -1, -1, -1, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, -1, -1, -1, 258, 258, 258, 258, 258, 258, 258, 258, 258, 258, -1, -1, -1, 258, 258, 258, 258, 258, 108, 112, 112, 258, -1, -1, -1, 258, 258, 258, 258, 258, -1, -1, -1, 258, 258, 258, 258, 118, -1, -1, -1, 258, 258, 258, 258, -1, -1, -1, 80, 81, 91, 92, 260, -1, -1, 260, 260, -1, -1, -1, -1, 259, 261, 259, 259, 261, 261, },
        // COMMENT
        {19, 19, 19, 19, 20, 21, 18, },
        // MULTILINE_STRING_STATE
        {24, 24, 24, 24, -1, 24, -1, 24, -1, 24, -1, 24, 23, 24, -1, 24, 24, },
        // SHEBANG
        {-1, 2, 2, 1, 2, 265, 0, },
        // PRAGMA
        {-1, 265, 265, 13, -1, -1, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, -1, 13, -1, 5, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, 13, -1, 13, 13, 13, 13, 13, 13, 13, 13, 11, 9, 13, 13, 13, 13, 13, 13, 13, 13, 13, 8, 13, 13, 13, 13, 13, 13, 13, 11, 13, 13, 13, 13, 13, 10, 13, 13, 13, 13, 13, 7, 13, 6, 13, 13, 13, 13, 13, 11, 13, 13, 13, 13, 13, 13, 12, 12, },
        // DESCRIPTION
        {14, 14, 14, 14, 20, 21, 18, },
        // PRAGMA_CONTENT
        {-1, 265, 265, 15, -1, -1, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, -1, 15, -1, 5, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, -1, },
        // PRAGMA_PACKAGE_CONTENT
        {-1, 265, 265, 15, -1, -1, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, -1, 15, -1, 5, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, -1, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 12, 12, },
        // PRAGMA_IGNORE
        {16, 16, 16, 16, 20, 21, 18, },

    };*/

    public static class State
    {
        public final static State SECTION = new State(0);
        public final static State NORMAL = new State(1);
        public final static State COMMENT = new State(2);
        public final static State MULTILINE_STRING_STATE = new State(3);
        public final static State SHEBANG = new State(4);
        public final static State PRAGMA = new State(5);
        public final static State DESCRIPTION = new State(6);
        public final static State PRAGMA_CONTENT = new State(7);
        public final static State PRAGMA_PACKAGE_CONTENT = new State(8);
        public final static State PRAGMA_IGNORE = new State(9);

        private int id;

        private State(  int id)
        {
            this.id = id;
        }

        public int id()
        {
            return this.id;
        }
    }

    static 
    {
        try
        {
            DataInputStream s = new DataInputStream(
                new BufferedInputStream(
                Lexer.class.getResourceAsStream("lexer.dat")));

            // read gotoTable
            int length = s.readInt();
            gotoTable = new int[length][][][];
            for(int i = 0; i < gotoTable.length; i++)
            {
                length = s.readInt();
                gotoTable[i] = new int[length][][];
                for(int j = 0; j < gotoTable[i].length; j++)
                {
                    length = s.readInt();
                    gotoTable[i][j] = new int[length][3];
                    for(int k = 0; k < gotoTable[i][j].length; k++)
                    {
                        for(int l = 0; l < 3; l++)
                        {
                            gotoTable[i][j][k][l] = s.readInt();
                        }
                    }
                }
            }

            // read accept
            length = s.readInt();
            accept = new int[length][];
            for(int i = 0; i < accept.length; i++)
            {
                length = s.readInt();
                accept[i] = new int[length];
                for(int j = 0; j < accept[i].length; j++)
                {
                    accept[i][j] = s.readInt();
                }
            }

            s.close();
        }
        catch(Exception e)
        {
            throw new RuntimeException("The file \"lexer.dat\" is either missing or corrupted.");
        }
    }
}
